Welcome to LimeSurvey v7!

Warranty: This program is provided "as is" without warranties of any kind, either expressed or implied,
including, but not limited to, the implied warranties of merchantability and fitness for a particular
purpose. The entire risk as to the quality and performance of the program is with you.
Should the program prove defective, you assume the cost of all necessary servicing, repair or correction.
In no event will any copyright holder be liable to you for damages, including any general, special,
incidental or consequential damages arising out of the use or inability to use the program
(including but not limited to loss of data or data being rendered inaccurate or losses sustained
by you or third parties or a failure of the program to operate with any other programs).


HOW TO INSTALL
---------------
This release does have the following requirements:

*MySQL 5.5.3 or later OR Microsoft SQL Server 2005 or later OR Postgres 8.1 or later
*PHP 8.1.29 or later with the following modules/libraries enabled:
    *mbstring (Multibyte String Functions) extension library
    *PDO database driver for MySQL (pdo_mysql or pdo_mysqli) or Postgres (pdo_pgsql) or MSSQL (pdo_sqlsrv for Windows and pdo_dblib for Linux)

If you are doing a complete new installation please refer to the manual at
https://manual.limesurvey.org/Installation

Please also have a look at the "Installation security hints" section of the online manual in order to secure your installation.


=== UPGRADING=====
We suggest to check out and hold close to the instructions, which can be found in our online manual:
https://manual.limesurvey.org/Upgrading_from_a_previous_version

Thank you to everyone who helped with this new release!


CHANGE LOG
------------------------------------------------------
Changes from 7.0.9 (build 260812) to 7.0.10 (build 260813) August 13, 2026
-Fixed issue #20652: [security]Reflected XSS in HTML Editor popup endpoint (#5231) (Carsten Schmitz)
-Fixed issue #20651: [security] SQL Injection in CPDB through a token (#5226) (Stefan K)
-Fixed issue #20648: [security] SQL injection in statistics (#5225) (Carsten Schmitz)
-Fixed issue #LB-153: Manually editing a response on an encrypted question saves the value unencrypted leading to an error (Carsten Schmitz)
-Fixed issue #AT-2238: Translate aria labels on modal close buttons (#5227) (SaraDimoska)
-Fixed issue #AT-2222: Persist question attributes when exporting as TXT (#5191) (Rami S. Zaki)
-Fixed issue #20623: HTTP Authorization header field not treated as case-insensitive leading to new editor not working (#5186) (Carsten Schmitz)
-Fixed issue #20620: Statistic export failed with output format PDF and Excel (Carsten Schmitz)
-Fixed issue #20181: Links in survey groups don't have correct appearance (Carsten Schmitz)
#Updated translation: Thai by tomzt
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 7.0.8 (build 260806) to 7.0.9 (build 260812) August 11, 2026
-Fixed issue #AT-1331: Open end screen URLs in a new tab (#5209) (Adil Moumni Abdou)
-Fixed issue #20644: [security] ResponsesController::actionTime does not enforce survey response permissions (Carsten Schmitz)
-Fixed issue #20642: [security] Unauthenticated arbitrary plugin-method invocation (#5219) (Carsten Schmitz)
-Fixed issue #20641: [security] Missing survey permission check (#5220) (Carsten Schmitz)
-Fixed issue #20640: "Error saving results" on surveys active before update to version 7 on PostgreSQL (#5214) (Carsten Schmitz)
-Fixed issue #20635: Replacement fields not inserted correctly in templates with multiple editors (#5211) (Gabriel Jenik)
-Fixed issue #20607: Placeholder fields are empty in the Email Templates editor (#5201) (Gabriel Jenik)
-Fixed issue #20582: Several deprecation errors when using version 7.0.5 with PHP 8.4 (Carsten Schmitz)
-Fixed issue #20569: Invalid quartile calculation for encrypted numeric response data (Carsten Schmitz)
-Fixed issue #20557: Calling RemoteControl function get_question_properties without optional parameters crashes (Carsten Schmitz)
-Fixed issue #20552: With debug set and demoMode an error is shown at end of surveys with email notification (Carsten Schmitz)
-Fixed issue #20526: Broken CSS in fruity_twentythree theme (Carsten Schmitz)
-Fixed issue #20523: [security] Server-side request forgery (SSRF) vulnerability (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, Cubitus, twilllig
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 7.0.7 (build 260729) to 7.0.8 (build 260806) August 5, 2026
+New feature: Download example CSV participant file inside the participant import dialog (Carsten Schmitz)
+New feature #AT-2179: "Select all" option in the floating menu (#5160) (Patricia Stell)
+New feature #AT-1387: Keyboard shortcut for new answer/subquestion option (#5047) (Rami S. Zaki)
-Fixed issue: Bulk edit participants not working when in "select all" mode (#5178) (Stefan K)
-Fixed issue #TB-82: Anonymize responses should anonymize the dates in the response table if the setting is on (#5071) (Patricia Stell)
-Fixed issue #AT-2226: Clear other input on option change for image select and single choice bootstrap buttons (#5193) (Tim Willig)
-Fixed issue #AT-2120: Question texts containing HTML entities are displayed incorrectly (#5086) (Rami S. Zaki)
-Fixed issue #AT-2078: Missing preview functionality for question groups and questions in the new editor (#5121) (Rami S. Zaki)
-Fixed issue #AT-1964: updated pagination style for tables (#5043) (Rami S. Zaki)
-Fixed issue #20634: Wrong error message if user account has expired (Carsten Schmitz)
-Fixed issue #20629: Loading fonts locally instead of through URL (#5196) (Stefan K)
-Fixed issue #20627: JavaScript error when exporting statistics to Excel (Carsten Schmitz)
-Fixed issue #20625: Question groups inconsistent behavior when drag and dropping (#5194) (Stefan K)
-Fixed issue #20622: Mandatory ranking questions cannot be answered (#5181) (Ahmed Abd El-Azeem)
-Fixed issue #20613: Survey logic overview option shows error 500 (#5200) (Gabriel Jenik)
-Fixed issue #20609: Admin notification URLs are not interactive (#5151) (Denis Chenu)
-Fixed issue #20575: [security] XSS in add dummy participant form (#5077) (Denis Chenu)
-Fixed issue #20574: Unable to update LimeSurvey with incompatible theme (#5117) (Denis Chenu)
-Fixed issue #20570: When not unchecking the "unseen or not answered" checkbox but editing a data set, the screen freezes on save (#5202) (Gabriel Jenik)
-Fixed issue #20512: List (radio) 'Other' option text input too small/unusable on mobile when label is long (#5081) (Gabriel Jenik)
-Fixed issue #20392: Invalid URL placeholders when using hostInfo or baseUrl and publicurl (#5159) (Denis Chenu)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz, Cubitus
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Chinese (Simplified) by ChenLuan, hackbb, hdaphq, huyuchengus, twilllig
#Updated translation: Catalan by qualitatuvic


Changes from 7.0.6 (build 260722) to 7.0.7 (build 260729) July 28, 2026
+New feature #AT-2161: Select all responses spanning across multiple pages (#5140) (Stefan K)
-Fixed issue #LE-850: Inconsistency in duplicate code validation for question codes in new editor (#5169) (haythem chibani)
-Fixed issue #LE-832: Non successful survey image uploads throws filepath error and fetching survey with expired session throws error (#5168) (haythem chibani)
-Fixed issue #AT-2121: Enabled the HTML editor for survey welcome, question title, and end-screen texts (Rami S. Zaki)
-Fixed issue #AT-1797: Enable rich text editor and toolbar for subquestions and answers (#4950) (Rami S. Zaki)
-Fixed issue #AT-1459: Fix bug where groups get unfolded when we add a new one (#5063) (Rami S. Zaki)
-Fixed issue #AT-1249: Remove full name from user label in survey owners list if not provided (#5089) (Rami S. Zaki)
-Fixed issue #20593: Array filter on single choice does not work (#5155) (Denis Chenu)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by c_schmitz, d_inoue, twilllig
#Updated translation: French (France) by fgervais
#Updated translation: Finnish by Jmantysalo
#Updated translation: Croatian by rovinj


Changes from 7.0.5 (build 260623) to 7.0.6 (build 260722) July 22, 2026
+New feature #AT-2097: Floating mass action menu (#5108) (Patricia Stell)
-Fixed issue: only show deactivate survey tooltip for active surveys (ramishenouda)
-Fixed issue: Rearranged welcome title and description components in SurveyHeader for editor interface; updated placeholder text (ramishenouda)
-Fixed issue: If a participant opens a 2nd browser window with a different access code the first session gets terminated (Carsten Schmitz)
-Fixed issue: HTML is rendered as text in the sidebar (ramishenouda)
-Fixed issue: Fixed formatting in survey header (#5156) (tiborpacalat)
-Fixed issue: Expression manager script not being interpreted in printable survey (Carsten Schmitz)
-Fixed issue: Default value taking precedence over set value in new question editor (Carsten Schmitz)
-Fixed issue: A11y label is not provided for the select2 combobox (#5084) (Anblik Audit Team)
-Fixed issue: A11y aria improvements regarding hints in global settings (#5080) (Anblik Audit Team)
-Fixed issue #LE-828: [security] XSS in user activation confirmation endpoint (#5148) (haythem chibani)
-Fixed issue #LE-826: editing ranking responses in new editor doesn't work (#5141) (haythem chibani)
-Fixed issue #LE-824: Implemented fix for the group import (#5129) (lajosarpad)
-Fixed issue #LE-820: Condition designer fixes for rankings (#5122) (Ahmed Abd El-Azeem)
-Fixed issue #LE-816: ranking question display issue in new editor when subquestions have different lengths (#5103) (haythem chibani)
-Fixed issue #LE-815: Help text not visible for theme options logo & background selects in new editor (#5101) (haythem chibani)
-Fixed issue #AT-2185: Bulk actions partially broken on central participants table (#5154) (SaraDimoska)
-Fixed issue #AT-2176: Question validation tip value is not exported for additional languages when exporting as txt (#5144) (Rami S. Zaki)
-Fixed issue #AT-2160: Image multiple choice has issues with response viewing and editing (#5130) (Rami S. Zaki)
-Fixed issue #AT-2112: Create table when user clicks on participants tab and when adding first participants from CPDB (#5153) (SaraDimoska)
-Fixed issue #AT-2093: Add support for "Other" answer option in question view mode and condition designer in the new survey editor (#5059) (Rami S. Zaki)
-Fixed issue #AT-2077: Add PreviewButton component to TopBar for survey language preview (#5044) (Rami S. Zaki)
-Fixed issue #AT-2075: Change naming of survey responses from partial to incomplete (#5045) (Rami S. Zaki)
-Fixed issue #AT-2010: LS7 added the capability to check items across multiple pages in tables (#5072) (Patricia Stell)
-Fixed issue #AT-2007: hover, active, and focus-visible states and design adjustments for additional components (AT-1897) (#5058) (Tim Willig)
-Fixed issue #AT-2006: Component states style update to match with the design (#5040) (Rami S. Zaki)
-Fixed issue #AT-2000: Enhance layout and styling for RankingAdvancedQuestion components to improve responsiveness and alignment (#5060) (Rami S. Zaki)
-Fixed issue #20617: Unable to delete subanswers (#5158) (Stefan K)
-Fixed issue #20606: Response table schema is incorrect when activating a survey after previewing (#5146) (haythem chibani)
-Fixed issue #20580: "Bootstrap buttons” layout does not display the input field when the built-in “Other” option is selected (#5119) (Tim Willig)
-Fixed issue #20579: Statistics can't be exported (Carsten Schmitz)
-Fixed issue #20571: Ranking question does not properly enforce maximum column setting anymore (#5073) (Carsten Schmitz)
-Fixed issue #20561: Editing the default answers for a multiple-choice question results in a database error (#5076) (Gabriel Jenik)
-Fixed issue #20556: Statistics filters for multiple choice questions error (#5123) (haythem chibani)
-Fixed issue #20550: Subquestion conditions do not work in mobile view (#5074) (Gabriel Jenik)
-Fixed issue #20532: STARTPOLICYLINK and ENDPOLICYLINK return errors in the survey logic view (#5133) (Gabriel Jenik)
-Fixed issue #20372: Incorrect compatibility set when installing question theme (#4732) (Carsten Schmitz)
-* Fixed issue #LE-826: editing ranking responses in the new editor doesn't work (haythem chibani)
#Updated translation: Valencian by c_schmitz, joamuran, vbraque
#Updated translation: Turkish by bulent, c_schmitz, kayazeren
#Updated translation: Thai by adzpire, anucha, c_schmitz, tomzt, twilllig
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by c_schmitz, kkd
#Updated translation: Hungarian (Informal) by c_schmitz, kkd
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch by BloomingPrime, Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by acab1312, qualitatuvic


Changes from 7.0.4 (build 260620) to 7.0.5 (build 260623) June 22, 2026
-Fixed issue: navbar hover and focus styles not fitting with light buttons (#5068) (Tim Willig)
-Fixed issue: A11y correct header semantics in account page (#5066) (Anblik Audit Team)
-Fixed issue: A11y captions for tables in account page (#5065) (Anblik Audit Team)
-Fixed issue TB-116: Kcfinder was not initialized for labelsets "Upload resources management" (#5056) (Patricia Stell)
-Fixed issue #AT-2083: prevent loss of focus for question when creating/editing questions in editor (#5046) (Rami S. Zaki)
-Fixed issue #20544: Read-only survey user can delete conditions (#5023) (Denis Chenu)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Mongolian by amidral
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: German by c_schmitz
#Updated translation: Dutch by c_schmitz, Han, L191
#Updated translation: Dutch (Informal) by c_schmitz, Han
#Updated translation: Croatian by rovinj


Changes from 7.0.3 (build 260618) to 7.0.4 (build 260620) June 18, 2026
+New feature: Extended integrity check to look for orphaned old_question tables (Carsten Schmitz)
+New feature: Additional check to find orphaned subquestions in integrity check (Carsten Schmitz)
-Fixed issue: Remove any superflous subquestions on ranking question type before DB migration (Carsten Schmitz)
-Fixed issue: Ranking subquestions are written as ranking type (Carsten Schmitz)
-Fixed issue: Extended integrity check to also catch questions that should not have answer options and should not have subquestions (#5064) (Carsten Schmitz)


Changes from 7.0.2 (build 260617) to 7.0.3 (build 260618) June 17, 2026
-Fixed issue AT-2090: [security] SQL injection vulnerability in statistics (Carsten Schmitz)
-Fixed issue #20565: survey start and expiry date are now displayed and saved correctly (#5061) (Patrick Teichmann)
#Updated translation: Italian by c_schmitz, drsi.staff, lfanfoni, ritapas, twilllig, Valentina Tessaro
#Updated translation: Italian (Informal) by c_schmitz, ciampix, lfanfoni, twilllig, Valentina Tessaro
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz


Changes from 7.0.1 (build 260611) to 7.0.2 (build 260617) June 16, 2026
-Fixed issue: Batch edit and edit for survey menus didn't work correctly (#5049) (Tim Willig)
-Fixed issue: A11y survey menu tabs improvements (#4990) (Anblik Audit Team)
-Fixed issue: A11y nav-tabs in personal settings (#5051) (Anblik Audit Team)
-Fixed issue: A11y fieldset markup and form control accessibility in surveymenu massive action form (#5008) (Anblik Audit Team)
-Fixed issue: A11y fieldset markup and form control accessibility in surveymenu entries massive action form (#5022) (Anblik Audit Team)
-Fixed issue: A11y add localized table captions for screen readers on survey menu tables (#5004) (Anblik Audit Team)
-Fixed issue: A11y Survey menu modal improvements (#5014) (Anblik Audit Team)
-Fixed issue: A11y Primary button is not triggerable via keyboard in massive action modals (#5039) (Anblik Audit Team)
-Fixed issue: A11y Table pagination page buttons enhanced with contextual ARIA labels, action dropdown items improved with disabled state indicators via ARIA attributes and proper keyboard focus management (#4969) (Anblik Audit Team)
-Fixed issue: A11y Improvements for survey menu forms (#5036) (Anblik Audit Team)
-Fixed issue: A11y Improved plugin configuration tabs with tab markup and ARIA structure (#4977) (Anblik Audit Team)
-Fixed issue: A11y Improved Account tabs and settings (#5054) (Anblik Audit Team)
-Fixed issue: A11y Enhanced confirmation modal accessibility (#4947) (Anblik Audit Team)
-Fixed issue: A11y Enhanced accessibility for notifications (#4966) (Anblik Audit Team)
-Fixed issue #AT-2087: Layout issue on sidebar in statistics charts page (#5052) (haythem chibani)
-Fixed issue #AT-2085: Empty responses were created when going to theme options preview (#5050) (haythem chibani, Patrick Teichmann)
-Fixed issue #20560: Automatically writing the allowed hosts file may fail silently (Carsten Schmitz)
-Fixed issue #20558: Error when trying add/upload a picture in the editor (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo


Changes from 7.0.0 (build 260526) to 7.0.1 (build 260611) June 10, 2026
+New feature #12393: Check all boxes at data integrity check (#5038) (Gabriel Jenik)
-Fixed issue: updates through ComfortUpdate are incorrectly marked as unstable (Patrick Teichmann)
-Fixed issue: retain focus state on sorting tables (a11y) (#4959) (Anblik Audit Team)
-Fixed issue: rebuilt editor and added missing JS and CSS files (twilligls)
-Fixed issue: [security] Vulnerability in twig template engine and deprecated twig attribute calls - this fix requires the minimum PHP version to be raised to 8.1. (#5026) (Carsten Schmitz)
-Fixed issue: [security] Updated twig template engine and updated deprecated twig attribute calls (#5021) (Carsten Schmitz)
-Fixed issue: [security] Hardening CPDB response link deletion (Carsten Schmitz)
-Fixed issue: Survey publish button is always disabled when showXQuestions is off. (ramishenouda)
-Fixed issue: Survey navigation should only be possible by POST (Carsten Schmitz)
-Fixed issue: New editor example image not visible when switching (Carsten Schmitz)
-Fixed issue: A11y tab navigation ARIA structure and correct heading levels for themes page (#4648) (Anblik Audit Team)
-Fixed issue: A11y role="presentation" added to dropdown-headers (#4837) (Anblik Audit Team)
-Fixed issue: A11y improvements for the edit labels page (#4864) (Anblik Audit Team)
-Fixed issue: A11y focusable buttons for action menu in sidebar (#4788) (Anblik Audit Team)
-Fixed issue: A11y captions for massive actions modals and swap of sr-only class to BS5 equivalent "visually-hidden" (#4933) (Anblik Audit Team)
-Fixed issue: A11y UserRole form: deterministic IDs and ARIA wiring + UserRole label translations + prevent double encoding (#4847) (Anblik Audit Team)
-Fixed issue: A11y User management views add localized table captions for screen readers (#4935) (Anblik Audit Team)
-Fixed issue: A11y Theme tab navigation elements role and aria-selected + Gridview filter inputs now with aria-labels (#4899) (Anblik Audit Team)
-Fixed issue: A11y Restructure heading and link semantics in topbar (#4907) (Anblik Audit Team)
-Fixed issue: A11y Modal ARIA attributes and title wiring (#4890) (Anblik Audit Team)
-Fixed issue: A11y Introducing dynamic caption for screen-readers in massive actions widget (#4926) (Anblik Audit Team)
-Fixed issue: A11y Improving browser tab labels and navigation clarity by adding dynamic page titles (#4755) (Anblik Audit Team)
-Fixed issue: A11y Improved user role gridview (#4852) (Anblik Audit Team)
-Fixed issue: A11y Improved screen reader support and semantic structure, better keyboard navigation for tabs in label sets (#4862) (Anblik Audit Team)
-Fixed issue: A11y Improved modal dialog accessibility and keyboard navigation for massive actions  (#4819) (Anblik Audit Team)
-Fixed issue: A11y Improved focus retention in survey list grids when sorting columns (#4760) (Anblik Audit Team)
-Fixed issue: A11y Improved accessibility semantics for multiple modals (#4875) (Anblik Audit Team)
-Fixed issue: A11y Improved accessibility of the confirmation modal (#4948) (Anblik Audit Team)
-Fixed issue: A11y Enhances accessibility across user management views (#4913) (Anblik Audit Team)
-Fixed issue: A11y Enhanced screen reader and assistive technology compatibility across admin interface elements, including label management, language selection, and theme configuration pages (#4901) (Anblik Audit Team)
-Fixed issue: A11y Enhanced (massive actions) modal dialogs with proper ARIA attributes to improve screen reader compatibility (#4796) (#4800) (Anblik Audit Team)
-Fixed issue: A11y Enabled keyboard control for nav-tabs (#4833) (Anblik Audit Team)
-Fixed issue: A11y Added ARIA attributes and a stable title id to the panel-integration-parameter modal and added ariaLabel to two ButtonGroupWidget usages in the quotas form  (#4765) (Anblik Audit Team)
-Fixed issue: A11y Accessibility Enhancements for tabs in admin token views (#4770) (Anblik Audit Team)
-Fixed issue: A11y ARIA role attribute updates for label sets (#4861) (Anblik Audit Team)
-Fixed issue #CT-1758: Decrypting encrypted in responses page in the new editor (#5034) (Rami)
-Fixed issue #AT-2070: Slowdown in sidebar when accessing content in core app (#5017) (Patrick Teichmann)
-Fixed issue #AT-2069: Active breadcrumb breaking layout (#5024) (Stefan K)
-Fixed issue #AT-2067: Wrong representation of some array questions inside the results list (#5018) (Rami S. Zaki)
-Fixed issue #AT-2064: Corner radius icons of theme options missing for extended themes (#5013) (Tim Willig)
-Fixed issue #AT-1990: Allow custom themes based on fruity23 for new editor (#5003) (Tim Willig)
-Fixed issue #AT-1983: Added check logic functionality to react (#4998) (Stefan K)
-Fixed issue #AT-1957: Block non-create operations with tempId to ensure proper handling of operations (#5041) (Rami S. Zaki)
-Fixed issue #AT-1941: Condition designer style update (#4974) (Rami S. Zaki)
-Fixed issue #AT-1774: User should be able to select multiple items across different response pages (react app) (#5011) (Rami S. Zaki)
-Fixed issue #20549: [security] SQL Injection in RemoteControl invite_participants and remind_participants (#5031) (Denis Chenu)
-Fixed issue #20548: [security] Host header injection in password reset (#5032) (Carsten Schmitz)
-Fixed issue #20542: Expression .question not set for file upload question type (#5012) (Denis Chenu)
-Fixed issue #20541: Unauthorized access when navigating to react editor on apache environments (#5029) (Patrick Teichmann)
-Fixed issue #20503: Using quick add for multilingual label sets fails on save (#4968) (Gabriel Jenik)
-Fixed issue #20500: Some files in upload shown in git diff (Carsten Schmitz)
-Fixed issue #20498: Condition expression are not updated when use regenerate (#4989) (Denis Chenu)
-Fixed issue #20489: [security] Publicly reachable file upload via RemoteControl API (#4889) (Denis Chenu)
-Fixed issue #20477: Type C description matches rendered Yes/Uncertain/No order (#4953) (Clyde)
-Fixed issue #20321: Question group shows as a blank group if it contains one question with no relevant subquestions (#4996) (Denis Chenu)
-Fixed issue #20320: Subquestion validation equation is applied to subquestions that are not relevant (#4993) (Denis Chenu)
-Fixed issue #20138: ComfortUpdate does not sufficiently check if existing files can be modified (#5005) (Carsten Schmitz)
-Fixed issue #19545: Unable to check Expression error in quota text (Carsten Schmitz)
#Updated translation: Valencian by c_schmitz, joamuran, sergarb1, valdomir, vbraque
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Spanish (Spain) by aesteban, artasom, atavei, c_schmitz, diegor, Gronnd, Ignacio, ireneoh, jmlopez, jparis, larjona, naiara.maya, Nodens, oleggorfinkel, perexat, segui, twilllig, valdomir, xastrefernando, xtingray
#Updated translation: Spanish (Spain) by aesteban, artasom, atavei, c_schmitz, Ignacio, ireneoh, jmlopez, jparis, larjona, naiara.maya, Nodens, oleggorfinkel, perexat, segui, valdomir, xastrefernando, xtingray
#Updated translation: Russian by vipgroup
#Updated translation: Portuguese (Portugal) by ricardo.santos
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Papiamento (Curaçao and Bonaire) by indigoblueconsult
#Updated translation: Italian by c_schmitz, drsi.staff, lfanfoni, lfortunato, myliserta, ritapas
#Updated translation: Italian (Informal) by c_schmitz, ciampix, lfanfoni, murya, myliserta
#Updated translation: German by c_schmitz
#Updated translation: German by actxcellence, c_schmitz, Joffm
#Updated translation: German by actxcellence, assistedmindfulness, c_schmitz, eddylackmann, Joffm, Liam, mfaber
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by actxcellence, c_schmitz, HonkXL, richterd
#Updated translation: French (France) by b00z00, DenisChenu, GuillaumeZ6, jayce, pasglop
#Updated translation: French (France) by DenisChenu, fgervais
#Updated translation: French (France) by AnneSophieB, DenisChenu, fgervais, mapage, riqcles
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by c_schmitz, Han, kpadm, L191, mdekker, MrP
#Updated translation: Dutch by c_schmitz, Han, MrP
#Updated translation: Dutch by Han, zfocuz
#Updated translation: Dutch by Han
#Updated translation: Dutch by BloomingPrime, Han, twilllig
#Updated translation: Dutch (Informal) by c_schmitz, Han
#Updated translation: Dutch (Informal) by atvoogt, c_schmitz, Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Dutch (Informal) by Aanouk, c_schmitz, Han, zfocuz
#Updated translation: Dutch (Informal) by Aanouk, BloomingPrime, Han, twilllig
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic


Changes from 6.17.6 (build 260604) to 6.17.7 (build 260610) June 10, 2026
-Fixed issue: [security] Hardening CPDB response link deletion (Carsten Schmitz)
-Fixed issue #CT-1758: Decrypting encrypted responses in the new editor (#5034) (Rami)
-Fixed issue #20549: [security] SQL Injection in RemoteControl invite_participants and remind_participants (#5031) (Denis Chenu)
-Fixed issue #20548: [security] Host header injection in password reset (#5032) (Carsten Schmitz)
#Updated translation: Italian by c_schmitz, drsi.staff, lfanfoni, lfortunato, myliserta, ritapas
#Updated translation: Italian (Informal) by c_schmitz, ciampix, lfanfoni, murya, myliserta
#Updated translation: French (France) by b00z00, DenisChenu, GuillaumeZ6, jayce, pasglop
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 6.17.5 (build 260527) to 6.17.6 (build 260604) June 4, 2026
-Fixed issue: updates through ComfortUpdate are no longer incorrectly marked as unstable (Patrick Teichmann)
-Fixed issue: [security] Vulnerability in twig template engine and deprecated twig attribute calls - this fix requires the minimum PHP version to be raised to 8.1. (#5026) (Carsten Schmitz)
-Fixed issue #20489: [security] Publicly reachable file upload via RemoteControl API (#4889) (Denis Chenu)
#Updated translation: Valencian by c_schmitz, joamuran, sergarb1, valdomir, vbraque
#Updated translation: Spanish (Spain) by aesteban, artasom, atavei, c_schmitz, Ignacio, ireneoh, jmlopez, jparis, larjona, naiara.maya, Nodens, oleggorfinkel, perexat, segui, valdomir, xastrefernando, xtingray
#Updated translation: Portuguese (Portugal) by ricardo.santos
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: German by actxcellence, assistedmindfulness, c_schmitz, eddylackmann, Joffm, Liam, mfaber
#Updated translation: French (France) by AnneSophieB, DenisChenu, fgervais, mapage, riqcles
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by c_schmitz, Han, kpadm, L191, mdekker, MrP
#Updated translation: Dutch by Han, zfocuz
#Updated translation: Dutch (Informal) by atvoogt, c_schmitz, Han
#Updated translation: Dutch (Informal) by Aanouk, c_schmitz, Han, zfocuz
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic


Changes from 6.17.4 (build 260520) to 6.17.5 (build 260527) May 26, 2026
-Fixed issue #AT-2056: Increase pagination to 250 and 500 (#5001) (Patricia Stell)
-Fixed issue #AT-1897: design fixes for CSS states (#4992) (Tim Willig)
-Fixed issue #20527: Bad order of default response list for multiple text question (Carsten Schmitz)
-Fixed issue #20524: [security] Unsanitized null condition key (thank you for reporting Nagarajan Selvaraj Paulmony)(#4988) (Stefan K)
-Fixed issue #20507: Unclosed twig comments in vanilla/fruity_twentythree themes (Mathieu Bruyen)
-Fixed issue #19824: Page size of central participant list was limited to 100 (Carsten Schmitz)
-Fixed issue #19571: Text fixes for templates -> themes (Carsten Schmitz)
-Fixed issue #15946: File upload question: cannot select csv file (Carsten Schmitz)
#Updated translation: Portuguese (Portugal) by ricardo.santos
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: French (France) by DenisChenu

Changes from 6.17.4 (build 260520) to 7.0.0 (build 260526) May 26, 2026
New feature: Great easy-to-use survey editor - check it out!
New feature: Ability to set global and personal timezone - also all date/timestamps are saved as UTC
New feature: Response table name & schema changes
New feature: Machine-readable error codes in RemoteControl will now be given back. Please check the documentation.
New feature #20387: Keep certain subquestions/answer options at original positions on randomization (#4613) (Tõnis Ormisson)

Changes from 6.17.3 (build 260512) to 6.17.4 (build 260520) May 20, 2026
-Fixed issue: prevent error when language for survey is missing and instead provide guidance on how to resolve it (Patrick Teichmann)
-Fixed issue: add focus for some flash messages as well as add aria tags to them and aria focus state for multiselect in participant CSV export (a11y) (#4784) (Anblik Audit Team)
-Fixed issue: Demo console command not properly loading helpers (Carsten Schmitz)
-Fixed issue: Dashboard crashing if survey language entry is corrupted (Carsten Schmitz)
-Fixed issue: A11y remaining adjustments for improved label and error message associations in survey groups form (#4764) (Anblik Audit Team)
-Fixed issue: A11y focus on sort columns in token table, screen reader improvements for privacy policy settings and breadcrumbs (Anblik Audit Team)
-Fixed issue: A11y adjustments for improved label and error message associations in survey groups form (#4757) (Anblik Audit Team)
-Fixed issue #LB-147: Fixed executability of change scripts for SQL Server (#4962) (lajosarpad)
-Fixed issue #AT-1999: Changed default|hover|click background colors and borders (#4927) (Patricia Stell)
-Fixed issue #20495: [security] Unrestricted getConfig() access in Twig sandbox (Thank you to supperhellokitty20 for reporting the issue) (#4917)
-Fixed issue #20468: Condition not properly behaving when respondents enter 'false' as a response (#4797) (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: French (France) by DenisChenu, fgervais, GuillaumeZ6, pasglop
#Updated translation: Finnish by Jmantysalo


Changes from 6.17.2 (build 260507) to 6.17.3 (build 260512) May 12, 2026
+New feature #AT-1979: Improved survey copy  (#4834) (Carsten Schmitz)
-Fixed issue: Ability to set email method plugin, but not able to select any plugin (Carsten Schmitz)
-Fixed issue #20502: [security] POST-based self-XSS in Statistics View (#4945) (Gabriel Jenik)
#Updated translation: Thai by adzpire, anucha, tomzt, twilllig
#Updated translation: Portuguese (Portugal) by ricardo.santos
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Finnish by Jmantysalo


Changes from 6.17.1 (build 260427) to 6.17.2 (build 260507) May 7, 2026
-Fixed issue: various improvements to the dashboard page regarding accessibility, navigation, and aria labels, as well as all improvements to all tables (a11y) (#4413) (Anblik Audit Team) (Patrick Teichmann)
-Fixed issue: small aria adjustments to header backlinks (a11y) (#4508) (Anblik Audit Team) (Patrick Teichmann)
-Fixed issue: multiple small aria adjustments for survey settings, themes (a11y) (#4444) (Anblik Audit Team) (Patrick Teichmann)
-Fixed issue: modal save button focusable (a11y) (#4669) (Anblik Audit Team)
-Fixed issue: additional aria attributes for email templates (a11y) (#4769) (Anblik Audit Team)
-Fixed issue: added table captions as well as additional aria tags in group & question view and participants view (#4448) (Anblik Audit Team) (Patrick Teichmann)
-Fixed issue #CR-1454: Added automatic fixing of code sniffer findings (#4023) (tiborpacalat)
-Fixed issue #8030: Prefilled values for not relevant questions lost (#4941) (Denis Chenu)
-Fixed issue #20507: Missing comment closing (#4958) (lajosarpad)
-Fixed issue #20506: Add default 'type' key to participant attribute arrays, preventing undefined index errors (#4955) (Tim Willig)
-Fixed issue #20505: [security] Stored XSS in LimeSurvey via Global Settings (reported by masquerad3r) (#4919) (Denis Chenu)
-Fixed issue #20499: Updating question code didn't update condition (#4940) (Raymond Oyondi)
-Fixed issue #20495: [security] Unrestricted getConfig() access in Twig sandbox (#4917) (Denis Chenu)
-Fixed issue #20463: Quick add labels in label sets don't generate label codes correctly (#4799) (Carsten Schmitz)
-Fixed issue #20382: Logo is not shown on smaller screens + spacing issues (#4943) (Raymond Oyondi)
-Fixed issue #19852: Privacy policy not shown for "All in one" surveys (#4932) (Denis Chenu)
-Fixed issue #19510: Labels - Assessment value - Evaluation values are not reported when creating a question (#4952) (Gabriel Jenik)
#Updated translation: Thai by tomzt
#Updated translation: Swahili by FredaM
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by ricardo.santos, xastrefernando
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky


Changes from 6.17.0 (build 260421) to 6.17.1 (build 260427) April 27, 2026
-Fixed issue #LB-137: Fixed cookie creation when there is a tokens table (#4903) (lajosarpad)
-Fixed issue #20494: Conditional Remote Code Execution via Question Theme Path Traversal and Custom Twig Extension Injection (Thank you to lavie3k for reporting the issue) (#4900) (Gabriel Jenik)
-Fixed issue #19958: Public registration is not compliant with GDPR (#4887) (Denis Chenu)
-Fixed issue #19309: Cannot click item to get into question group information if the name is empty (#4874) (Gabriel Jenik)
-Fixed issue: add missing aria and state attributes for email templates (a11y) (#4739) (Anblik Audit Team)
-Fixed issue: adjusted central participant modal headers (a11y) (#4751) (Anblik Audit Team)
-Fixed issue: added aria attributes, corrected html tags to central participant modals (a11y) (#4768) (Anblik Audit Team)
-Fixed issue: added aria attribute and changed heading semantics in select_modal used in export survey (a11y) (#4750) (Anblik Audit Team)
#Updated translation: Turkish by kayazeren
#Updated translation: Portuguese (Portugal) by ricardo.santos, xastrefernando
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Galician by Gronnd
#Updated translation: Armenian by aghjoyan
#Updated translation: Armenian (Western) by aghjoyan


Changes from 6.16.17 (build 260414) to 6.17.0 (build 260421) April 21, 2026
+New feature: Translatable maintenance page (#2987) (aisreh)
+New feature #AT-1771: Added field type for additional attributes of survey participants (#4609) (Tim Willig)
+New feature #20387: Keep certain subquestions/answer options at original positions on randomization (#4613) (Tõnis Ormisson)
+New feature #20316: XSS settings for superadmin (#4753) (Denis Chenu)
+New feature #20291: Cannot set expiration date for multiple users at once (#4806) (Denis Chenu)
+New feature #20288: More columns and filters in user management view (#4787) (Denis Chenu)
-Fixed issue: Database update may be run twice (if run in parallel), leading to a corrupted database (#4593) (Carsten Schmitz)
-Fixed issue #LE-653: Fixed token creation issue (#4804) (lajosarpad)
-Fixed issue #LE-593: sidemenu widget item translations (#4699) (haythem chibani)
-Fixed issue #LE-491: copy survey details improved caching (#4528) (haythem chibani)
-Fixed issue #LE-489: Ensure survey details update correctly when translations change via quick translation (#4522) (haythem chibani)
-Fixed issue #CT-1611: Copy conditions while copying a group (#4734) (lajosarpad)
-Fixed issue #20492: [security] Stored Cross-Site Scripting (SXSS) in theme administration (Thank you to lavie3k for reporting the issue) (#4888) (Denis Chenu)
-Fixed issue #20491: Missing feedback when registering with the same email (#4882) (tiborpacalat)
-Fixed issue #20472: Unable to update DB from 470 to 471 via CLI (#4817) (Denis Chenu)
-Fixed issue #19773: Translation missing in reordering title (aisreh)
-Fixed issue #19663: Users without creation date from older installations show exception in user list (#3968) (Johannes Weberhofer)
-Fixed issue #19519: When re-activating a token based survey the user is not asked to re-active the token table (#3963) (Gabriel Jenik)
-Fixed issue #18936: User count in group is not OK after deleting a user. (#3344) (Gabriel Jenik)
-Fixed issue #18460: Assigned survey group is gone after survey export/import (#2745) (Gabriel Jenik)
#Updated translation: Swahili by FredaM
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by ricardo.santos
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Mongolian by amidral
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Greek by lemonia1
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Bengali by Mazi
#Updated translation: Basque by naiara.maya
#Updated translation: Azerbaijani by nemoralis
#Updated translation: Armenian by Mazi
#Updated translation: Armenian (Western) by aghjoyan


Changes from 7.0.0-beta1 (build 260121) to 7.0.0-beta2 (build 260415) April 14, 2026
IMPORTANT
-Migration script could have issues, so don't use this version for production

KNOWN ISSUES
-There are issues with the importing of groups and questions
-Ranking question type doesn't work properly

New feature: New easy-to-use survey editor - check it out!


Changes from 6.16.16 (build 260408) to 6.16.17 (build 260414) April 14, 2026
-Fixed issue #20480: Proper font support for non-Latin chars in PDF export (#4857) (Mohab Elsheikh)
-Fixed issue #20478: Question index inherited value cannot be overridden (#4853) (Matthew)
-Fixed issue #20466: Tablesorter dependency error in Survey permissions view (#4790) (Richard A.)
-Fixed issue #20459: [security] SQL Injection in CPDB participant search (reported by podalirius) (#4836) (Denis Chenu)
-Fixed issue #20433: Mandatory soft settings seem to be skipped (#4719) (Denis Chenu)
-Fixed issue #20421: Random order still being applied after changing the question type (#4829) (Carsten Schmitz)
-Fixed issue #20360: Bootstrap dropdown partly looks like dark theme on selected/hover (#4555) (Tõnis Ormisson)
-Fixed issue #20317: Automatic opt-out triggered by email security scanners (#4831) (Carsten Schmitz)
-Fixed issue #20041: No warning message if attachment is missing/inaccessible before email is sent (#4254) (Denis Chenu)
-Fixed issue #19768: On saving a user, the success message contains HTML entities (Carsten Schmitz)
-Fixed issue #19766: Untranslated text when creating dummy users (aisreh)
-Fixed issue #19418: Correctly set inheritance for Captchas (#4854) (Gabriel Jenik)
-Fixed issue #19083: Fruity23 theme invalidated after selecting Question from Screen dropdown (#3451) (Oliver Kuna)
-Fixed issue #14390: Resetting a theme jumps back to the first page of question themes (#4830) (Carsten Schmitz)
-Fixed issue: Missing placeholder attribute for short freetext question type (Herbert Poul)
-Fixed issue: Error on response timings page if debug mode is active (lajosarpad)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.16.15 (build 260330) to 6.16.16 (build 260408) April 8, 2026
+New feature #TB-78: New setting in global settings and config-defaults.php to set the minimum stability for ComfortUpdate notifications (Carsten Schmitz)
-Fixed issue: Survey copy defaults for custom copy were not set (Carsten Schmitz)
-Fixed issue #AT-1972: Theme options page empty (#4835) (Stefan K)
-Fixed issue #AT-1917: Copy encrypted setting of attribute from CPDB to token attribute (#4712) (Tim Willig)
-Fixed issue #20476: Audio upload from iPhone (.m4a) fails (Carsten Schmitz)
-Fixed issue #20474: In Copy Survey modal window the button text overflows (Richard A.)
-Fixed issue #20471: Bootstrap dropdown size setting has no effect (#4816) (Matthew)
-Fixed issue #20458: [security] Unsafe php unserialize calls on attachments attribute (reported by podalirius ) (#4838) (Denis Chenu)
-Fixed issue #20393: Unclear user cannot edit survey text (#4789) (Gabriel Jenik)
-Fixed issue #20388: [security] User with "update surveys" can delete surveys (#4627) (Denis Chenu)
-Fixed issue #20371: Users cannot have read-only permissions on surveys (#4706) (Gabriel Jenik)
-Fixed issue #20356: Statistics filter screen is missing the question code (#4571) (Denis Chenu)
-Fixed issue #20334: Link to bootswatch page in themes list opens in same tab (#4569) (Denis Chenu)
-Fixed issue #20289: Missing data when exporting users (#4807) (Denis Chenu)
-Fixed issue #19999: Cannot set empty URL for a quota URL if autoload URL is activated (#4785) (Carsten Schmitz)
-Fixed issue #19558: Import CSV created duplicates (#4748) (Gabriel Jenik)
#Updated translation: Thai by tomzt
#Updated translation: Slovak by jelen1
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: French (France) by DenisChenu
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.16.14 (build 260323) to 6.16.15 (build 260330) March 30, 2026
-Fixed issue #LE-663: Deletion of participants list should switch access mode from closed to open (#4814) (haythem chibani)
-Fixed issue #LE-661: Visiting survey fails in closed access mode with inherited public registration enabled (#4813) (haythem chibani)
-Fixed issue #AT-1976: Survey showing wrong checkbox icon (#4828) (Stefan K)
-Fixed issue #20470: On group import the question codes in custom conditions are not updated (Carsten Schmitz)
-Fixed issue #20464: Error message 'Unknown table field questions.qid' (Carsten Schmitz)
-Fixed issue #20399: CSS class not applied to active menu items (#4805) (Stefan K)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: French (France) by DenisChenu, fgervais, Rodrigue_Galani
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky


Changes from 6.16.13 (build 260316) to 6.16.14 (build 260323) March 23, 2026
-Fixed issue: Add aria-labels to button groups and heading semantic enhancements in survey menu panels (a11y) (#4447) (Anblik Audit Team)
-Fixed issue LS-CLOUD-409: array_merge() error when executing quota (Carsten Schmitz)
-Fixed issue #LE-656: CPDB attribute edit/add modal languages delete button not working (#4802) (haythem chibani)
-Fixed issue #LE-655: Delete sharing action in CPDB sharing panel doesn't work (#4798) (haythem chibani)
-Fixed issue #20467: Condition designer: "Copy conditions" crashes when no target is selected (Carsten Schmitz)
-Fixed issue #20465: Allowed memory size exhausted when trying to send big number of invitations (#4792) (Carsten Schmitz)
-Fixed issue #20462: Copy survey plugin settings (#4786) (Tõnis Ormisson)
-Fixed issue #20448: On first survey import you get an error: Malformed JSON related to files_css field (Carsten Schmitz)
-Fixed issue #20389: Deprecation warnings with PHP 8.4 (Carsten Schmitz)
-Fixed issue #20348: Any txt file can create survey (#4762) (Denis Chenu)
-Fixed issue #20462: Roll back survey on plugin setting copy failure (Tõnis Ormisson)
-Fixed issue #20462: Remove invalid plugin setting error model (Tõnis Ormisson)
-Fixed issue #20462: Make plugin setting copy atomic (Tõnis Ormisson)
-Fixed issue #20462: Include plugin setting validation errors (Tõnis Ormisson)
-Fixed issue #20462: Copy survey plugin settings (Tõnis Ormisson)
#Updated translation: Welsh
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Icelandic 
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 6.16.12 (build 260309) to 6.16.13 (build 260316) March 16, 2026
-Fixed issue: Adjusted panel cards, import survey and import user, toolbuttons for sidebar (a11y) (#4437) (Anblik Audit Team)
-Fixed issue: Added and adjusted missing tags and roles on question summary page (a11y) (#4435) (Anblik Audit Team)
-Fixed issue #LE-633: Prevent type error when quota language settings are missing (#4758) (haythem chibani)
-Fixed issue #LE-534: Switching access mode in classic editor does not get updated in new editor (#4761) (haythem chibani)
-Fixed issue #20456: Editing source syntax highlighting missing (Carsten Schmitz)
-Fixed issue #20455: The 404 error page for non-existent surveys displays raw HTML entities (Carsten Schmitz)
-Fixed issue #20449: Unable to edit account settings when using Hiligaynon (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian (Informal) by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German by actxcellence, c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 6.16.11 (build 260303) to 6.16.12 (build 260309) March 9, 2026
-Fixed issue 20423: [security] Open redirect vulnerability (Thank you to Melvin Lammerts for reporting the issue)
-Fixed issue: [security] RemoteControl API user export exports too much information (Carsten Schmitz)
-Fixed issue AT-1871: datestamps showing incorrect value when datestamp setting is off (#4649) (Stefan K)
-Fixed issue #CT-1634: survey loses customized theme settings on submit page (#4756) (Tim Willig)
-Fixed issue #AT-1949: fixed background color of the sticky menu and lower shadow intensity (#4745) (Stefan K)
-Fixed issue #20444: SQL error during update to 6.16.11 and using Postgres (Stefan K)
-Fixed issue #20443: User with all survey permissions and global "Create Survey" permission cannot copy surveys owned by others (Carsten Schmitz)
-Fixed issue #20244: Deprecation error in Upload question type when debug mode is activated (Carsten Schmitz)
-Fixed issue #20106: Broken loading of survey theme options with force_xmlsettings_for_survey_rendering enabled (Carsten Schmitz)
-Fixed issue: Token views - added header element changes instead of aria-level declaration (a11y) (#4602) (Tim Willig)
-Fixed issue: a11y compliant dropdowns in extraMenu.php (a11y) (#4709) (Tim Willig)
-Fixed issue: tab roles for text element settings and themes (a11y) (#4680) (Anblik Audit Team)
-Fixed issue: roles and tags for lists of participants and surveythemes (a11y) (#4676) (Anblik Audit Team)
-Fixed issue: adding descriptive ARIA labels to email method, SMTP encryption, and SMTP debug controls in global settings (a11y) (#4675) (Anblik Audit Team)
-Fixed issue: added roles to massive action and added roles/aria labels to question and groups overview page (a11y) (#4737) (Anblik Audit Team)
-Fixed issue: added disabled attribute on massive action menu (a11y) (#4674) (Anblik Audit Team)
-Fixed issue: improved label–input associations in assessments + correct tab roles for Quotas (a11y) (#4678) (Anblik Audit Team)
-Fixed issue: add screen-reader-only table captions (a11y) (#4749) (Anblik Audit Team)
-Fixed issue: add optional table captions, fix modal dialogs with aria-labelledby/aria-modal, add aria-labels to close buttons, and enhance data grid header checkbox ARIA labeling (a11y) (#4735) (Anblik Audit Team)
-Fixed issue: improvements to mass edit form in send email dropdown (a11y) (#4738) (Anblik Audit Team)


Changes from 6.16.10 (build 260223) to 6.16.11 (build 260303) March 3, 2026
+New feature #AT-1894: add wrap table settings to fruity23 theme (#4694)
-Fixed issue #AT-1945: Quota languages were not copied properly (#4726) (Patricia Stell)
-Fixed issue #AT-1910: Add navigation flow across all pages (#4717) (Stefan K)
-Fixed issue #20434: When exporting R syntax it would only export in the base language, no matter which language was selected (Carsten Schmitz)
-Fixed issue #20432: Question numbers and group info not displaying correctly after upgrade from v 3.x (#4722) (Gabriel Jenik)
-Fixed issue #20426: Missing composer.lock file which is needed for SBOM (Carsten Schmitz)
-Fixed issue #20423: [security] Open redirect vulnerability (#4727) (Tim Willig)
-Fixed issue #20407: Other option not in condition designer for multiple-choice question (#4707) (Denis Chenu)
-Fixed issue #20367: 500 server error (division by zero) when using Excel export at statistics (#4721) (Gabriel Jenik)
-Fixed issue: adding appropriate accessibility attributes to the loading spinner (a11y)  (#4689) (Anblik Audit Team)
-Fixed issue: improved label–input associations in text elements settings (a11y) (#4690) (Anblik Audit Team)
-Fixed issue: added multiple aria-label and role tags in global settings (a11y) (Anblik Audit Team)
-Fixed issue: Privacy policy settings form, added proper label-to-input associations and enhanced tab navigation controls (a11y) (#4691) (Anblik Audit Team)
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han

Changes from 6.16.9 (build 260217) to 6.16.10 (build 260223) February 23, 2026
-Fixed issue #AT-1792: Add disable logic to survey sidemenu + disable quick translation item on condition (#4668) (Tim Willig)
-Fixed issue #20425: [security] Runtime directory is not protected by default (#4713) (Denis Chenu)
-Fixed issue #20424: [security] SQL Injection in RemoteControl API (#4714) (Denis Chenu)
#Updated translation: Finnish by Jmantysalo


Changes from 6.16.8 (build 260209) to 6.16.9 (build 260217) February 17, 2026
-Fixed issue: add new checkitems to fruity23 theme and options interface, checkitems options will now work as intended (#4711) (Patrick Teichmann)
-Fixed issue #20337: Cannot add a User Group to Survey Permissions unless at least one User is already added (#4710) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni, ritapas
#Updated translation: Italian (Informal) by lfanfoni, ritapas
#Updated translation: French (France) by DenisChenu, fgervais, Rodrigue_Galani
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.16.7 (build 260205) to 6.16.8 (build 260209) February 9, 2026
-Fixed issue: error if core package font can't be loaded (Patrick Teichmann)
-Fixed issue #20042: list_users command returns wrong permissions (roles permissions are not taken into account) (#4697) (Gabriel Jenik)
-Fixed issue #1920: Additional participant attributes were not copied in the new copy process (Patricia Stell)
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo


Changes from 6.16.6 (build 260204) to 6.16.7 (build 260205) February 4, 2026
-Fixed issue: release notes file is empty (Patrick Teichmann)

Changes from 6.16.5 (build 260127) to 6.16.6 (build 260204) February 2, 2026
+New feature #AT-1622: new corner-radius theme option for fruity_twentythree theme (Patrick Teichmann)
+New feature #AT-1560: new copy survey process in the survey lists action menu (Patricia Stelling)
-Fixed issue #AT-1622: survey theme options are now correctly and completely implemented in the new editor (Patrick Teichmann)
-Fixed issue: lastmodified for a copied survey should be reset (cache issues). (Patricia Stelling)
-Fixed issue: Don't show notifications for unstable updates (Carsten Schmitz)
-Fixed issue: A11y missing aria-label for CPDB participant modal (#4546) (Anblik Audit Team)
-Fixed issue: A11y highlight alert close button for surveytaking (#4477) (Anblik Audit Team)
-Fixed issue: A11y for modal close buttons (#4541) (Anblik Audit Team)
-Fixed issue: A11y for massive action in gridview tables (#4486) (Anblik Audit Team)
-Fixed issue: A11y corrected header tags in quota view (#4558) (Anblik Audit Team)
-Fixed issue: A11y announce title for email invitation view (#4486) (Anblik Audit Team)
-Fixed issue: A11y announce gridview table action dropdown (#4477) (Anblik Audit Team)
-Fixed issue: A11y adjustments for global email bounce settings (#4614) (Anblik Audit Team)
-Fixed issue: A11y adjust modal header title for test email (#4604) (Anblik Audit Team)
-Fixed issue: A11y added missing labels for email view in global settings (#4603) (Anblik Audit Team)
-Fixed issue: A11y added missing label declarations in global import particpant csv view(#4529) (Anblik Audit Team)
#Updated translation: Swahili by FredaM
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: French (France) by DenisChenu, fgervais, Rodrigue_Galani
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1, VBraun
#Updated translation: Czech (Informal) by jelen1, slansky, VBraun
#Updated translation: Catalan by qualitatuvic


Changes from 6.16.4 (build 260113) to 6.16.5 (build 260127) January 27, 2026
-Fixed issue AT-1891: remove outline on focused links (#4665) (Tim Willig)
-Fixed issue #20391: Spinner when trying to save survey settings (#4677) (Denis Chenu)
#Updated translation: Swahili by FredaM
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, holch
#Updated translation: Galician by cegar, Gronnd
#Updated translation: Dutch by BloomingPrime, Han
#Updated translation: Dutch (Informal) by BloomingPrime, Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.16.3 (build 251215) to 6.16.4 (build 260113) January 13, 2026
-Fixed issue: single- and multiple-choice questions other field is not centered with its textbox (Patrick Teichmann)
-Fixed issue: in surveytaking, reduced whitespace between navbar and content (Patrick Teichmann)
-Fixed issue: logo not displayed in mobile view for surveys (#4630) (Patrick Teichmann)
-Fixed issue: Added .dotx as valid resource upload extension (Carsten Schmitz)
-Fixed issue: A11y for survey participants mass edit toggle buttons and modal close button (#4485) (Anblik Audit Team)
-Fixed issue: A11y for messagebox and focused links (#4507) (Anblik Audit Team)
-Fixed issue: A11y for central participants db blocklist settings and CSV import (#4531) (Anblik Audit Team)
-Fixed issue: A11y for Assessments page (#4575) (Anblik Audit Team)
-Fixed issue: A11y for Email templates settings (#4503) (Anblik Audit Team)
-Fixed issue #LX-7: Wrong semantic differential label alignment (#4629) (Gabriel Jenik)
-Fixed issue #20390: [security] Prevent XSS phishing by navigating browser tabs (#4652) (Denis Chenu)
-Fixed issue #20383: Expression manager javascript substr function does not work with a zero for start parameter (#4608) (Matthew)
-Fixed issue #20366: [security] TwoFactorAdminLogin should create secret with minimum 128 bits (#4639) (Denis Chenu)
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by BloomingPrime, Han
#Updated translation: Dutch (Informal) by BloomingPrime, Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.16.2 (build 251209) to 6.16.3 (build 251215) December 15, 2025
+New feature: Ability to include connection details in SMTP log (Carsten Schmitz)
-Fixed issue: Status of ComfortUpdate key not properly shown in top menu info box (Carsten Schmitz)
-Fixed issue: Show SMTP log only on errors was not working properly (#4607) (Carsten Schmitz)
-Fixed issue #AT-1880: Chart array numbers not showing and wrong output for array flexible (Stefan K)
-Fixed issue #20384: [security] XSS Vulnerability in question editor (#4617) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1, VBraun
#Updated translation: Czech (Informal) by jelen1, VBraun


Changes from 6.16.1 (build 251125) to 6.16.2 (build 251209) December 9, 2025
-Fixed issue: a11y missing aria-label for radio button and missing role for list in globalsettings (#4600) (Anblik Audit Team)
-Fixed issue: SMTP not being kept alive. When SMTP is kept alive the SMTP debug log only needs to show once (Carsten Schmitz)
-Fixed issue: Missing bracket for F or H array question type in statistics (#4590) (Stefan K)
-Fixed issue: Import survey button cutting off longer captions (Carsten Schmitz)
-Fixed issue: Cannot import very old survey achives because of missing startdate field (Carsten Schmitz)
-Fixed issue: A11y survey participants / send email invitation 1 fixes (#4491) (Anblik Audit Team)
-Fixed issue: A11y supply aria level for modal title in panel integration(#4584) (Anblik Audit Team)
-Fixed issue: A11y import and export resources buttons have incorrect tag assigned to them (#4589) (Anblik Audit Team)
-Fixed issue: A11y for survey participants export dialog (#4500) (Anblik Audit Team)
-Fixed issue: A11y for survey participants bounce settings (#4506) (Anblik Audit Team)
-Fixed issue: A11y for survey participants / send email invitation 2 (#4493) (Anblik Audit Team)
-Fixed issue: A11y for radio buttons in participant view (#4521) (Anblik Audit Team)
-Fixed issue: A11y for import resources modal as well as focus indicator for all modal close buttons (#4594) (Anblik Audit Team)
-Fixed issue: A11y for headers in edit email templates (#4502) (Anblik Audit Team)
-Fixed issue: A11y for add/edit participant form labels (#4547) (Anblik Audit Team)
-Fixed issue: A11y for add participants to CPDB (#4496) (Anblik Audit Team)
-Fixed issue: A11y for  survey participants pages CSV upload and manage attributes (#4497) (Anblik Audit Team)
-Fixed issue: A11y added heading tag for description in survey group form (#4596) (Anblik Audit Team)
-Fixed issue: A11y added correct role to assessment language tabs and fixed label for assesment name (#4583) (Anblik Audit Team)
-Fixed issue #20381: Easy to put an invalid email when installing the app (#4598) (Denis Chenu)
-Fixed issue #20375: Error - "Cannot access offset of type array on array" when invalid lang param is used (#4578) (Carsten Schmitz)
-Fixed issue #20370: Randomization of answer options in Array and Array Dual Scale (#4581) (Tim Willig)
-Fixed issue #20369: "Add user" button on list surveys view leads to general user management view instead of survey permissions view (#4566) (Richard)
-Fixed issue #20359: XML-RPC signature missmatch for set_participant_p… (#4550) (Chema Molins)
-Fixed issue #20150: Wrong statistics result on multiple choice question type (#4429) (Denis Chenu)
-Fixed issue #19859: Cannot import very old survey achives because of empty startdate field (Carsten Schmitz)
-Fixed issue #14762: No accessible title or label for progressbar (#4551) (Carsten Schmitz)
#Updated translation: Swahili by FredaM
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue
#Updated translation: Georgian by Tchumbura
#Updated translation: French (France) by arnaud21, b00z00, DenisChenu, frederic93190, jayce, nathalieH971, riqcles
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, VBraun


Changes from  (build ssue) to 6.16.1 (build 251125) November 25, 2025
-Fixed issue: Warning for invalid DateTime object on first opening of administration if debug mode is active (Carsten Schmitz)
-Fixed issue: Broken token session (#4570) (lajosarpad)
-Fixed issue: Access mode dropdown button works after activation (#4560) (lajosarpad)
-Fixed issue #20365: Getting an error when trying to upgrade to 6.16.0+251120 using Postgres (Carsten Schmitz)
-Fixed issue #20361: Bootstrap dropdown selected hover style issue (#4556) (Tõnis Ormisson)
-Fixed issue #20355: Not able to upgrade to newer version when running on MSSQL DBMS (lajosarpad)
-Fixed issue #15355: TCPDF doesn't remove temporary files used for images (Carsten Schmitz)


Changes from 6.15.24 (build 251117) to 6.16.0 (build 251120) November 20, 2025
+New feature #20341: Added full-screen question script editor (#4515) (Tõnis Ormisson)
+New feature #AT-1415: introducing new option Random A-Z/Z-A for answer options/subquestion order setting (#4466)
+New feature #LE-86: include last modified date in survey list boxes (#4463)
-Fixed issue: Expression manager substr() function crashing out if a non-integer text is given for start/length (Carsten Schmitz)
-Fixed issue #LE-429: Survey detail performance is enhanced with a caching mechanism (lajosarpad)
-Fixed issue: Supporting the timestamp value consistently (Ahmed Abd El-Azeem)
-Fixed issue #LE-285: ensure tokensTable creation upon allowRegister toggle (#4372) (haythem chibani)
-Fixed issue #LE-257: Ensured that participants can be restored even if we have an empty participants table (#4338) (lajosarpad)
-Fixed issue #CT-1301: Ensured that the survey name and the expiry show up dynamically (#4462) (lajosarpad)
-Fixed issue #AT-1746: Show correct active item in new side menu (#4504) (Tim Willig)
-Fixed issue #20279: Error page didn't get theme option (#4469) (Denis Chenu)
-Fixed issue: open and closed access modes not being set without deactivation
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation content from new editor in editorTranslations.php

Changes from 6.15.23 (build 251110) to 6.15.24 (build 251117) November 17, 2025
-Fixed issue: Refreshing the asset cache in global settings does not remove old asset files (#4524) (Carsten Schmitz)
-Fixed issue #CT-1454: [security] Upgraded guzzle-psr7 version due to security reasons (#4467) (lajosarpad)
-Fixed issue #20352: Confusing display of "Total surveys completed" in participant overview (Carsten Schmitz)
-Fixed issue #20294: Quick-translate using Google translation API would not work with some languages (#4523) (Carsten Schmitz)
-Fixed issue #20286: Bad wording in password reset email (Carsten Schmitz)
-Fixed issue #20271: Reflected XSS in Lime Survey Version 6.15.10+250901 (#4518) (Gabriel Jenik)
-Fixed issue #20267: "Total screened out" user counter does not update inside the participant view when quota is met (#4533) (Mohab Elsheikh)
-Fixed issue #20253: Batch edit incorrectly changes timestamp of invited, reminded and completed (#4520) (Mohab Elsheikh)
-Fixed issue #16116: Lack of freetype support shows no CAPTCHA and no alert (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo


Changes from 6.15.22 (build 251103) to 6.15.23 (build 251110) November 10, 2025
-Fixed issue: Public survey page not displaying correctly if survey group ID is missing (#4513) (lajosarpad)
-Fixed issue: Failure on survey list if language setting is missing (lajosarpad)
-Fixed issue: Automatic field mappings in Central participant management were not stored/remembered (Carsten Schmitz)
-Fixed issue #20335: Translate PersistErrorException message in LanguageSettings.php (#4510) (Richard)
#Updated translation: Slovak by jelen1
#Updated translation: Italian by ritapas
#Updated translation: Italian (Informal) by ritapas
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.15.21 (build 251028) to 6.15.22 (build 251103) November 3, 2025
-Fixed issue: Survey template cannot be imported (Carsten Schmitz)
-Fixed issue #20136: Token attributes logic with anonymous survey (#4358) (Denis Chenu)
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 6.15.20 (build 251021) to 6.15.21 (build 251028) October 28, 2025
-Fixed issue: Unresponsive react (lajosarpad)
-Fixed issue: DB version update not possible with self-registering plugins (Carsten Schmitz)
-Fixed issue #20307: Translate 'Create new...' in LayoutHelper.php. (#4483) (Richard)
-Fixed issue #20287: Fix Attribute category being shown in Question settings (#4470) (Richard)
-Fixed issue #20276: Placeholder fields on email templates for invitations/reminder are not populated (Carsten Schmitz)
-Fixed issue #20161: Stored Cross-Site Scripting (SXSS) in admin portal (#4356) (Gabriel Jenik)
-Fixed issue #20114: queXML export doesn't replace EM placeholders (#4460) (Adam Zammit)
-Fixed issue #20089: HTML shown in notification after creating a user through User management (#4362) (Denis Chenu)
-Fixed issue #20068: [security] LDAP Injection Vulnerability in AuthLDAP (#4250) (Denis Chenu)
-Fixed issue #20056: debug = 1 still send deprecated error (#4363) (Denis Chenu)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: Finnish by Jmantysalo


Changes from 6.15.19 (build 251017) to 6.15.20 (build 251021) October 21, 2025
-Fixed issue: incorrect timezone survey (#4482) (lajosarpad)
-Fixed issue #CT-458: Refactored SQL command builders (#4473) (lajosarpad)
-Fixed issue #20310: Create survey from dashboard skips initial settings (#4490) (Tim Willig)
-Fixed issue #20309: Multiple choice "Other" option has styling issues (#4488) (Denis Chenu)
#Updated translation: Japanese by d_inoue
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han, twilllig
#Updated translation: Catalan by qualitatuvic


Changes from 6.15.18 (build 251016) to 6.15.19 (build 251017) October 17, 2025
-Fixed issue: Time stamp not always UTC (lajosarpad)
-Fixed issue #20308: Update bug with Postgres (lajosarpad)
-Fixed issue #20214: Create new survey skips initial settings (#4471) (Tim Willig)
#Updated translation: Japanese by d_inoue


Changes from 6.15.17 (build 251013) to 6.15.18 (build 251016) October 16, 2025
-Fixed issue #LE-429: Refactor timestamp format (#4479) (Ahmed Abd El-Azeem)
-Fixed issue #LE-429: Optimized survey detail (#4476) (lajosarpad)
-Fixed issue #18211: List (Radio) questions columns not in one (ul) tag (#3038) (Denis Chenu)
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Japanese by nomoto
#Updated translation: Italian by ritapas
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Catalan by qualitatuvic
#Updated translation: Bengali by rhythms
#Updated translation: Afrikaans by Satyajeetchauhan


Changes from 6.15.16 (build 251006) to 6.15.17 (build 251013) October 13, 2025
-Fixed issue: provide event so additional global general settings can be rendered through plugins (Patrick Teichmann)
-Fixed issue #CT-1443: Added support for exporting and importing question theme name with txt (#4472) (lajosarpad)
-Fixed issue #AT-1727: Clean up answer records when question type changes (#4464) (lajosarpad)
-Fixed issue #20264: Bounce processing cannot match encrypted participant email addresses (#4440) (Gabriel Jenik)
#Updated translation: Welsh by ChrisWilliams
#Updated translation: Russian by alexez, c_schmitz, kvolk2lim, s.gorbatov, twilllig, vipgroup, watslaw
#Updated translation: Portuguese (Brazil) by holch, perrang
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han, twilllig
#Updated translation: Catalan by qualitatuvic
#Updated translation: Arabic by falsumairi, Shatha


Changes from 6.15.15 (build 250929) to 6.15.16 (build 251006) October 6, 2025
-Fixed issue: Email index missing in plugin event (Carsten Schmitz)
-Fixed issue #LE-428: Fixed a performance issue when displaying condition fields (#4453) (lajosarpad)
-Fixed issue #20277: Error when adding survey participant attributes to create (#4454) (Gabriel Jenik)
-Fixed issue #20276: Placeholder fields on send invitation emails are not populated (#4456) (Gabriel Jenik)
-Fixed issue #20274: Issue when printing survey with empty date question (#4451) (Denis Chenu)
-Fixed issue #20260: Survey progress bar breaks on back button (#4457) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by c_schmitz, holch, samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.15.14 (build 250924) to 6.15.15 (build 250929) September 29, 2025
+New feature: When sending batches of emails, make the current email index/count available in the plugin event (Carsten Schmitz)
-Fixed issue #LE-413: Implemented a fix for response importer to support fields with hashtag in their name (#4446) (lajosarpad)
-Fixed issue #20144: Attribute descriptions in old serialized format were not converted to new format, causing empty attributes (#4329) (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz


Changes from 6.15.13 (build 250923) to 6.15.14 (build 250924) September 23, 2025
-Fixed issue: The CSRF token could not be verified (Carsten Schmitz)
#Updated translation: Welsh by AlfNathan, c_schmitz, ChrisWilliams
#Updated translation: Galician by Calidonia, Gronnd, oslcixug


Changes from 6.15.12 (build 250916) to 6.15.13 (build 250923) September 23, 2025
-Fixed issue: Question text too small in question summary (Carsten Schmitz)
-Fixed issue: Question group text too small in summary (Carsten Schmitz)
-Fixed issue: Question group name not shown properly in question summary (Carsten Schmitz)
-Fixed issue: Breadcrumb text too small (Carsten Schmitz)
-Fixed issue #20271: [security] Reflected XSS in CSRF token handling (#4449) (Gabriel Jenik)
-Fixed issue #20256: Date question doesn't show AM/PM correctly (#4431) (Gabriel Jenik)


Changes from 6.15.11 (build 250909) to 6.15.12 (build 250916) September 16, 2025
-Fixed issue: Offered encodings for file imports don't properly work (Carsten Schmitz)
-Fixed issue #AT-1745: Storing answers from new editor (#4433) (Tim Willig)
-Fixed issue #AT-1743: Storing of subquestions from new editor (#4432) (Tim Willig)
-Fixed issue #20243: Attribute names disappear and automatic mapping breaks when adding CPDB participants to a survey (#4439) (Gabriel Jenik)
-Fixed issue #20239: [security] Reflected Cross-Site Scripting (#4428) (Gabriel Jenik)
-Fixed issue #20233: Question Themes not compatible with LimeSurvey 6 (#4417) (Gabriel Jenik)
-Fixed issue #20229: "Uses left" value is not pre-set when creating a new participant (#4430) (Gabriel Jenik)
-Fixed issue #20218: PDF export of the statistics tool does not take the setting 'Show text responses inline' into account (#4423) (Gabriel Jenik)
-Fixed issue #19812: fruity, bootswatch and vanilla truncate question index dropdown text (#4427) (Gabriel Jenik)
#Updated translation: Japanese by tibor.pacalat
#Updated translation: Finnish by Jmantysalo


Changes from 6.15.10 (build 250901) to 6.15.11 (build 250909) September 9, 2025
-Fixed issue: Several update issues when updating from version 1.x (Carsten Schmitz)
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Swahili by FredaM
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Italian by lfanfoni, sielte, usastice
#Updated translation: Italian (Informal) by alesarrett, lfanfoni


Changes from 6.15.9 (build 250826) to 6.15.10 (build 250901) September 1, 2025
-Fixed issue #AT-1729: import definition of jspdf was wrong after package update (twilligls)
#Updated translation: Finnish by Jmantysalo


Changes from 6.15.8 (build 250825) to 6.15.9 (build 250826) August 26, 2025
-Fixed issue #20242: Fixed the broken token mechanism (#4420) (lajosarpad)
#Updated translation: Telugu by FredaM
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Marathi by FredaM
#Updated translation: Japanese by d_inoue
#Updated translation: Greek by M.E.Rigos
#Updated translation: Bengali by FredaM


Changes from 6.15.7 (build 250820) to 6.15.8 (build 250825) August 25, 2025
-Fixed issue #20235: Applied fixes for tokens and anonymized (#4407) LE-337 (lajosarpad)
-Fixed issue #20224: "Constant E_STRICT is deprecated" - PHP8.4 or later with debug enabled (Carsten Schmitz)
#Updated translation: Slovak by jelen1
#Updated translation: Japanese by nomoto
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.15.6 (build 250818) to 6.15.7 (build 250820) August 20, 2025
-Fixed issue #20222: error when trying to store token
#Updated translation: Slovak by jelen1
#Updated translation: Kazakh by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by Basil, c_schmitz, HonkXL, lsurvey20
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.15.5 (build 250724) to 6.15.6 (build 250818) August 18, 2025
+New feature #20092: Statistics - subtotals will not show "No Answer" when "complete only" is selected (#4336) (Denis Chenu)
-Fixed issue AT-1713: survey creation flow alert and redirect (#4382) (Tim Willig)
-Fixed issue AT-1714: default question type for newly created surveys (#4382) (Tim Willig)
-Fixed issue AT-1706: survey activation modal action buttons not being displayed in some cases during first load of the page (#4392) (Tim Willig)
-Fixed issue #20209: Use translation function on Create new label in new menu (#4398) (fsay.php)
-Fixed issue #20192: Responses not anonymized when activating survey displaying Participant settings (#4389) (Gabriel Jenik)
-Fixed issue #20189: Javascript error after adding users from usergroup to survey (#4390) (Gabriel Jenik)
-Fixed issue #20185: Answer Options Not Deleted When Changing Question Type to Multiple Choice (#4384) (Gabriel Jenik)
-Fixed issue #20175: Print survey fails on SQL Server due to duplicated ORDER BY (sortorder,code) (#4383) (Gabriel Jenik)
-Fixed issue #20133: Cannot use datepicker in batch editing of participants (#4331) (Gabriel Jenik)
-Fixed issue #19597: Initially selected question group is not correct when adding a question directly after adding another question (#4385) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz, eddylackmann
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.15.4 (build 250710) to 6.15.5 (build 250724) July 24, 2025
-Fixed issue: Applied a11y instruction that is not programmatically associated and other accessibility fixes (#4322) (Anblik Audit Team)
-Fixed issue #CT-1333: Ensured that the old activate screen sets the access mode in the new manner (#4366) (lajosarpad)
-Fixed issue #20183: Fixed the closed and opened access mode appearance (#4370) (lajosarpad)
-Fixed issue #20180: Double escaping bug (#4374) (Gabriel Jenik)
-Fixed issue #20159: Modal content not shown inside a modal but as a page itself with no style (#4360) (Gabriel Jenik)
-Fixed issue #20037: Equation screen for subquestions - Wrong toggle, open/close reacts on every field (#4368) (Gabriel Jenik)
-Fixed issue #19894: Calling "__tostring" method on a SimpleXMLElement (#4369) (Gabriel Jenik)
#Updated translation: Slovak by brcino, jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Luxembourgish by yvilug
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.15.3 (build 250708) to 6.15.4 (build 250710) July 10, 2025
+New feature: Email type header is added to any sent emails to better identify bounced emails (Carsten Schmitz)
+New feature #QE-1454: question with image (#4314) (Tim Willig)
-Fixed issue #LE-279: Ensured that datestamp is properly set (#4355) (lajosarpad)
-Fixed issue #AT-1685: Saving general settings in new editor causes problems with new prefixes (#4350) (Tim Willig)
-Fixed issue #20157: Encoded French special char aren't well translated (#4359) (Denis Chenu)
-Fixed issue #20145: [security] SQL injection in statistics (thanks to AnNguyen) (#4328) (Denis Chenu)
#Updated translation: French (France) by AnneSophieB, DenisChenu, eddylackmann, fgervais
#Updated translation: Czech by jelen1


Changes from 6.15.2 (build 250628) to 6.15.3 (build 250708) July 8, 2025
-Fixed issue: Applied a11y patches to welcome page and text questions (#4291) (Anblik Audit Team)
-Fixed issue #20147: Unable to update from 3.X (#4339) (Denis Chenu)
-Fixed issue #20139: Export as QueXML with debug 2 and 8.3.22 throws error (#4333) (Adam Zammit)
#Updated translation: Swahili by FredaM
#Updated translation: Slovenian by pur3bolt
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni, VerenaBerisha
#Updated translation: Italian (Informal) by lfanfoni, twilllig
#Updated translation: Galician by Calidonia


Changes from 6.15.1 (build 250626) to 6.15.2 (build 250628) June 28, 2025
Fixed issue #20155: Error saving survey settings

Changes from 6.15.0 (build 250623) to 6.15.1 (build 250626) June 26, 2025
-Fixed issue: GD should be a required library (Carsten Schmitz)
-Fixed issue #20149: Improve update script to set inheritance by default (marticos)
-Fixed issue #20149: Fix regex for question, subquestion and answer codes validation (marticos)
-Fixed issue #20149: Add Othersettings validation class to handle proper values (marticos)
-Fixed issue #20118: User creation : use enter key in form close dialog without create user (#4341)
-Fixed issue #20117: Better error return in get_site_settings (#4330) (Denis Chenu)
-Fixed issue #20055: Missing save confirmation with validation errors
#Updated translation: Tamil by lucas_encuesta.biz
#Updated translation: Slovenian by a11y.si, Grimpy, ixtlan-team-zvem, junoslukan, pur3bolt
#Updated translation: Slovak by jelen1
#Updated translation: Russian by ddrmoscow, dr1yll, olly, s.gorbatov
#Updated translation: Japanese by d_inoue
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic
#Updated translation: Arabic by c_schmitz


Changes from 6.14.3 (build 250617) to 6.15.0 (build 250623) June 23, 2025
+New feature #QE-903: Easier response import which handles changed question types better (#4216) (lajosarpad)
-Fixed issue #QE-1505: Survey title and survey description should also use the base language as default, when missing in other languages (#4240) (Patricia Stell)
-Fixed issue #20144: [security] Unsafe unserialize leads to remote code execution (#4329) (Denis Chenu)
-Fixed issue #20098: Sensitive information exposed to public in session errors (#4309) (Gabriel Jenik)
-Fixed issue #20083: Pre-Installation check - Session writable re-check is impossible (#4315) (Gabriel Jenik)
-Fixed issue #20070: Enabling custom twig extension goes to 500 if HelloWorld extension is present (#4319) (Gabriel Jenik)
-Fixed issue #18229: Faulty message on numeric questions (#4273) (Denis Chenu)
#Updated translation: Portuguese (Brazil) by holch
#Updated translation: Italian by drsi.staff, lfanfoni, twilllig
#Updated translation: Italian (Informal) by lfanfoni, twilllig
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz


Changes from 6.14.2 (build 250610) to 6.14.3 (build 250617) June 17, 2025
-Fixed issue #20128: json_decode() error in SurveyLanguageSetting.php for PHP 8.3 (#4305) (Gabriel Jenik)
-Fixed issue #19171: Unable to use dropdown in config.xml with core options (#4316) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han, twilllig
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.14.1 (build 250527) to 6.14.2 (build 250610) June 10, 2025
-Fixed issue: Error message 'Invalid call to a member function decryptBeforeOutput() on null' (Carsten Schmitz)
-Fixed issue #20132: With debug=2 I am getting an error when exporting responses to SPSS (#4310) (Gabriel Jenik)
-Fixed issue #20129: Dump when accessing 2FA Admin screen, with DEBUG enabled (#4308) (Gabriel Jenik)
-Fixed issue #20127: Dump when browsing responses, with DEBUG enabled (#4307) (Gabriel Jenik)
-Fixed issue #20120: Advanced ranking height and width are set to 0 wh… (#4290) (fsay.php)
-Fixed issue #20112: Soft mandatory questions treated as mandatory whe… (#4287) (Denis Chenu)
-Fixed issue #20107: Statistics PDF export with Pie Charts not working (#4298) (Gabriel Jenik)
-Fixed issue #20091: Optin broken (Carsten Schmitz)
-Fixed issue #20047: Unable to open survey on new tab in Survey listing (#4313) (Gabriel Jenik)
-Fixed issue #20034: Exceeding the number of maximum access code validation attempts (#4301) (Gabriel Jenik)
-Fixed issue #20020: SPSS export - multiple answers question (#4297) (Gabriel Jenik)
#Updated translation: Swahili by FredaM
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue
#Updated translation: Hungarian by kkd, PFerenc
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Dutch by Han, twilllig
#Updated translation: Dutch (Informal) by Han, twilllig


Changes from 6.14.0 (build 250520) to 6.14.1 (build 250527) May 27, 2025
-Fixed issue: Plugin load error not sending email in console mode (Carsten Schmitz)
-Fixed issue #20096: Confirmation email is not sent if multiple participants/email addresses are used, also applies to admin notifications (#4282) (Gabriel Jenik)
-Fixed issue #20091: Optout/Optin broken (Carsten Schmitz)
#Updated translation: Swahili by FredaM
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by holch, samarta, sergiobaiao, twilllig
#Updated translation: Portuguese (Brazil) by holch, sergiobaiao, twilllig
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto, twilllig
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, twilllig
#Updated translation: Catalan by qualitatuvic


Changes from 6.13.3 (build 250512) to 6.14.0 (build 250520) May 20, 2025
+New feature #20080: Send an email when plugin was deactivated (#4275) (Denis Chenu)
-Fixed issue: box shadow wrongly displayed in navbar-toggler (Patrick Teichmann)
-Fixed issue #41554: Internal server error (500) division by zero fix for RenderMultipleChoice (#4283) (Rami Shenouda)
-Fixed issue #20097: SQL Error when saving failed email notification (#4281) (Gabriel Jenik)
-Fixed issue #20091: Eternal redirections (#4277) (Denis Chenu)
-Fixed issue #20090: Return 1st existing surey with specific link (#4276) (Denis Chenu)
-Fixed issue #20087: Modal content not shown inside a modal but as a page itself with no style (#4270) (Gabriel Jenik)
-Fixed issue #20086: English text string makes no sense, can't be translated (#4280) (Gabriel Jenik)
#Updated translation: Vietnamese by twilllig
#Updated translation: Ukrainian by twilllig
#Updated translation: Turkish by twilllig
#Updated translation: Thai by twilllig
#Updated translation: Tagalog by twilllig
#Updated translation: Swedish by twilllig
#Updated translation: Swahili by FredaM
#Updated translation: Spanish (Spain) by twilllig
#Updated translation: Spanish (Mexican) by twilllig
#Updated translation: Slovak by c_schmitz, jelen1, twilllig
#Updated translation: Russian by twilllig
#Updated translation: Romanian by twilllig
#Updated translation: Portuguese (Portugal) by twilllig
#Updated translation: Portuguese (Brazil) by c_schmitz, holch, rhnascimento, twilllig
#Updated translation: Polish by elissa, twilllig
#Updated translation: Norwegian (Bokmål) by twilllig
#Updated translation: Mongolian by twilllig
#Updated translation: Malay by twilllig
#Updated translation: Korean by twilllig
#Updated translation: Japanese by twilllig, d_inoue
#Updated translation: Italian by twilllig, drsi.staff, lfanfoni, luciano.parrilla
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Indonesian by twilllig
#Updated translation: Hungarian by twilllig
#Updated translation: Hindi by twilllig
#Updated translation: German by c_schmitz, twilllig
#Updated translation: German (Informal) by c_schmitz, twilllig
#Updated translation: French (France) by twilllig
#Updated translation: Finnish by twilllig, Jmantysalo
#Updated translation: Dutch by twilllig
#Updated translation: Danish by twilllig
#Updated translation: Czech by c_schmitz, jelen1, twilllig
#Updated translation: Czech (Informal) by jelen1, slansky, twilllig
#Updated translation: Croatian by twilllig
#Updated translation: Chinese (Taiwan) (Traditional) by twilllig
#Updated translation: Chinese (Simplified) by twilllig
#Updated translation: Catalan by qualitatuvic
#Updated translation: Arabic by twilllig


Changes from 6.13.2 (build 250506) to 6.13.3 (build 250512) May 12, 2025
-Fixed issue: If the database is using a different timezone than PHP the created/modified timestamps for certain records would differ (#4265) (Carsten Schmitz)
-Fixed issue: Two type errors  (#4271) (Tim Willig)
-Fixed issue #20080: Disable plugins without way to alert administrator (#4253) (Denis Chenu)
-Fixed issue #20063: Loading spinner prevents modal button press when adding an empty participant (#4255) (Gabriel Jenik)
-Fixed issue #19986: List with comment with Dropdown presentation set to On doesn't offer placeholder value (#4218) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Marathi by tibor.pacalat
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.13.1 (build 250428) to 6.13.2 (build 250506) May 6, 2025
-Fixed issue: Ugly message when trying to backup DB on non-MySQL DB type (Carsten Schmitz)
-Fixed issue #20085: Debug 2, PHP8.3 : unable to upload valid plugin (#4261) (Denis Chenu)
-Fixed issue #20072: Unable to import some surveys with debug=1 (Carsten Schmitz)
-Fixed issue #20071: Haitian Creole fails to quick translate (Carsten Schmitz)
-Fixed issue #20065: [security] SQL injection in central participant management (#4247) (Denis Chenu)
-Fixed issue #20064: Group order not set correctly when copying a question to a group such that subsequent copied questions end up in the wrong order (#4259) (Gabriel Jenik)
-Fixed issue #20058: Can't retrieve a file uploaded with RC api (#4241) (Alain Lima)
-Fixed issue #20057: Bulk setting the expiration date (#4256) (Gabriel Jenik)
-Fixed issue #20017: Error selecting the first possible date in the calendar (#4252) (Gabriel Jenik)
-Fixed issue #19769: Duplicate question type images (#4242) (HaroWana)
-Fixed issue #19419: Batch editing in the participants table - "invitation sent","reminder sent" & "completed" fields are filled out unintentionally (#4248) (Gabriel Jenik)
#Updated translation: Portuguese (Brazil) by c_schmitz, holch, samarta
#Updated translation: Papiamento (Curaçao and Bonaire) by indigoblueconsult
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Catalan by qualitatuvic


Changes from 6.13.0 (build 250415) to 6.13.1 (build 250428) April 28, 2025
-Fixed issue #20061: Update error in PostgreSQL (#4245) (Gabriel Jenik)
-Fixed issue #20060: If a user cannot be delete due to being forced superadmin no specific error is shown (Carsten Schmitz)
-Fixed issue #20052: When copying survey absolute URLs in email templates are transformed to relative path (#4237) (Gabriel Jenik)
-Fixed issue #19955: Link to PopUp in question type image radio (#4172) (Gabriel Jenik)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Latvian by ioditis
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: Galician by Calidonia, Gronnd, isma.alvarez


Changes from 6.12.4 (build 250408) to 6.13.0 (build 250415) April 15, 2025
-New feature #18352: Set up 2FA with YubiKey (Gabriel Jenik)
-Fixed issue: Typo in native language name for Hungarian (#4243) (Kiss-Kálmán Dániel)
-Fixed issue: Calculation of database size for download including index data (Carsten Schmitz)
-Fixed issue #MW-1526: Error message DbStorage not found (#4232) (lajosarpad)
-Fixed issue #CR-1471: Applied UI fixes for the case when the editor is enabled (#4226) (lajosarpad)
-Fixed issue #20021: Deleting a participants leads to 500: Internal server error (#4239) (Gabriel Jenik)
#Updated translation: Marathi by tibor.pacalat, twilllig
#Updated translation: Japanese by d_inoue
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by Castella, DenisChenu, fgervais, williamdes
#Updated translation: Finnish by Jmantysalo
#Updated translation: Catalan by qualitatuvic


Changes from 6.12.3 (build 250331) to 6.12.4 (build 250408) April 8, 2025
-Fixed issue: Participant lists not properly using the correct charset (Carsten Schmitz)
-Fixed issue CR-1470: Remove icons from config.xml <dropdownoptions> (#4225) (K Foster)
-Fixed issue #20032: PHP Error When Importing Participants From CSV (#4233) (Denis Chenu)
-Fixed issue #20030: Import LDAP - Can't connect LDAP Server with ldapv3 and ldpaps (#4217) (Denis Chenu)
-Fixed issue #19380: Switching between questions in the structure tab causes sever slowdown or crash of browser tab (#3836) (Gabriel Jenik)
-Fixed issue #18878: GID not accessible in question text in specific conditions (#4234) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Dutch by BloomingPrime, Han
#Updated translation: Dutch (Informal) by BloomingPrime, Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.12.2 (build 250324) to 6.12.3 (build 250331) March 31, 2025
-Fixed issue: Library PHP-Zip wasn't shown as mandatory during installation (Carsten Schmitz)
-Fixed issue [security]: Export survey/label set resources with limited permissions (Carsten Schmitz)
-Fixed issue #20022: Encryption of the Client Secret - AzureOAuthSMTP Plugin (#4215) (Gabriel Jenik)
-Fixed issue #20008: XSS on survey theme description (#4205) (Gabriel Jenik)
-Fixed issue #19966: Npm show a lot of security issue (#4210) (Gabriel Jenik)
-Fixed issue #19956: Ugly error message after trying to import not compatible responses (#4211) (Denis Chenu)
-Fixed issue #19725: When trying to recover the participants it says There are no matching configurations to start restoring the participant list. (#4221) (Gabriel Jenik)
-Fixed issue #19552: Breadcrumb is badly placed, cut off, and doesn't show survey name, group name etc (#4016) (Gabriel Jenik)
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by jelen1
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1, VBraun
#Updated translation: Czech (Informal) by jelen1, VBraun
#Updated translation: Catalan by qualitatuvic


Changes from 6.12.1 (build 250317) to 6.12.2 (build 250324) March 24, 2025
+New feature #20002: Create 2FA enforcement setting for 2FA plugin (#4202) (Denis Chenu)
-Fixed issue #20009: Central user DB admin UI - PHP 8.2 deprecation (#4206) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by kkd
#Updated translation: Greek by baltzis
#Updated translation: German by c_schmitz, twilllig
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo


Changes from 6.12.0 (build 250310) to 6.12.1 (build 250317) March 17, 2025
-Fixed issue #20004: User massive action drop-down list not translated (#4196) (Franck)
-Fixed issue #19997: Bad HTML on theme list (#4198) (Denis Chenu)
-Fixed issue #19995: Error Export SPSS file doesn't work (#4197) (Adam Zammit)
-Fixed issue #19773: Translation function added to Reordering title (#4195) (Franck)
-Fixed issue #18713: Better focus on radio and checkbox - keyboard navigation broken (#4191) (Denis Chenu)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd
#Updated translation: Hungarian (Informal) by c_schmitz, kkd
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 6.11.0 (build 250303) to 6.12.0 (build 250310) March 10, 2025
-New translation: Hungarian (Informal) (Dániel Kiss-Kálmán)
-Fixed issue #20000: Special characters in question text not properly shown in column selector on export (Carsten Schmitz)
-Fixed issue #19994: Unable to get to dashboard in some condition (#4190) (Denis Chenu)
-Fixed issue #19992: Errors after importing surveys related to quota language settings (#4189) (Denis Chenu)
-Fixed issue #19965: Lot of security issue in jspdf (#4192) (Gabriel Jenik)
-Fixed issue #19947: Exporting to tab-separated-values error (#4181) (Denis Chenu)
-Fixed issue #19904: Last survey and last question must be in SettingsUser (#4182) (Denis Chenu)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Georgian by giorgi, lucas_encuesta.biz, makosmith, Tchumbura, zch5368


Changes from 6.10.6 (build 250224) to 6.11.0 (build 250303) March 3, 2025
+New feature: Support for setting base language on CLI survey import (MW-1447) (lajosarpad)
-Fixed issue: PHP Error when post_max_size is exceeded in file upload question (Carsten Schmitz)
-Fixed issue: Cryptic error message when language settings for a survey are missing (Carsten Schmitz)
-Fixed issue: Broken survey after import when there is an error in language settings (Carsten Schmitz)
-Fixed issue #19984: No way to update user settings (#4188) (Denis Chenu)
-Fixed issue #19982: DOMDocument::load(): I/O warning : failed to load external entity - on PHP 7.4 when entering the themes screen (#4186) (Gabriel Jenik)
-Fixed issue #19980: RemoteControl2 - export_responses - ResponseType doesn't support 0 for answercodes (#4187) (Gabriel Jenik)
-Fixed issue #19960: Registration Form spamming (#4170) (Gabriel Jenik)
-Fixed issue #19959: token will not allow standard uuid format tokens (removes dashes) (#4168) (Tõnis Ormisson)
#Updated translation: Portuguese (Portugal) by c_schmitz, holch, samarta, sazevedo
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: English by twilllig
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 6.10.5 (build 250217) to 6.10.6 (build 250224) February 24, 2025
-Fixed issue #19957: Wrong operator in removeFromBacklist (#4171) (Gabriel Jenik)
-Fixed issue #19909: Issues with font handling in the custom configuration of the survey theme (#4166) (Gabriel Jenik)
-Fixed issue #19909: Issues with font handling in the custom configuration of the survey theme (#4165) (Gabriel Jenik)
-Fixed issue #19902: Choice of columlns shown at survey listing disappear (#4179) (Denis Chenu)
-Fixed issue #19879: RC - user with only Survey content update can not use set_group_properties or set_question_properties (#4178) (Denis Chenu)
-Fixed issue #19878: RC - Bad permission check on list_groups list_questions remote control (#4177) (Denis Chenu)
-Fixed issue #19877: RC - Bad permission check on import_group remote control (#4176) (Denis Chenu)
-Fixed issue #19876: RC - No permission control on get_response_ids (#4175) (Denis Chenu)
-Fixed issue #19875: Bad permission check on get_question_properties remote control (#4174) (Denis Chenu)
-Fixed issue #19874: Bad permission check on remote control get_language_properties (#4173) (Denis Chenu)
-Fixed issue #19647: Statistics calculation error for number tables with free fields (#4167) (Gabriel Jenik)
-Fixed issue #19404: Unable to export survey with PHP 8.0 (#3845) (Denis Chenu)
#Updated translation: Luxembourgish by dmzyyDbd
#Updated translation: Japanese by d_inoue


Changes from 6.10.4 (build 250210) to 6.10.5 (build 250217) February 17, 2025
-Fixed issue #19962: SMTP session always closed and reopened between emails (#4169) (Carsten Schmitz)
-Fixed issue #19897: Unable to test sample survey - array_sum issue (#4113) (Denis Chenu)
-Fixed issue #19890: The required password length is wrong (#4164) (Gabriel Jenik)
-Fixed issue #19865: Stack trace with directory with setdebug.php url (#4079) (Denis Chenu)
-Fixed issue #19847: 2FA renewing not working (#4161) (Gabriel Jenik)
-Fixed issue #19804: publicurl config setting difference when upload survey lss (#4163) (Denis Chenu)
-Fixed issue #19770: Chronometer bug (#4162) (Gabriel Jenik)
-Fixed issue #19701: Outdated or unused libraries at latest 6.6.1 version (#4083) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Portuguese (Brazil) by holch, mauriciofurtado
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni, Ziconick
#Updated translation: Italian (Informal) by lfanfoni, Ziconick
#Updated translation: Hausa by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Chichewa by c_schmitz
#Updated translation: Catalan by qualitatuvic
#Updated translation: Catalan by bulent, qualitatuvic


Changes from 6.10.3 (build 250203) to 6.10.4 (build 250210) February 10, 2025
-Fixed issue: Error 500 shown if dual scale question does not have any answer options (Carsten Schmitz)
-Fixed issue #MW-1415: Progress bar displays 100 value before the end of the survey (#4118) (marticos)
-Fixed issue #19953: Double encoding in quota page (Carsten Schmitz)
-Fixed issue #19950: Wrong content (#4160) (Gabriel Jenik)
-Fixed issue #19925: Multiplication of dropdown-menu DOM element when switching response view mode in LimeSurvey (#4139) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by c_schmitz
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Brazil) by holch
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by c_schmitz


Changes from 6.10.2 (build 250127) to 6.10.3 (build 250203) February 3, 2025
-Fixed issue #19927: postgres and unit tests  (#4137) (Gabriel Jenik)
-Fixed issue #19856: Import LDAP - error 500 - ldap_set_option (#4101) (Denis Chenu)
-Fixed issue #19839: Exporting a survey to PDF will result in PHP error (#4044) (Adam Zammit)
-Fixed issue #19800: Error when selecting single choice answer in secondary language with debug=2 (#4000) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Brazil) by thiagosmartins
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.10.1 (build 250120) to 6.10.2 (build 250127) January 27, 2025
-Fixed issue: Error when trying to attach file to email template using PHP 8.2 (Carsten Schmitz)
-Fixed issue #19939: Correction to the path pointing the images in log-in page (#4149) (Gabriel Jenik)
-Fixed issue #19924: Multiplication of #pjaxClickInhibitor DOM element when switching response view mode in LimeSurvey (#4138) (Gabriel Jenik)
-Fixed issue #19908: Import participants to survey - Can't import CSV without tokens (#4126) (Gabriel Jenik)
-Fixed issue #19899: Order of question when copying are bad (#4136) (Gabriel Jenik)
-Fixed issue #18892: Edit condition button under Relevance in email attachment does not function (#4141) (Gabriel Jenik)
#Updated translation: Welsh by ChrisWilliams
#Updated translation: Spanish (Spain) by aesteban, Gronnd, ireneoh
#Updated translation: Japanese by nomoto
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Croatian by rovinj
#Updated translation: Arabic by c_schmitz


Changes from 6.10.0 (build 250106) to 6.10.1 (build 250120) January 20, 2025
-Fixed issue #19919: Stop survey button is not translatable (#4131) (tiborpacalat)
-Fixed issue #19905: [security] Any user can get any user SurveyList (#4120) (Denis Chenu)
-Fixed issue #19901: Wrong characters displayed in French when deletin… (#4116) (Denis Chenu)
-Fixed issue #19896: zend.assertions warning if debug set (#4130) (Denis Chenu)
-Fixed issue #19892: Activate survey modal is ignoring the global survey setting (#4125) (Gabriel Jenik)
-Fixed issue #19886: Some translation are missing (Carsten Schmitz)
-Fixed issue #19848: Array questions split on iPad 7 despite its large screen (Vanilla theme) (#4114) (Ahmed Abd El-Azeem)
#Updated translation: Portuguese (Portugal) by c_schmitz, holch, samarta
#Updated translation: Portuguese (Brazil) by holch, samarta
#Updated translation: Portuguese (Brazil) by holch
#Updated translation: Polish by 2BITS_PL, elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Luxembourgish by fieschen
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian by c_schmitz, lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 6.9.0 (build 241218) to 6.10.0 (build 250106) January 6, 2025
+New feature #19881: Make survey group ID available as output or input for RPC (#4115) (Denis Chenu)
+New feature MW-1407: Add security check before db dump & check for database size before download (marticos)
-Fixed issue QE-1310: New editor doesn't allow more than 200 characters for the privacy policy message (twilligls)
-Fixed issue #19910: Error upgrading database to version 627 in MSSQL (#4124) (Gabriel Jenik)
-Fixed issue #19888: Check Remote Control API Log off admin (#4105) (Denis Chenu)
-Fixed issue #19873: [security] RC Any user can create or update any participant in CPDB (#4087) (Denis Chenu)
-Fixed issue #19872: [security] RC Bad permission check on copy_survey (#4106) (Denis Chenu)
-Fixed issue #19870: [security] Any user with survey create permission can activate tokens on any survey (#4088) (Denis Chenu)
-Fixed issue #19869: [security] All group deletion accessible by any admin with one survey access (#4085) (Denis Chenu)
-Fixed issue #19864: [security] Export question and group are not restricted (#4082) (Denis Chenu)
-Fixed issue #19860: Row level dropdown menu gets trimmed (#4110) (Gabriel Jenik)
#Updated translation: Welsh by ChrisWilliams
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Catalan by qualitatuvic


Changes from 6.8.2 (build 241203) to 6.9.0 (build 241218) December 18, 2024
+New feature: API get_quota_properties also returns completeCount (#4027) (Tõnis Ormisson)
+New feature #MW-1407: Add check for database size before download (#4066) (marticos)
-Fixed issue: unable to save personal settings (twilligls)
-Fixed issue: Table column customization not working on Apache (Carsten Schmitz)
-Fixed issue: Login logo not shown if app is installed in a subdirectory (Carsten Schmitz)
-Fixed issue: Cannot update default initial password (lajosarpad)
-Fixed issue #QE-1275: incorrect color for icons in box view of the survey dashboard (Patrick Teichmann)
-Fixed issue #CR-1364: Added missing classes to remove 'disabled' when unchecked (#4104) (Ahmed Abd El-Azeem)
-Fixed issue #19885: Wrong characters displayed in when deleting a question (#4102) (Denis Chenu)
-Fixed issue #19838: Plugin upload doesn't allow LSS, LSA, LSG and LSQ files (#4077) (Gabriel Jenik)
-Fixed issue #19822: Subquestion should deleted by delete() method (#4013) (Marko Bischof)
-Fixed issue #19821: Answer should deleted by delete() method (#4012) (Marko Bischof)
-Fixed issue #19661: Data inconsistency in responses after importing LSA files (#4056) (Gabriel Jenik)
-Fixed issue #19630: Add warning to permissions interface when assigni… (#4067) (Denis Chenu)
#Updated translation: Ukrainian by olly
#Updated translation: Slovak by jelen1, sinkarobert
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Brazil) by holch, samarta, thiagosmartins
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz, ingo.reuter
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by DenisChenu, Marie-Alice_Foujols
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Azerbaijani by nemoralis


Changes from 6.8.1 (build 241120) to 6.8.2 (build 241203) December 3, 2024
-Fixed issue QE-1258: clear date via api (#4041) (Tim Willig)
-Fixed issue CT-1050: number_format expected float but a string was given (#4047) (Rami Shenouda)
-Fixed issue #19853: Data images crashing survey (#4065) (Gabriel Jenik)
-Fixed issue #19843: Some texts not translated in theme options (Carsten Schmitz)
-Fixed issue #19842: [security] Password default requirements do not get consistently applied (#4048) (Carsten Schmitz)
-Fixed issue #19828: Hamburger menu need a accessible text (Vanilla theme) (#4059) (Denis Chenu)
-Fixed issue #19820: Question Type Bootstrap Dropdown causes survey to jump to middle when starting (#4064) (Gabriel Jenik)
-Fixed issue #19817: Can't create a new question after a between question is deleted (#4057) (Gabriel Jenik)
-Fixed issue #19813: Duplicated Bootswatch Theme breaks File picker question (#4036) (Denis Chenu)
-Fixed issue #19765: Unable to upload resources via drag'n'drop in KCFinder (#4051) (Gabriel Jenik)
-Fixed issue #19751: Expression Manager Malfunction on Slider Answer Options (#4050) (Gabriel Jenik)
-Fixed issue #19718: Collapsible text not scrollable on iPhone (#4049) (Gabriel Jenik)
-Fixed issue #19694: [security] Update jQuery UI (#4043) (Carsten Schmitz)
-Fixed issue #13732: Twig strip_tags function didn't work (#4052) (Denis Chenu)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by aisreh, b00z00, DenisChenu, fgervais, jayce, ulysse68
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Catalan by qualitatuvic


Changes from 6.8.0 (build 241119) to 6.8.1 (build 241120) November 19, 2024
-Fixed issue: Wrong version number (Carsten Schmitz)


Changes from 6.7.0 (build 241118) to 6.8.0 (build 241119) November 19, 2024
+New feature: Plugin event 'beforeSurveyHttpHeaders' allows to modify http headers in surveys (#4021) (Carsten Schmitz)
-Fixed issue #19774: Make labels on filtering page translatable (#3980) (aisreh)
-Fixed issue #19829: Norwegian & Serbian not working in Quick translation (Carsten Schmitz)
-Fixed issue #19675: If FileUploadTotalSpaceMB > 0 an error 500 is shown (lozam)
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by nomoto


Changes from 6.6.8 (build 241104) to 6.7.0 (build 241118) November 18, 2024
-Fixed issue: Added correct cldr to Kurundi (run) (Patrick Teichmann)
-Fixed issue: QE-1201 mandatory formatter for API (#4008) (Tim Willig)
-Fixed issue #19835: (CT-1052) Time limit action for Timer not working properly (#4030) (Tim Willig)
-Fixed issue #19818: Wrong characters displayed in French when deleting a question (#4022) (Denis Chenu)
-Fixed issue #19805: Preview group throw PHP warning (#3999) (Gabriel Jenik)
-Fixed issue #19784: No access to the 'Edit Poll Settings' page view in debug mode (#3986) (Gabriel Jenik)
-Fixed issue #19779: Question Type not translated (#3983) (lozam)
-Fixed issue #19760: When editing a response, delete current seed (#3990) (Denis Chenu)
-Fixed issue #19835: Time limit action for Timer not working properly (Tim Willig)
#Updated translation: Vietnamese by evi3636, hl_sales
#Updated translation: Spanish (Spain) by evi3636, Gronnd
#Updated translation: Slovak by jelen1
#Updated translation: Russian by evi3636
#Updated translation: Portuguese (Portugal) by holch, samarta
#Updated translation: Portuguese (Brazil) by holch
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by kkd, vargazsoltivan
#Updated translation: German by c_schmitz
#Updated translation: French (France) by evi3636, fgervais
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Arabic by abdelrahman.hassan, anasbensaid, evi3636


Changes from 6.6.7 (build 241028) to 6.6.8 (build 241104) November 4, 2024
+New feature #19758: New plugin event beforeMovePublicFileUploaded (#3991) (Denis Chenu)
-Fixed issue: Empty/error page on invalid survey ID (Carsten Schmitz)
-Fixed issue #MW-1348: Extended Themes before LS6 can cause issue with the @attributes when generating xml files (#3792) (marticos)
#Updated translation: Thai by adzpire, c_schmitz, tomzt
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 6.6.6 (build 241002) to 6.6.7 (build 241028) October 28, 2024
-Fixed issue: On survey copy the new ID was not verified server-side (Carsten Schmitz)
-Fixed issue #CT-967: Fix for progress bar going over 100% (#3957) (marticos)
-Fixed issue #CR-1450: improved quota selection options (#3994) (Patrick Teichmann)
-Fixed issue #19810: Error loading survey participants using LDAPv3 (AD) (kvolk2git)
-Fixed issue #19799: No access to the panelintegration page - returns a 500 error (related to MSSQL) (#3997) (Gabriel Jenik)
-Fixed issue #19795: array_key_exists() Argument #2 ($array) must be of type array, null given (#3992) (Gabriel Jenik)
-Fixed issue #19781: Adding options using quick-add leads to wrong codes being shown (#3989) (Gabriel Jenik)
-Fixed issue #19746: Auto correction of invalid input in Multiple numeric input type question could be improved (#3982) (Gabriel Jenik)
-Fixed issue #19715: At multilingual surveys labels at the statistics tool do not show up using the base language (different language is used) (#3987) (Gabriel Jenik)
-Fixed issue #19707: cannot export participant list to csv (#3988) (Gabriel Jenik)
-Fixed issue #19687: php8.3 compatibility - Zend (xmlrpc related) (#3985) (Gabriel Jenik)
-Fixed issue #19643: Date question with restrictions does not show up like in versions 3 and 5 (#3984) (Gabriel Jenik)
-Fixed issue #19600: Some Tools Menu Items are not visible when having a lot of languages (#4001) (Gabriel Jenik)
-Fixed issue #19575: Use localization to set the name and description when importing a group with the RemoteControl API (#3860) (Edgar Ramírez Mondragón)
-Fixed issue #19290: Wrong Row Total in Array (Texts) (#3981) (Gabriel Jenik)
-Fixed issue #19015: User with superadmin role does not get superadmin privileges (#3434) (Denis Chenu)
#Updated translation: Yoruba by constantinl
#Updated translation: Swahili by arnaullop
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by c_schmitz
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Kannada by nayakank
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni, Valentina Tessaro
#Updated translation: Italian (Informal) by lfanfoni, Valentina Tessaro
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Estonian by klaster
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.6.5 (build 240924) to 6.6.6 (build 241002) October 2, 2024
-Fixed issue: [security] XSS when using MSSQL server as database backend (Carsten Schmitz)
-Fixed issue #19700: [security] Invalid DB value can be entered with start URL (#3974) (Denis Chenu)
#Updated translation: Luxembourgish by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, evi3636
#Updated translation: Finnish by Jmantysalo
#Updated translation: Catalan by qualitatuvic


Changes from 6.6.4 (build 240923) to 6.6.5 (build 240924) September 24, 2024
Fixed issue: multiple choice question cannot be answered if "other" option has been enabled

Changes from 6.6.3 (build 240909) to 6.6.4 (build 240923) September 23, 2024
+New feature #19722: Unable to use ExpressionScript code when export by remote control (#3948) (Denis Chenu)
-Fixed issue #CR-1447:  Empty strpos() needle while importing answers to responses in debug mode (#3964) (Rami Shenouda)
-Fixed issue #19750: [security] Server-Side Request Forgery attack on SPSS export style settings (#3966) (Denis Chenu)
-Fixed issue #19744: showEmailInError missing documentation (#3969) (Denis Chenu)
-Fixed issue #19700: [security] Invalid DB value can be entered with start URL (#3953) (Denis Chenu)
-Fixed issue #19677: Conversion from comma to point fails (#3941) (Gabriel Jenik)
-Fixed issue #19662: Improve .htaccess files to work with apache 2.4 w/o mod_access_compat (#3927) (Johannes Weberhofer)
-Fixed issue #19659: Conditions based on {LANG} variable fail (#3944) (Denis Chenu)
-Fixed issue #19658: Condition designer - first option in Multiple short text (Type: Q) question is always assigned predefined (No Answer) value (#3939) (Gabriel Jenik)
-Fixed issue #19643: Date question with restrictions does not show up like in versions 3 and 5 (#3912) (Gabriel Jenik)
-Fixed issue #19617: No way to get question text in get_question_properties (#3949) (Denis Chenu)
-Fixed issue #19587: The theme option 'Background image' has a space in the name, so the image can't be loaded (#3940) (Gabriel Jenik)
-Fixed issue #19519: When re-activating a token based survey the user is not asked to re-activate the token table (#3943) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.6.2 (build 240827) to 6.6.3 (build 240909) September 9, 2024
-Fixed issue: image select question, select button outside of image in certain sizes of the screen, image and column (Patrick Teichmann)
-Fixed issue: Unable to open Quick statistics on non-MySQL databases (Carsten Schmitz)
-Fixed issue: Database not shown in DB upgrade dialog when using MSSQL (Carsten Schmitz)
-Fixed issue [security] #19735: XSS by simple user in image_select-listradio (Denis Chenu)
-Fixed issue [security] #19734: XSS by simple user in image_select-multiplechoice (#3956) (Denis Chenu)
-Fixed issue [security] #19732: XSS on date format (#3952) (Denis Chenu)
-Fixed issue #19733: XSS by simple user with end url (#3954) (Denis Chenu)
-Fixed issue #19729 [security] : XSS on time_limit (#3951) (Denis Chenu)
-Fixed issue #19702 [security]: Prototype pollution in jquery-bbq - re-apply v1.4pre (Kevin Foster)
-Fixed issue #19702 [security]: Prototype pollution in jquery-bbq (Carsten Schmitz)
-Fixed issue #19578: After upgrading to 5 or 6 with MSSQL no way to access to plugin configuration (Carsten Schmitz)
-Fixed issue #19534: Survey cannot be submitted if "soft force" options are used and "full index" is active (#3950) (Denis Chenu)
-Fixed issue #19478: Error message "A column has been specified more than once in the order" when using MSSQL (Carsten Schmitz)
-Fixed issue #19110: Using MSSQL unable to activate survey a second time (Carsten Schmitz)
-Fixed issue  #19731: Error "null is not a countable type" when updating participant attribute (Carsten Schmitz)
-* Fixed issue: Optional questions not working without javascript (Denis Chenu)
-* Fixed issue #18443: Optional questions not working without "popup" (Denis Chenu)
-* Fixed issue #18332: Mandatory soft must be related to Question not Page (Denis Chenu)
#Updated translation: Uzbek by p_teichmann
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Nepali by fesoj, twilllig
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.6.1 (build 240806) to 6.6.2 (build 240827) August 27, 2024
-Fixed issue #CT-944: kal.mo was corrupted (twilligls)
-Fixed issue #19717: SQL injection vulnerability when save survey (#3946) (Denis Chenu)
#Updated translation: Sinhala by tixeon
#Updated translation: Punjabi by tixeon
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Persian (Afghanistan) - Dari by tixeon
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hazaragi by tixeon
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo, puohis
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 6.6.0 (build 240729) to 6.6.1 (build 240806) August 6, 2024
-Fixed issue: Undefined variable $editorUrl in surveyTopbarRight_view.php (Kevin Foster)
-Fixed issue #CT-887: Hazaragi language is now rtl (twilligls)
-Fixed issue #19639: [security] Host Header Injection in password reset function (thanks to paoloelia) (#3920) (Denis Chenu)
-Fixed issue #19607: Outdated libraries used with known vulnerabilities (#3904) (Gabriel Jenik)
-Fixed issue #19589: Improve performance of survey queries (#3871) (Denis Chenu)
-Fixed issue #18550: MSSQL response filter with underscore or bracket not working (#3900) (Denis Chenu)
#Updated translation: Thai by tomzt
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.5.18 (build 240723) to 6.6.0 (build 240729) July 29, 2024
+New feature: Updated internal REST API with more functions
-Fixed issue #CT-907: Wrong File upload question texts in response view (#3930) (Mohab Elsheikh)
-Fixed issue #CR-1421: Themes overview page showing error when configuration can't be loaded or is invalid (#3857) (Mohab Elsheikh)
-Fixed issue #CT-854: Fix invalid logo path for PDF export (#3916) (Mohab Elsheikh)
-Fixed issue #19492: Different minimum password requirements inside and outside of LimeSurvey (#3928) (Gabriel Jenik)
#Updated translation: Korean by modernity4r
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Catalan by qualitatuvic


Changes from 6.5.17 (build 240715) to 6.5.18 (build 240723) July 23, 2024
-Fixed issue #QE-1019: badge info should be purple (#3913) (Patricia Stell)
-Fixed issue #CT-877: labelset not creating dummy entries for languages not supplied by the labelset (#3914) (Patrick Teichmann)
-Fixed issue #CT-863: response export with JSON format missing questions (#3921) (Tim Willig)
-Fixed issue #CT-854: Fix logo path for PDF export (#3916) (Mohab Elsheikh)
-Fixed issue #19651: Internal error when taking survey on PostgreSQL (#3919) (Gabriel Jenik)
-Fixed issue #19455: Regex used at multi choice with comments question fails and keeps the user from going to the next page (#3909) (Gabriel Jenik)
-Fixed issue #18207: User entered value can be parsed by expression script and is visible in validation answer string (#3925) (Denis Chenu)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz, Mazi
#Updated translation: German (Informal) by c_schmitz


Changes from 6.5.16 (build 240708) to 6.5.17 (build 240715) July 15, 2024
-Fixed issue #CT-896: Fixed question PDF export at statistics (lajosarpad)
-Fixed issue #CT-892: Answers for array question types are not correctly displayed on mobile devices (#3911) (Patrick Teichmann)
-Fixed issue #19631: Very hard to match attributes in the CPDB when importing CSV data (#3908) (Gabriel Jenik)
-Fixed issue #19619: bad admin url, with the publicurl variable (#3910) (Denis Chenu)
-Fixed issue #19105: Store XSS in Central participant management (#3902) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.5.15 (build 240701) to 6.5.16 (build 240708) July 8, 2024
-Fixed issue #QE-1027: Survey progress bar does not reflect correct progress (#3898) (Rami Shenouda)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hazaragi by tixeon
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, der-iThieler


Changes from 6.5.14 (build 240624) to 6.5.15 (build 240701) July 1, 2024
-Fixed issue #19610: [security] queXML PDF discloses version specific information (#3885) (Adam Zammit)
-Fixed issue #19604: [security] The reset password link is reusable after password change (#3895) (Denis Chenu)
-Fixed issue #19603: [security] All admins can be deactivated by user with only users delete permission (#3896) (Denis Chenu)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: Finnish by Jmantysalo

Changes from 6.5.13 (build 240617) to 6.5.14 (build 240624) June 24, 2024
-Fixed issue #19608: [security] XSS under user management (thanks to OIZ Stadt Zürich and Protec7) (#3887) (Denis Chenu)
-Fixed issue #19599: [security] Stored XSS through csv file upload (thanks to paoloelia ) (#3882) (Denis Chenu)
-Fixed issue #19598: [security] No CSRF protection on userManagement (thanks to paoloelia) (#3880) (Denis Chenu)
-Fixed issue #19579: Styling of question summary breaks if there is RegEx Validation (#3891) (Gabriel Jenik)
-Fixed issue #19509: Postgres error when adding language (#3890) (Gabriel Jenik)
-Fixed issue #14661: Plugin development needs a "Don't disable plugin" option (#3770) (Denis Chenu)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Aanouk, c_schmitz, Han, jorynagel, kpadm, L191
#Updated translation: Dutch (Informal) by c_schmitz, Han, jorynagel, thompol, zfocuz


Changes from 6.5.12 (build 240611) to 6.5.13 (build 240617) June 17, 2024
-Fixed issue #CR-1426: custom.css in survey themes and files_css not loaded correctly when using a theme variation (#3876) (Patrick Teichmann)
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech (Informal) by jelen1


Changes from 6.5.11 (build 240605) to 6.5.12 (build 240611) June 11, 2024
-Fixed issue #19580: Data entry at anonymous survey with tokens crashed on save (#3873) (Denis Chenu)
-Fixed issue #19570: JavaScript exception on survey taking on browsers not supporting localstorage (#3856) (Tõnis Ormisson)
-Fixed issue #19457: [security] Stored Cross-Site Scripting (XSS) in file upload question (#3874) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by nomoto
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.5.10 (build 240603) to 6.5.11 (build 240605) June 5, 2024
+New feature: Survey preview by Rest API (MW-1149) (lajosarpad)
-Fixed issue: [security] Viewing surveys with popuppreview option should be limited to authorized admins (#3865) (K Foster)
-Fixed issue #19527: Theme listing broke with invalid template (#3859) (Denis Chenu)
-Fixed issue #19397: Editing menu entries not possible (#3862) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.5.9 (build 240521) to 6.5.10 (build 240603) June 3, 2024
-Fixed issue #CR-1421: themes overview page showing error when configuration can't be loaded or is invalid (#3857) (Mohab Elsheikh)
-Fixed issue #CT-778: wrong placeholder fields in html editor (#3851) (Tim Willig)
-Fixed issue #19561: popup messages come with HTML inside (#3848) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Korean by modernity4r
#Updated translation: Korean by c_schmitz, modernity4r
#Updated translation: Japanese by nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.5.8 (build 240517) to 6.5.9 (build 240521) May 21, 2024
-Fixed issue: On group/question preview a PHP error is thrown if the qid/gid is invalid (#3849) (Carsten Schmitz)
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by hl_sales


Changes from 6.5.7 (build 240515) to 6.5.8 (build 240517) May 16, 2024
-Fixed issue: L10ns must be initialized with qid not gid (Kevin Foster)
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Japanese by d_inoue, nomoto


Changes from 6.5.6 (build 240506) to 6.5.7 (build 240515) May 15, 2024
-Fixed issue #CT-800: Fixed styling for vanilla/fruity related to Bootstrap (twilligls)
-Fixed issue #CT-774: Ranking advanced was not persisting answers on reload (prev, error modal) (twilligls)
-Fixed issue #19562: Special character icon is doubled inside CKEditor (#3843) (tiborpacalat)
-Fixed issue #19543: KCFinder needs to be updated when using with PHP 8.1 (#3837) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by c_schmitz, educaticteced, holch, samarta
#Updated translation: Portuguese (Brazil) by c_schmitz, holch, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Greek by baltzis
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Catalan by qualitatuvic


Changes from 6.5.5 (build 240429) to 6.5.6 (build 240506) May 6, 2024
-Fixed issue #CT-784: video elements are hidden on iPad beneath a certain height (#3838) (Patrick Teichmann)
-Fixed issue #19528: Bad usability when opening participant edit in a new tab(#3826) (Denis Chenu)
-Fixed issue #19526: debug=2 PHP8.1 - unable to send email without expiry (#3827) (Denis Chenu)
#Updated translation: Turkish by kayazeren
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Odia by rajkumar_dms
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky
#Updated translation: Czech (Informal) by jelen1


Changes from 6.5.4 (build 240422) to 6.5.5 (build 240429) April 29, 2024
-Fixed issue: Add/import user role buttons must have unique id (#3832) (K Foster)
-Fixed issue #CT-771: clear selection and select all not working in responses grid column filter (#3828) (Patrick Teichmann)
-Fixed issue #CT-711: email templates, add attachment, failed to open the resource manager (kcfinder) resulting in being unable to attach files to the email template (Patrick Teichmann)
-Fixed issue #19527: Potential 500 error in survey list (#3833) (Denis Chenu)
-Fixed issue #19504: Potential PHP Warning when get Survey listing (#3821) (Denis Chenu)
-Fixed issue #19465: Apply new term blocklist (Carsten Schmitz)
#Updated translation: Portuguese (Portugal) by holch, samarta
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Montenegrin by c_schmitz, kristinakom
#Updated translation: Japanese by d_inoue
#Updated translation: German by c_schmitz
#Updated translation: German by Transcaretech
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo


Changes from 6.5.3 (build 240415) to 6.5.4 (build 240422) April 22, 2024
-Fixed issue #19518: Downloading responses does not exit loading animation once finished (#3813) (Gabriel Jenik)
-Fixed issue #19319: potential error during login, after Updating To LS 6.4.0 (#3767) (Denis Chenu)
-Fixed issue #19302: Wrong redirect when directLogin is true (#3822) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by davidperez00
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.5.2 (build 240402) to 6.5.3 (build 240415) April 15, 2024
-Fixed issue: Survey general settings error message with more detail (#3809) (K Foster)
-Fixed issue: Reduced chunk size to avoid memory-size crashes on survey archive exports (#3812) (lajosarpad)
-Fixed issue: Missing mbstring library requirement was not properly checked during installation (Carsten Schmitz)
-Fixed issue: Missing link in footer of index page (Carsten Schmitz)
-Fixed issue #19514: File Upload, scrolling not possible on mobile (#3810) (Gabriel Jenik)
-Fixed issue #19408: Users can activate a survey without groups and questions (#3808) (Gabriel Jenik)
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Nepali by limeguy
#Updated translation: Malay by aidi.ahmi
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Greek by kajetan
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by Akaer, c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic
#Updated translation: Amharic by tibor.pacalat


Changes from 6.5.1 (build 240320) to 6.5.2 (build 240402) April 2, 2024
-Fixed issue: Wrong caption for function that prompts to set up 2FA after login (Carsten Schmitz)
-Fixed issue #19484: File upload question - max_num_of_files problem (#3794) (Gabriel Jenik)
-Fixed issue #19452: Improve usage of getQuestionAttributes PrintableSurvey (#3789) (Denis Chenu)
-Fixed issue #19452: Improve usage of getQuestionAttributes DataEntry (#3784) (Denis Chenu)
-Fixed issue #19452: getQuestionAttributes for UploaderController (Denis Chenu)
#Updated translation: Portuguese (Portugal) by c_schmitz, holch, samarta, sazevedo
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1


Changes from 6.5.0 (build 240319) to 6.5.1 (build 240320) March 20, 2024
-Fixed issue: Error on MSSQL after install/update (Carsten Schmitz)
#Updated translation: Slovak by dusanm, jelen1, sweetakasha
#Updated translation: Portuguese (Brazil) by holch
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1, slansky, VBraun
#Updated translation: Czech (Informal) by jelen1, slansky, VBraun


Changes from 6.4.12 (build 240311) to 6.5.0 (build 240319) March 19, 2024
+New feature: Updated internal REST API with more functions
-Fixed issue: Replaced image on error screen (Carsten Schmitz)
-Fixed issue #19459: [security] Potential XSS via ajaxHelper (#3781) (Denis Chenu)
-Fixed issue #19456: ANSWERTABLE contains html tags with text email in admin notification (#3778) (Denis Chenu)
-Fixed issue #19367: javascript file are outdated after update (#3707) (Denis Chenu)


Changes from 6.4.11 (build 240304) to 6.4.12 (build 240311) March 11, 2024
-Fixed issue: Survey not viewable if invalid str_repeat call is used in expressions (Carsten Schmitz)
-Fixed issue: Cannot create URL panel parameters without assigning it to a question (Carsten Schmitz)
-Fixed issue #CT-698: Fixed a link (#3788) (lajosarpad)
-Fixed issue #CT-681: Answer options order (answer_order) is missing as an attribute definition and causes the value to not persist through tsv exports and imports (#3777) (Patrick Teichmann)
-Fixed issue #19442: Generated analytics script does not properly escape question group name (#3761) (Matthew)
-Fixed issue #19239: Plugin with PHP error can not be resetted (#3772) (Denis Chenu)
-Fixed issue #19164: Extra action button for Question are really badly placed (#3766) (Denis Chenu)
-Fixed issue #18473: Survey listing - multiple calls of template (#3738) (Denis Chenu)
#Updated translation: Turkish by kayazeren
#Updated translation: Portuguese (Brazil) by c_schmitz, femariso, holch, marcelovincenzi, mauriciofurtado, paulohpmoraes, samarta, thiagosmartins
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue
#Updated translation: Finnish by Jmantysalo


Changes from 6.4.10 (build 240228) to 6.4.11 (build 240304) March 4, 2024
-Fixed issue: Cannot log in anymore after updating when using MSSQL server (Carsten Schmitz)
-Fixed issue #19429: Menus that don't want to disappear (#3764) (Matthew)
-Fixed issue #19394: Off-button not shown in 'Create example question group and question:' (#3765) (Matthew)
-Fixed issue #19344: Survey activation error using MSSQL (Carsten Schmitz)
#Updated translation: Portuguese (Portugal)
#Updated translation: Italian by lfanfoni, mike73rn, tebala
#Updated translation: Italian (Informal) by lfanfoni, sielte
#Updated translation: Finnish by Jmantysalo


Changes from 6.4.9 (build 240226) to 6.4.10 (build 240228) February 27, 2024
-Fixed issue: Survey permission improvements (#3759) (lajosarpad)
-Fixed issue #CT-674: other field in list(radio) is cut off after 5 characters (#3763) (Carsten Schmitz)
-Fixed issue #19435: Input validation does not work correctly with input numeric when reload response (#3753) (Denis Chenu)
#Updated translation: Japanese by d_inoue
#Updated translation: French (France) by DenisChenu, mapage


Changes from 6.4.8 (build 240221) to 6.4.9 (build 240226) February 26, 2024
-Fixed issue: getQuestionQttributesForEMPerformance performance optimization (#3751) (lajosarpad)
-Fixed issue: HTML tooltips for question attributes not properly showing (Carsten Schmitz)
-Fixed issue: Assessment values not properly validated on input (Carsten Schmitz)
-Fixed issue #19440: Pressing enter in question code circumvents validation (#3758) (Denis Chenu)
-Fixed issue #19426: Survey listing : multiple call of same user (#3741) (Denis Chenu)
-Fixed issue #19420: "Share survey" links not using alias (Carsten Schmitz)
-Fixed issue #18473: Survey listing : multiple call of SurveyGroup (#3737) (Denis Chenu)
-Fixed issue #16287: Contentious wording in the application texts (#3755) (Carsten Schmitz)
#Updated translation: Turkish by kayazeren
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo


Changes from 6.4.7 (build 240219) to 6.4.8 (build 240221) February 21, 2024
-Fixed issue: Using URL prefill you could post longer strings than allowed to a List type question resulting in a DB error (Carsten Schmitz)
-Fixed issue: Tab-separated survey structure could not be exported if there is only one default value in the survey (Carsten Schmitz)
-Fixed issue: Quick translation not working if server is using IPv6 (Carsten Schmitz)
-Fixed issue: Multilingual surveys not properly saved (Carsten Schmitz)
-Fixed issue: Improved performance of survey logic file (#3747) (lajosarpad)
-Fixed issue #19087: [security] Account takeover through Import User function (#3735) (Denis Chenu)
#Updated translation: Slovak by jelen1, PR_SOZA
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Brazil) by c_schmitz, foguinho.peruca
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Japanese by nomoto
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.4.6 (build 240212) to 6.4.7 (build 240219) February 19, 2024
-Fixed issue: Untranslated string in optin/optout screen (Carsten Schmitz)
-Fixed issue: Survey language consistency is checked even though only one language exists (Carsten Schmitz)
-Fixed issue: Slow performance when saving a survey with more than one language (#3739) (Carsten Schmitz)
-Fixed issue: Partial missing frontend validation on answer option codes (Carsten Schmitz)
-Fixed issue: Integrity check very slow when having a lot of surveys (#3744) (Carsten Schmitz)
-Fixed issue: Error message "Call to undefined method stdClass::decrypt()" when deleting a participant while using that to fill out the survey (Carsten Schmitz)
-Fixed issue: Avoiding session reset upon database preview (#3745) (lajosarpad)
-Fixed issue #LB-126: Prevent template removal when the files are temporarily unavailable (#3726) (lajosarpad)
-Fixed issue #19399: Survey does not show translated text when on register page(#3732) (Denis Chenu)
-Fixed issue #19392: Partial missing frontend validation on subquestion codes (#3729) (Denis Chenu)
-Fixed issue #19383: When export multiple choice filtered : loose N/A value (#3718) (Denis Chenu)
-Fixed issue #19359: JS error in console about CKeditor (#3730) (Gabriel Jenik)
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Mongolian by amidral
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue
#Updated translation: Italian by sielte
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Catalan by qualitatuvic


Changes from 6.4.5 (build 240205) to 6.4.6 (build 240212) February 12, 2024
-Fixed issue #CR-1397: error in vue js code, resulting in sidebar events not being executed (#3728) (Patrick Teichmann)
-Fixed issue #19396: Upgrade failure encountered at migration 620 (#3724) (Mohab Elsheikh)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue
#Updated translation: French (France) by DenisChenu
#Updated translation: Finnish by Jmantysalo


Changes from 6.4.4 (build 240130) to 6.4.5 (build 240205) February 5, 2024
-Fixed issue #LA-37: Set the timeout for notifications to 10s (#3715) (Mohab Elsheikh)
-Fixed issue #19351: Limesurvey broken after 5.6.50 to 6.4.2 upgrade (#3713) (Mohab Elsheikh)
-Fixed issue #19347: No generation of new user within first LDAP login (#3711) (Denis Chenu)
-Fixed issue #19320: Error after accessing to response export view (#3683) (Gabriel Jenik)
-Fixed issue #19313: No warning list when import same question code (#3695) (Gabriel Jenik)
-Fixed issue #19253: CSV injection in export quota (#3677) (Gabriel Jenik)
-Fixed issue #CT-627: incorrect qid highlighted in structure tab (#3719) (Patrick Teichmann)
#Updated translation: Vietnamese by binhbot, dupd
#Updated translation: Spanish (Mexican) by josanes
#Updated translation: Spanish (Argentina) (Informal) by kwelladm
#Updated translation: Slovenian by c_schmitz, junoslukan
#Updated translation: Slovak by jelen1
#Updated translation: Serbian (Latin script) by wakizashi
#Updated translation: Russian by gcgops, sBoston
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Brazil) by dti.proplan, phph, Tiller
#Updated translation: Portuguese (Brazil) by Tiller
#Updated translation: Persian by sdhadi
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Lithuanian by Morta
#Updated translation: Latvian by c_schmitz, daugavietis
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd
#Updated translation: Hindi by KapilSabarwal
#Updated translation: Hebrew by jonasfashions
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Georgian by Davitus, giorgi
#Updated translation: French (France) by Aura97, c_schmitz, mapage, Tobixnator, twilllig
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch (Informal) by Aanouk
#Updated translation: Danish by nonformality
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by tibor.pacalat
#Updated translation: Chinese (Taiwan) (Traditional) by Yu-Jyun Guo
#Updated translation: Chinese (Simplified) by flying9841, zengqing
#Updated translation: Chinese (Simplified) by flying9841, markboo, q2019715, xiongrui
#Updated translation: Chinese (Hong Kong) (Traditional) by GIF_IT
#Updated translation: Arabic by mkhasawneh, Shatha


Changes from 6.4.3 (build 240122) to 6.4.4 (build 240130) January 30, 2024
-Fixed issue: Index cannot be set if already exists (Carsten Schmitz)
-Fixed issue: Certain DB updates not skipped properly but end up in exception (Carsten Schmitz)
-Fixed issue #CT-614: exporting responses in "Full answers" mode does not export the comment field of the "List with comment" question type (Patrick Teichmann)
-Fixed issue #19331: Try to add a subquestion to a matrix type question throws an SQL error (#3686) (Gabriel Jenik)
-Fixed issue #19251: Can't add Regex condition in survey (#3710) (Gabriel Jenik)
-Fixed issue #18895: No way to add textarea with core config.xml (#3703) (Denis Chenu)
#Updated translation: Slovak by dusanm, jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech by jelen1, slansky
#Updated translation: Czech (Informal) by jelen1, slansky


Changes from 6.4.2 (build 240115) to 6.4.3 (build 240122) January 22, 2024
+New feature #19299: Unmask token field (#3673) (Denis Chenu)
-Fixed issue: LimeSurvey getting slower as more answer options are across all surveys (Carsten Schmitz)
-Fixed issue #CT-605: column selector in responses tab wasn't working anymore (twilligls)
-Fixed issue #CT-604: edit action in "Panel integration" wasn't working (twilligls)
-Fixed issue #CT-598: removing additional languages didn't work anymore (twilligls)
-Fixed issue #CR-1392: SQL not compatible with MSSQL and Postgres (#3700) (Mohab E)
-Fixed issue #CR-1390: Translation string contains hardcoded action in placeholder (#3699) (Mohab E)
-Fixed issue #19344: Survey activation error when create a new survey using MSSQL (#3696) (Carsten Schmitz)
-Fixed issue #19274: Attribute encryption can not be turned OFF, it can only be turned on (#3670) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Korean by modernity4r, zist21
#Updated translation: Japanese by nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by urbana
#Updated translation: German (Informal) by c_schmitz, metaworx


Changes from 6.4.1 (build 240108) to 6.4.2 (build 240115) January 15, 2024
-Fixed issue: Don't use disk_free_space if function doesn't exist (ComfortUpdate) (Olle Haerstedt)
-Fixed issue #2565: Label set panel description typo (Kevin Foster)
-Fixed issue #19325: When deleting a token the participant_id is being logged while it should be the token_id (#3684) (Gabriel Jenik)
-Fixed issue #19248: When deleting a token through the model, the AuditLog beforeDeleteToken event fails (#3676) (Gabriel Jenik)
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by hurricane, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz, eddylackmann
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.4.0 (build 231218) to 6.4.1 (build 240108) January 8, 2024
-Fixed issue: Delete quota redirects to public survey list (Olle Haerstedt)
-Fixed issue #19335: Message from submitfailed is never shown to user in one case (#3688) (Olle Härstedt)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han, thompol
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.3.9 (build 231211) to 6.4.0 (build 231218) December 18, 2023
+New feature #19308: Preview survey in modal (MW-728) (#3659) (lajosarpad)
+New feature #19201: Add column "active" to users, to be able to activate or deactivate users (#3550) (Mohab E)

Changes from 6.3.8 (build 231204) to 6.3.9 (build 231211) December 11, 2023
-Fixed issue: Unable to update from pre 495 version (#3607) (Denis Chenu)
-Fixed issue #CT-531: not able to download quickCSVReport (Patrick Teichmann)
-Fixed issue #CT-531: Timing statistics button is missing from the responses view (Patrick Teichmann)
-Fixed issue #CT-531: Popover error on empty string in responsesListTable (twilligls)
-Fixed issue #19262: Invalid fruity_twentythree template directory on PostgreSQL (#3642) (Olle Härstedt)
-Fixed issue #18961: {SURVEYURL} didn't work with plugin using cli event (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd, tkazinczy
#Updated translation: Hebrew by neaman
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.3.7 (build 231127) to 6.3.8 (build 231204) December 4, 2023
+New feature #18880: New imagefile option type for theme options (#3621) (Gabriel Jenik)
-Fixed issue 19255: PHP8.1 + debug : survey with only start date broke survey listing (#3629) (Denis Chenu)
-Fixed issue #CR-1386: prevent errors when try to load uninstalled themes through the config.xml (#3646) (Patrick Teichmann)
-Fixed issue #19276: When a user exit on quota, the theme is not applied correctly if "inherits everything" is set to off (#3639) (Gabriel Jenik)
-Fixed issue #19271: When copy a question - question settings are lost by default (#3641) (Denis Chenu)
-Fixed issue #19252: [security] Bad permission check when edit quota (#3633) (Denis Chenu)
-Fixed issue #19243: date question type use always english for month and day for participant (#3625) (Denis Chenu)
-Fixed issue #19231: (array) json_decode() is not equivalent to json_decode(, true) (#3615) (Olle Härstedt)
-Fixed issue #19049: Cannot export LSS from survey where theme is set to one extended from 'bootswatch' (#3521) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Korean by modernity4r
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.3.6 (build 231120) to 6.3.7 (build 231127) November 27, 2023
-Fixed issue #19232: Missing cssframework default values for survey theme (#3614) (Olle Härstedt)
-Fixed issue #19228: Setting Bruteforce timeout values to empty string causes the administrator to be locked out (#3618) (Denis Chenu)
-Fixed issue #19206: Alphabetical order can be bad with utf8 character  (#3637) (Denis Chenu)
-Fixed issue #19168: [security] XSS in Survey menus (Menu icon type and Menu icon) (#3635) (Gabriel Jenik)
-Fixed issue #19139: [security] CSRF in Reset Survey menus (Tests) (#3612) (Gabriel Jenik)
-Fixed issue #18671: Potential loop with equation set question (#2984) (Denis Chenu)
#Updated translation: Portuguese (Portugal) by twilllig
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Greek by baltzis, lenasterg
#Updated translation: German by c_schmitz
#Updated translation: French (France) by DenisChenu


Changes from 6.3.5 (build 231113) to 6.3.6 (build 231120) November 20, 2023
-Fixed issue #CT-480: CPDB attribute issues (#3620) (Tim Willig)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue
#Updated translation: French (France) by mapage
#Updated translation: Finnish by Jmantysalo
#Updated translation: Catalan by qualitatuvic


Changes from 6.3.4 (build 231108) to 6.3.5 (build 231113) November 13, 2023
-Fixed issue: Update can fail if there are label codes longer than 5 characters (Carsten Schmitz)
-Fixed issue #CR-1352: Saving subquestions and answers caused display errors (#3514) (Tim Willig)
-Fixed issue #CR-1347: Duplicate entries in template configuration and incorrect theme being saved in general settings or loaded when a theme does not exist (#3491) (Patrick Teichmann)
-Fixed issue #19230: Unable to create survey with debug = 2 and PHP8 (#3613) (Denis Chenu)
-Fixed issue #19224: Advanced ranking does not respect max answers when drag-n-drop (#3608) (Gabriel Jenik)
-Fixed issue #19218: PHP error with PHP81 and debug with strpos in asSplitStringOnExpressions function (#3597) (Denis Chenu)
-Fixed issue #19215: PHP81 + debug PHP Notice when import some lss (#3589) (Denis Chenu)
-Fixed issue #19214: JSON RPC response content type should be application/json (#3610) (Matthew)
-Fixed issue #19211: [security] CSRF In Copy Survey  (#3600) (Denis Chenu)
-Fixed issue #19162: [security] File Upload causes XSS in Central participant management/Import file CSV (#3584) (Gabriel Jenik)
-Fixed issue #19139: [security] CSRF in Reset Survey menus  (#3603) (Gabriel Jenik)
-Fixed issue #19118: [security] Improper permission management on bulk actions (#3580) (Denis Chenu)
-Fixed issue #19086: Survey Theme Options - image preview does not work (#3557) (Matthew)
-Fixed issue #19081: Lato fonts are loaded from Google fonts instead of solely using the ones shipped with limesurvey itself (#3543) (Gabriel Jenik)
-Fixed issue #18995: [security] Confidentiality issue about username (#3512) (Gabriel Jenik)
-Fixed issue #18350: activate_survey does not correctly set inherited properties for Notification and data management (#3595) (Matthew)
#Updated translation: Turkish by kayazeren
#Updated translation: Slovak by jelen1
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: French (France) by arnaud21, c_schmitz, DenisChenu, JosephM, mapage
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.3.3 (build 231106) to 6.3.4 (build 231108) November 6, 2023
Fixed issue: Reverted noCSRFValidation enhancements, added on #19139

Changes from 6.3.2 (build 231031) to 6.3.3 (build 231106) November 6, 2023
-Fixed issue: Cannot deactivate survey properly if user has global survey permissions, but is not allowed to access the assigned SurveyGroup (Carsten Schmitz)
-Fixed issue #19203: Alphabetical order didn't respect survey language (#3590) (Denis Chenu)
-Fixed issue #19139: [security] CSRF in Reset Survey menus (#3588) (Gabriel Jenik)
-Fixed issue #19133: [security] User can send email to group members, while not having permissions (#3587) (Denis Chenu)
-Fixed issue #19117: [security] Account past their expiration date can be still active (#3525) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Korean by modernity4r
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.3.1 (build 231023) to 6.3.2 (build 231031) October 30, 2023
-Fixed issue updates/Update_614.php should not hide privacyinfo option exists (Kevin Foster)
-Fixed issue updates/Update_614.php should not assume template config options is an object (Kevin Foster)
-Fixed issue statistics fails to count multi choice when encrypted (Kevin Foster)
-Fixed issue #19188: CSS problems in survey permissions after reload (#3569) (Matthew)
-Fixed issue #19183: No editing possible after setting the survey background (#3560) (Matthew)
-Fixed issue #19181: Array[Number] statistics infinite loop when step is set to 0 (#3563) (Matthew)
-Fixed issue #19177: Not able to change admin theme (#3548) (Matthew)
-Fixed issue #19169: [security] Privilege escalation to edit survey (#3547) (Denis Chenu)
-Fixed issue #19163: [security] Reflected XSS in HtmlEditorPop - Bypassing XSS sanitization function (#3565) (Gabriel Jenik)
-Fixed issue #19161: Invalid adminemail/bounce_email address in lss results in white screen on import (#3556) (Gabriel Jenik)
-Fixed issue #19140: Problem with viewing LimeSurvey notifications (#3523) (Matthew)
-Fixed issue #19132: Icon selection in the "Dashboard editor/create box" does not work (#3515) (Matthew)
-Fixed issue #19107: [security] Superadmin can update any admin's information (#3495) (Denis Chenu)
-Fixed issue #19101: Array by Column Has Incorrect Table Row/Column Ids (#3500) (Matthew)
-Fixed issue #19093: [security] Improper Authorization in Import Question function (#3513) (Gabriel Jenik)
-Fixed issue #19085: Theme Options with an on/off switch are not disabled when page loads (#3558) (Matthew)
-Fixed issue #19057: incorrect handling of wrong input in create dummy participant form (#3567) (Matthew)
-Fixed issue #18436: RPC API - Inviting members with invalid language sends them an email but they're not marked as invited (#3571) (Denis Chenu)
#Updated translation: Turkish by kayazeren
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 6.3.0 (build 231016) to 6.3.1 (build 231023) October 23, 2023
-Fixed issue: Failed emails resend vars column needs to be mediumtext for mysql (#3545) (Tim Willig)
-Fixed issue: Adding cldr "fr_lu" for lb language (twilligls)
-Fixed issue: Upgrade fails on old fruity templates with error message 'cannot assign property fixnum to null' (Carsten Schmitz)
-Fixed issue: Survey sometimes not completely deactivated, throwing error for missing response table (Carsten Schmitz)
-Fixed issue: Core plugins AzureOAuthSMTP & GoogleOAuthSMTP not properly listed as core plugins (Carsten Schmitz)
-Fixed issue #CT-386: missing closing div caused blank page on simple statistics for questions with more than 70 labels (twilligls)
-Fixed issue #CT-256: Problems with ini parsing for GTranslate.php (#3555) (Tim Willig)
-Fixed issue #19180: SMTP settings are not enabled when SMTP is selected in global settings (#3551) (Matthew)
-Fixed issue #19170: Inserting a subquestion/answer option creates multiple rows (#3535) (Matthew)
-Fixed issue #19114: [security] Admin with Settings & Plugins permission only can store XSS in Survey menus (#3542) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by mymast, qualitatuvic


Changes from 6.2.11 (build 231007) to 6.3.0 (build 231016) October 16, 2023
+New feature #15664: Google OAuth plugin for emails (#3054) (Gabriel Jenik)
-Fixed issue CR-1355: Image question types were gone on fresh install (#3518) (Tim Willig)
-Fixed issue #19146: [security] Store XSS when editing label set (#3505) (Denis Chenu)
-Fixed issue #19142: [security] CSRF in Save Box Settings (#3516) (Gabriel Jenik)
-Fixed issue #19106: [security] Deleted account still has permissions (#3493) (Denis Chenu)
-Fixed issue #19094: [security] Input Validation Vulnerability Leading to 500 on responses page (#3520) (Denis Chenu)
-Fixed issue #19038: [security] Privilege escalation bug to creation survey-group with others group as parent (#3423) (Gabriel Jenik)
-Fixed issue #18776: Question ordering not correct (#3522) (Matthew)
-Fixed issue #18648: Unable to upload a file with theme animations enabled (#3529) (Gabriel Jenik)
-Fixed issue #18439: Link set when create user are unusuable in text view (#3510) (Gabriel Jenik)
-Fixed issue #18193: Question theme error - Missing metadata (Type: X) (#3252) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.2.10 (build 231004) to 6.2.11 (build 231007) October 6, 2023
-Fixed issue: Server side subquestion unique code validation (Kevin Foster)
-Fixed issue #CT-380: Registers necessary client scripts customization for CLSGridview (Mohab E)
-Fixed issue #CT-380: Quotas validation modal (Mohab E)
-Fixed issue #CT-380: Fixed the GridSettings & Added afterAjaxUpdate to grid view options (Mohab E)
-Fixed issue #CR-1351: actions in tables not working when called through the sidemenu or ajax (#3496) (Mohab E)
-Fixed issue #CR-1339: some actions not working for survey permissions and survey menu entries (#3474) (Mohab E)
-Fixed issue #CR-1320: comfort update message overlapping with dropdown actions and can not be muted for a session (Patrick Teichmann)
-Fixed issue #CR-1117: restrict naming of themes because it causes errors in some cases (#3376) (Mohab E)
-Fixed issue #CR-1117: template name trimming & validate against any invalid characters (Mohab E)
-Fixed issue #CR-1117: Validate theme name (Mohab E)
-Fixed issue #CR-1117: Template name length validation (Mohab E)
-Fixed issue #CR-1117: Fix templatename sanitization (Mohab E)
-Fixed issue #19153: Question list edit URL expects questionId not qid (Kevin Foster)
-Fixed issue #19134: [security] User with "Users" permission only can add arbitrary users to the not owned user group (#3509) (Denis Chenu)
-Fixed issue #19126: [security] Incorrect Authorization check in add User role (#3506) (Denis Chenu)
-Fixed issue #18957: Ranking Advanced: Visualization Types are not working (#3479) (Gabriel Jenik)
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo


Changes from 6.2.9 (build 230925) to 6.2.10 (build 231004) October 4, 2023
-Fixed issue: Error on deactivation with message "11 arguments are required, 9 given" (#3490) (Mohab E)
-Fixed issue #CR-1305: Always show "Edit default answers" option (Mohab E)
-Fixed issue #CR-1305: Activated defaultvalues for 5pointchoice & gender (Mohab E)
-Fixed issue #CR-1319: Global surveytheme is not inherited by global survey surveytheme (#3465) (Mohab E)
-Fixed issue #CR-1305: Structure tab question menu should always show "Edit default answers" option (#3367) (Mohab E)
-Fixed issue #19136: Undefined variable in admin global settings general subview (#3499) (Matthew)
-Fixed issue #19115: Menu toggler appears when not needed (#3494) (Denis Chenu)
-Fixed issue #19112: [security] Store XSS at Label set list (#3503) (Denis Chenu)
-Fixed issue #19098: Add XSD files to allowed files for plugin uploads (Marko Bischof)
-Fixed issue #18995: [security] Confidentiality issue about username (#3447) (Gabriel Jenik)
-Fixed issue #18294: User can not see group created and user in group created (#3504) (Denis Chenu)
-Fixed issue #18268: Unable to get any page debug set an set_time_limit disable (#2540) (Denis Chenu)
#Updated translation: Welsh by ChrisWilliams
#Updated translation: Ukrainian by DermanskiyIM
#Updated translation: Turkish by kayazeren
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Greek by baltzis
#Updated translation: German by c_schmitz, DerOlli
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.2.8 (build 230921) to 6.2.9 (build 230925) September 25, 2023
-Fixed issue #19100: [security] Store DOM XSS when creating a survey (#3469) (Denis Chenu)
-Fixed issue #19099: [security] XSS vulnerability caused by themeOptions/importManifest (#3483) (Denis Chenu)
-Fixed issue #19063: Import of broken lsa file yields success message (but inactive "Go to survey" button) (#3461) (Gabriel Jenik)
-Fixed issue #19004: Can not delete or edit assessment rules  (#3456) (Gabriel Jenik)
-Fixed issue #18986: [security] superadmin without create superadmin can create superadminu (#3485) (Denis Chenu)
-Fixed issue #18968: User with "View/read Users" permission needs to have "User details" action available for all users, not just itself (#3475) (Gabriel Jenik)
-Fixed issue #18938: question_template_attribute show only default value (#3481) (Denis Chenu)
-Fixed issue #18494: TypeError during demo survey "ls205_em_tailoring" (#3452) (Gabriel Jenik)
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by internet.redazione, lfanfoni
#Updated translation: Italian (Informal) by internet.redazione, lfanfoni
#Updated translation: Hungarian by kkd


Changes from 6.2.7 (build 230918) to 6.2.8 (build 230921) September 21, 2023
-Fixed issue: theme breaks when filepath inside the config includes linebreaks and empty spaces (Patrick Teichmann)
-Fixed issue: Subquestions are not stored when saving saving and the same code exists in different scales (Carsten Schmitz)
-Fixed issue: Iterate survey button not visible (Carsten Schmitz)
-Fixed issue #CT-337: Wrong survey being picked up when using alias (#3427) (Gabriel Jenik)
-Fixed issue #19096: Array by column answer options are not processed by EM before display (#3464) (Matthew)
-Fixed issue #19025: When there are question themes installed, can't upload survey themes (#3358) (Gabriel Jenik)
-Fixed issue #18984: [security] CSRF in Question Themes function (#3459) (Gabriel Jenik)
-Fixed issue CR-1310: re-bind attributePanel buttons (Mohab E)
-Fixed issue CR-1310: Fixed edit attribute bug (Mohab E)
-Fixed issue #CR-1310: Can't edit Attribute at admin/participants/sa/attributeControl (Mohab E)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Hungarian by kkd
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.2.6 (build 230904) to 6.2.7 (build 230918) September 18, 2023
-Fixed issue #CT-374: ckeditor prevents iframes from working by adding sandbox="" (twilligls)
-Fixed issue #CR-1308: Batch actions dropdown is disabled executing any table action (Mohab E)
-Fixed issue #19072: CDbException with Microsoft SQL Server (#3431) (Denis Chenu)
-Fixed issue #19068: Batch actions dropdown is disabled after first use on User management page (#3421) (Gabriel Jenik)
-Fixed issue #19056: Save button in create dummy participants page actually saves and closes (#3426) (Gabriel Jenik)
-Fixed issue #19052: Statistic navigate button doesn't redirect to responses (#3425) (Mohab E)
-Fixed issue #19041: Action dropdown is blocked after filter or changing rows per page (#3398) (Gabriel Jenik)
-Fixed issue #19039: Action Links Drop Down Menu Not Working In CPM(CPDB) (#3397) (Gabriel Jenik)
-Fixed issue #19037: [security] Reflected XSS in LimeSurvey via user id parameter (#3406) (Gabriel Jenik)
-Fixed issue #19033: After performing an action inside attribute table, other actions were not possible (#3424) (Mohab E)
-Fixed issue #19031: Massive action not possible after doing another action in the survey paticipants table (#3437) (Mohab E)
-Fixed issue #19030: Batch actions dropdown is disabled executing any table action (#3419) (Mohab E)
-Fixed issue #19019: [security] Stored XSS in description of theme (#3359) (Gabriel Jenik)
-Fixed issue #19018: Postgres - trying to update from 5.6.31 to master caused an error (#3370) (Gabriel Jenik)
-Fixed issue #18981: Using ngT to translate plurals loads wrong locale folder (#3363) (Gabriel Jenik)
-Fixed issue #18978: User is able to change survey group's code that is by default unchangeable (#3400) (Gabriel Jenik)
-Fixed issue #18904: [security] Stored XSS with Expression Script in End page (#3402) (Gabriel Jenik)
-Fixed issue #18602: When surveys are copied without copying attachments, attachment info is copied but not updated (#3430) (Gabriel Jenik)
-Fixed issue #18601: No editor available when defining quota messages. (#3429) (Gabriel Jenik)
-Fixed issue #18593: Float attributes are not supported anymore (#3411) (Gabriel Jenik)
-Fixed issue #18557: Email Template Attachments appear to carry over with copied survey, but do not work (#2861) (Gabriel Jenik)
-Fixed issue #18494: TypeError during demo survey "ls205_em_tailoring"  (#3443) (Gabriel Jenik)
-Fixed issue #15310: Display dropdown boxes - Date/Time question type not working correctly if minimum date < 1900 (#3353) (Gabriel Jenik)
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Swedish by maxzomborszki
#Updated translation: Spanish (Spain) by aesteban, c_schmitz, ireneoh, segui, valdomir
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky
#Updated translation: Czech (Informal) by jelen1


Changes from 6.2.5 (build 230828) to 6.2.6 (build 230904) September 4, 2023
-Fixed issue #CR-925: Inherited options do not match value inherited (#3362) (Mohab E)
-Fixed issue #19036: Stored XSS via user's username (#3393) (Gabriel Jenik)
-Fixed issue #19027: Editing a selected survey from the survey list does not work after performing table action like pagination (#3404) (Patrick Teichmann)
-Fixed issue #18905: Create automatic test for XSS Purifier: Broken HTML (#3378) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by jelen1, jetSonic
#Updated translation: Portuguese (Portugal) by algarvio, c_schmitz, effgarces, holch, hurricane, samarta, Tiller
#Updated translation: French (France) by arnaud21, b00z00, c_schmitz, DenisChenu, JosephM, riqcles, sim.eesp
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky
#Updated translation: Catalan by qualitatuvic


Changes from 6.2.4 (build 230825) to 6.2.5 (build 230828) August 28, 2023
-Fixed issue #CR-1277: Update side-menu icons (jack-han-115)
-Fixed issue #18755: The way to open/close a question groups is too hidden (jack-han-115)
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, maren.fritz
#Updated translation: Finnish by Jmantysalo


Changes from 6.2.3 (build 230821) to 6.2.4 (build 230825) August 23, 2023
+New feature: Import survey lss file via command line (lajosarpad)
-Fixed issue #CR-1285: User should be able to reorder questions within a group of an activated survey (#3346) (Mohab E)
-Fixed issue #CR-1285: Allow the user to rearrange questions within an activated survey within a group (Mohab E)
-Fixed issue #CR-1272: Upload & Install button on admin theme tab shouldn't be there (#3348) (Mohab E)
-Fixed issue #CR-1243: Fix survey default languages removal alert (#3350) (Mohab E)
-Fixed issue #CR-1230: Deactivate survey - wrong name of the responses table (#3347) (Mohab E)
-Fixed issue #19028: Send email only to participants with partial responses - should not be available for anonymous surveys (Kevin Foster)
-Fixed issue #19003: [security] XSS Reflected via import file function (#3369) (Gabriel Jenik)
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz, maren.fritz


Changes from 6.2.2 (build 230814) to 6.2.3 (build 230821) August 21, 2023
-Fixed issue #CR-1253: Fix email validation (#3360) (Mohab E)
-Fixed issue #19009: General settings default value is NULL (#3355) (K Foster)
-Fixed issue #18976: Default answers should persist with subquestions (#3357) (K Foster)
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Finnish by Jmantysalo


Changes from 6.2.1 (build 230807) to 6.2.2 (build 230814) August 14, 2023
-Fixed issue #18821: Public URL is not used for SURVEYURL (Tests) (#3340) (Gabriel Jenik)
-Fixed issue #CR-1282: Side menu: Loading animation is in the wrong position (#3337) (Mohab E)
-Fixed issue #CR-1267: Facebook buttons size (#3328) (Mohab E)
-Fixed issue #CR-1253: There is no validation on admin email, bounce email in general survey settings (#3331) (Mohab E)
-Fixed issue #CR-1236: Layout issue: Close modal button (x) on confirmation modal (#3338) (Mohab E)
-Fixed issue #CR-1219: Privacy policy checkbox on starting page of survey is always green when unchecked (#3343) (Mohab E)
-Fixed issue #19000: Privacy policy view is not rendered per tab, it is stacked below each other in the same view. (#3333) (Gabriel Jenik)
-Fixed issue #18977: [security] Improper Authorization in add role function leads to privilege escalation (#3307) (Denis Chenu)
-Fixed issue #18958: Multiple numerical input text input box width not having an effect (#3297) (Adam Zammit)
-Fixed issue #18949: Responses filters are case sensitive (#3339) (Gabriel Jenik)
-Fixed issue #18931: Send test email in global settings not working (#3287) (Gabriel Jenik)
-Fixed issue #18832: Participants can't re-enter a submitted survey if setting is using "inherit" at participant settings (#3312) (Gabriel Jenik)
-Fixed issue #18610: Email attachments expose absolute path when exporting LSS (#3003) (Gabriel Jenik)
-Fixed issue #18315: Uses left value goes to negative (#3060) (Gabriel Jenik)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Khmer by PawelAtroszko
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni, maren.fritz
#Updated translation: Italian (Informal) by lfanfoni, myliserta
#Updated translation: Finnish by Jmantysalo
#Updated translation: Catalan by qualitatuvic


Changes from 6.2.0 (build 230732) to 6.2.1 (build 230807) August 7, 2023
-Fixed issue #CR-1279: Row link doesn't work when executing Ajax calls in grid view (Patrick Teichmann)
-Fixed issue #CR-1265: File upload question RTL (#3315) (Tim Willig)
-Fixed issue #CR-1257: Ownership typo (#3322) (Mohab E)
-Fixed issue #18985: [security] Reflected XSS (#3309) (Denis Chenu)
-Fixed issue #18979: [security] User can put survey in survey group without access permission (#3304) (Denis Chenu)
-Fixed issue #18888: General issues with different questions (#3317) (Gabriel Jenik)
#Updated translation: Turkish by bulent, c_schmitz, kayazeren
#Updated translation: Slovak by jelen1
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.1.8 (build 230717) to 6.2.0 (build 230732) July 31, 2023
+New feature: Update the style of the admin file manager (#3093) (jack-han-115)
+New feature: Combine question list, group list, and reorder into one page (#3070) (jack-han-115)
+New feature #18742: Allow "User Admins" to see Users' Roles (#3048) (Valerio Bozzolan)
-Fixed issue: show no survey menu when no survey options are available (twilligls)
-Fixed issue: removed potential PHP notices for printanswers view (twilligls)
-Fixed issue: image-select checkbox design was broken (twilligls)
-Fixed issue: group description spacing wrong in mobile view (twilligls)
-Fixed issue: changed 766px breakpoint to valid 767px (twilligls)
-Fixed issue: captcha cols and button icon alignment (twilligls)
-Fixed issue: Typo in vanilla save form (twilligls)
-Fixed issue #CR-999: 5pointquestion on mobile devices (twilligls)
-Fixed issue #CR-1283: Ensure surveyActivated is passed to views/admin/survey/organizeGroupsAndQuestions_view (#3305) (tiborpacalat)
-Fixed issue #CR-1211: Language switcher renders differently in firefox… (#3254) (Tim Willig)
-Fixed issue #CR-1156: error and save pages were loading twig files of wrong su… (#3164) (Tim Willig)
-Fixed issue #18974: [security] Stored XSS via user's Full Name (#3300) (Denis Chenu)
-Fixed issue #CR-1287: fixed invalid options string throwing errors when exporting a survey (Patrick Teichmann)
-Fixed issue #CR-1266: Remove exclamation icon from instructions for em_tip text (Patrick Teichmann)
-Fixed issue #CR-1210: fixed sizing and spacing of navbar, top-container, body (Patrick Teichmann)
-Fixed issue #CR-1181: Bootstrap is loaded twice in ls6_surveytheme (Patrick Teichmann)
-Fixed issue #CR-1049: footer positioned incorrectly and not at the end of visible page (#3039) (jack-han-115)
-Fixed issue #18967: [security] User can import User Roles having permission (#3295) (Denis Chenu)
-Fixed issue #18967: [security] User can add malicious content in User Roles (#3292) (Denis Chenu)
-Fixed issue #18963: On PHP 8.2 new DateTime() can not be invoked with null (#3291) (Johannes Weberhofer)
-Fixed issue #18936: User count in group is not OK after deleting a user (#3286) (Gabriel Jenik)
-Fixed issue #18876: Plugin expose full path when an error is reported in the plugin list (#3283) (Gabriel Jenik)
-Fixed issue #18798: Out-of-memory problem in statistics export (#3231) (#3267) (Gabriel Jenik)
-Fixed issue #18725: Reorder questions/question groups can break survey (tests) (#3178) (Gabriel Jenik)
-Fixed issue #18694: Invalid HTML for list radio questions due to missing closing ul element (#3226) (Gabriel Jenik)
-Fixed issue #18573: Insert new box with overlapping position, makes the dashboard to show duplicate boxes (#3289) (Gabriel Jenik)
-Fixed issue #18495: configuration tab is not visible to a user with only create label set permission (#3185) (Denis Chenu)
-Fixed issue #18278: Quick translation - "Nothing to translate" appears wrongly (#3296) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Khmer by PawelAtroszko
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by gerzess, maren.fritz
#Updated translation: German by c_schmitz, gerzess, maren.fritz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, gerzess
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Albanian by darliv
#Updated translation and removed one file (dead code)
#Updated translation (#3299)
#Updated translation


Changes from 6.1.7 (build 230710) to 6.1.8 (build 230717) July 17, 2023
-Fixed issue #18942: Roles - Permissions Modal is too narrow (#3276) (Gabriel Jenik)
-Fixed issue #18937: Action menu stop work after any action on any user (#3282) (Gabriel Jenik)
-Fixed issue #18929: Cannot edit data notification entries (#3265) (Gabriel Jenik)
-Fixed issue #18927: [security] Export user roles without authorization (#3272) (Gabriel Jenik)
-Fixed issue #18837: Unable to replace record during reimport of VV files (#3275) (Denis Chenu)
-Fixed issue #18368: export_statistics from API yields error (#3244) (Gabriel Jenik)
-Fixed issue #18281: Users in group are not deleted (#2565) (Gabriel Jenik)
#Updated translation: Swedish by c_schmitz, maxzomborszki
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Brazil) by c_schmitz, holch, lucaspcs, marcelovincenzi, samarta, Tiller
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.1.6 (build 230703) to 6.1.7 (build 230710) July 10, 2023
-Fixed issue: Auto-translate was broken (Olle Haerstedt)
-Fixed issue #18934: [security] Stored XSS in label set administration (#3271) (Gabriel Jenik)
-Fixed issue #18932: 404 error after importing responses from a old response table (#3273) (Gabriel Jenik)
-Fixed issue #18928: [security] Stored XSS on Survey "Notification and data function" (#3270) (Gabriel Jenik)
-Fixed issue #18923: [security] Admin notification permissions updated (Patrick Teichmann)
-Fixed issue #18884: [security] Fixed more positions with survey group title not escaped (Patrick Teichmann)
-Fixed issue #18882: [security] Stored XSS in End page (#3240) (Gabriel Jenik)
-Fixed issue #18818: Dump when using getQuestions API  (#3234) (Gabriel Jenik)
-Fixed issue #18356: User with only user update allowed can set/remove any role to any user (#3259) (Gabriel Jenik)
-Fixed issue #17536: Create automatic test for XSS Purifier (#3238) (Gabriel Jenik)
#Updated translation: Valencian by vbraque
#Updated translation: Thai by tomzt
#Updated translation: Slovak by jelen1
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni


Changes from 6.1.5 (build 230626) to 6.1.6 (build 230703) July 3, 2023
-Fixed issue CR-1206: Token field in responses table not actionable (#3230) (Tim Willig)
-Fixed issue CR-1205: Request-URI Too Large on Responses page (#3235) (Tim Willig)
-Fixed issue #18915: [security] Non-superadmin Admin user is able to edit groups not owned (#3248) (Tim Willig)
-Fixed issue #18918: [security] Wwnership permissions update (#3251) (Patrick Teichmann)
-Fixed issue #18917: [security] Stored XSS in the user group deletion confirmation popup (#3249) (Patrick Teichmann)
-Fixed issue #18913: [security] Incorrect permissions for useraction (#3253) (Patrick Teichmann)
-Fixed issue #18630: Survey list showing wrong icon for surveys. (#3232) (Gabriel Jenik)
-Fixed issue #18356: [security] User with only user update allowed can set/remove any role to any user (#2625) (Gabriel Jenik)
-Fixed issue CR-1234: Show more is inconsistent in Survey settings overview - Text elements card (tiborpacalat)
-Fixed issue CR-1232: Survey settings overview - Vertical spacing between items is not equal (#3236) (tiborpacalat)
#Updated translation: Thai by tomzt
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by jelen1
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Greek by dfragkos
#Updated translation: German by c_schmitz, eddylackmann
#Updated translation: German (Informal) by c_schmitz, richterd
#Updated translation: French (France) by AlainR, arnaud21, brunofr9316, c_schmitz, DenisChenu
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky, VBraun


Changes from 6.1.4 (build 230620) to 6.1.5 (build 230626) June 26, 2023
-Fixed issue: SQL error on import if quota member code is too long (Carsten Schmitz)
-Fixed issue: Disable system information in demo mode (Carsten Schmitz)
-Fixed issue [security] #18868: No CRSF control for action of label set (Denis Chenu)
-Fixed issue [security] #18866: Label sets can be created by any admin user (#3212) (Denis Chenu)
-Fixed issue 18821: Public url is not used for SURVEYURL (#3229) (Tim Willig)
-Fixed issue #18912: [security] Able to change username that is by default unchangeable (Patrick Teichmann)
-Fixed issue #18896: Error on Postgres when creating a survey and expressionQuestionHelp plugins is activated (Carsten Schmitz)
-Fixed issue #18891: Capital letters N/Y in name of inherited survey themes are replaced by "Off" (Carsten Schmitz)
-Fixed issue #18885: CSRF Leading to reset Boxes (#3239) (Gabriel Jenik)
-Fixed issue #18883: [security] Stored XSS vulnerability in user profile (#3247) (Patrick Teichmann)
-Fixed issue #18881: [security] CKeditor 4.20.2 in use which is vulnerable to CVE-2023-28439 (#3237) (Gabriel Jenik)
-Fixed issue #18706: Cannot use expression in End url description (#3204) (Gabriel Jenik)
-Fixed issue #18465: ComfortUpdate shows error message to contact the LimeSurvey team, while just retrying usually works (Carsten Schmitz)
#Updated translation: Swedish by maxzomborszki
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by c_schmitz, lfanfoni, mike73rn, ritapas, seccalisca
#Updated translation: Italian (Informal) by c_schmitz, ciampix, lfanfoni, mike73rn, ritapas
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by actxcellence, c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Catalan by qualitatuvic


Changes from 6.1.3 (build 230612) to 6.1.4 (build 230620) June 19, 2023
-Fixed issue: [security] Administrator can self-delete (Carsten Schmitz)
-Fixed issue: ComfortUpdate showing updates as unstable, even though they are not (fixed the related alert) (twilligls)
-Fixed issue #18890: Group import leads to 500 error on translateLinks (Carsten Schmitz)
-Fixed issue #18871: Can't add email attachment in email templates (#3215) (Gabriel Jenik)
-Fixed issue #18793: Quick Translation crash with MS SQL Database Error (#3224) (Gabriel Jenik)
-Fixed issue #18731: Edit a question "script" tab has disappeared (#3157) (Denis Chenu)
-Fixed issue #18704: Error when trying to add another language to a survey and MSSQL server is used (Carsten Schmitz)
-Fixed issue #18693: Using checkbox question for yes/no loses data when data entry view (#3018) (Gabriel Jenik)
-Fixed issue #18459: When filtering the survey list by a parent survey group, surveys assigned to a child survey group are not listed (#3167) (Gabriel Jenik)
-Fixed issue #18401: Unable to use checkdate function if debug set  (#3214) (Gabriel Jenik)
-Fixed issue #17992: Unable to re-import tokens from old table (#2404) (Gabriel Jenik)
#Updated translation: Swedish by maxzomborszki
#Updated translation: Portuguese (Brazil) by holch
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Finnish by Jmantysalo


Changes from 6.1.2 (build 230606) to 6.1.3 (build 230612) June 12, 2023
-Fixed issue #18833: Mobile phone issue with formulas on columns headings with array numbers on checkbox layout (#3207) (Denis Chenu)
-Fixed issue #18814: Array question statistics fail for Remote Control (#3191) (Gabriel Jenik)
-Fixed issue #18808: Mandatory soft only works once per survey if over multiple pages/groups (#3195) (Denis Chenu)
-Fixed issue #18789: Database upgrade error when trying to update from 6.0.x to any later version and using Postgres (Carsten Schmitz)
-Fixed issue #18669: XSS simple admin via Google key (#3004) (Gabriel Jenik)
-Fixed issue #18615: Data integrity SQL syntax error on Postgres when trying to fix quotas (Carsten Schmitz)
-Fixed issue #16409: Emoticon style is different if emoticon is chosen (#3152) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Hungarian by kkd
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.1.1 (build 230530) to 6.1.2 (build 230606) June 5, 2023
-Fixed issue #18823: STATA Export fails with certain question types (#3148) (Oz-men)
-Fixed issue #18814: Array question statistics fail for Remote Control. (#3165) (Gabriel Jenik)
-Fixed issue #18808: Mandatory soft only works once per survey if over multiple pages/groups (#3119) (Denis Chenu)
-Fixed issue #18737: Missing response action: View response as queXML PDF (#3042) (Adam Zammit)
-Fixed issue #18720: Script show as updatable for simple user with XSS (#3145) (Denis Chenu)
-Fixed issue #17491: Multiple Short Text subquestions missing from Export Printable Survey (#3135) (Adam Zammit)
#Updated translation: Valencian by c_schmitz, joamuran, vbraque
#Updated translation: Turkish by kayazeren
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by jelen1
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: French (France) by DenisChenu
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by mymast, qualitatuvic


Changes from 6.1.0 (build 230522) to 6.1.1 (build 230530) May 30, 2023
-Fixed issue: [security] Unsafe way to detect IP address against brute-force attacks (Carsten Schmitz)
-Fixed issue: Editing a quota shows that it was saved, while it was not (Carsten Schmitz)
-Fixed issue CR-1168: Errors for printanswers after twig upgrade from version 1 to 3 (sameas vs. same as) (twilligls)
-Fixed issue #CR-1167: update registering new function name (jack-han-115)
-Fixed issue #18835: Array question doesn't reload anwsers (#3162) (Denis Chenu)
-Fixed issue #18745: table action dropdown cut off in firefox (Patrick Teichmann)
-Fixed issue #18659: cannot install two plugins in a row (#3160) (Gabriel Jenik)
-Fixed issue #18462: Missing option to search for survey groups at list survey screen. (#3159) (Gabriel Jenik)
-Fixed issue #18456: Interface language parmater use exotic dropdown list. (#3112) (Gabriel Jenik)
-Fixed issue #18246: The setting in the theme variation field (global level) is not shown (#2510) (Gabriel Jenik)
-* Fixed issue #18456: Interface language parmater use exotic dropdown list. (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.0.7 (build 230515) to 6.1.0 (build 230522) May 22, 2023
+New feature #18792: Allow to move question inside group and group order with activated survey (Denis Chenu)
-Fixed issue: ComfortUpdate showing updates as unstable, even though they are not (Carsten Schmitz)
-Fixed issue: Action dropdown menu cut off in Firefox (#3085) (jack-han-115)
-Fixed issue CR-956: wrong color code for g-700 grey (Patrick Teichmann)
-Fixed issue #18811: Button that triggers HTML editor in pop-up window doesn't work (Denis Chenu)
-Fixed issue #18805: No replacement variables available on user administration page (#3113) (Denis Chenu)
-Fixed issue #18784: timer.min.js outdated, updated the build process (#3151) (Bert Hankes)
-Fixed issue #18736: Error exporting participants when using MSSQL DB (Carsten Schmitz)
-Fixed issue #18725: Reorder questions/question groups can break survey (Denis Chenu)
-Fixed issue #18670: "Validation of quota" action button always shows 1st quota (#3139) (Gabriel Jenik)
-Fixed issue #18605: Missing success alerts in participant view (#2876) (Gabriel Jenik)
-Fixed issue #18464: Min/max settings doesn't work for question attrib… (#2708) (Denis Chenu)
-Fixed issue #18262: QCode.gid is not working anymore (#3138) (Denis Chenu)
#Updated translation: Ukrainian by DermanskiyIM
#Updated translation: Swedish by maxzomborszki
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Greek by baltzis, kiolalis
#Updated translation: German by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Bulgarian by bmtteam


Changes from 6.0.6 (build 230508) to 6.0.7 (build 230515) May 15, 2023
-Fixed issue: No proper error when entering ComfortUpdate key and server cannot be reached (Carsten Schmitz)
-Fixed issue #18765: Answers are not populated correct in array dual scale after clicking "Back" (#3061) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.0.5 (build 230502) to 6.0.6 (build 230508) May 8, 2023
-Fixed issue: Cannot add survey menu when using PHP8 (#3115) (Patricia Stell)
-Fixed issue CR-1119: Saving change disables active status for theme option page (#3104) (Tim Willig)
-Fixed issue #18747: User administration email - reserved words send 403 error (Denis Chenu)
-Fixed issue #18744: Window of user permissions is not adapting to space needed by languages. (#3075) (Gabriel Jenik)
-Fixed issue #18739: ComfortUpdate notification not being shown (#3102) (Gabriel Jenik)
-Fixed issue #18679: API access to question type array dual scale merges scales if answer code is not unique (#3049) (Gabriel Jenik)
-Fixed issue #18639: Token browse can be unusable with lot of data in attribute (#3082) (Denis Chenu)
-Fixed issue #18635: When you export single response : sometimes goes to a white page (#3090) (Denis Chenu)
-Fixed issue #18612: When surveys are copied without copying resources links are not handled (#3009) (Gabriel Jenik)
-Fixed issue #18456: Interface language parameter use exotic dropdown list. (#3067) (Gabriel Jenik)
-Fixed issue #18343: Problem with interpreting double slash in URL (IIS) (#3087) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 6.0.4 (build 230427) to 6.0.5 (build 230502) May 2, 2023
-Fixed issue: Very slow survey start if a lot of quotas exist (Carsten Schmitz)
-Fixed issue #18786: Error shown when token length is set to 36 characters (Carsten Schmitz)
-Fixed issue #18782: Bad width set for array dual scale (#3078) (Denis Chenu)
-Fixed issue #18771: Super-admin unable to rename theme (#3076) (Denis Chenu)
-Fixed issue #18747: User administration email - reserved words send 403 error (Denis Chenu)
-Fixed issue #18684: Missing translation. (#3053) (Gabriel Jenik)
-Fixed issue #18604: Set empty to maximum number of files not working (#2865) (Denis Chenu)
-Fixed issue #18343: Problem with interpreting double slash in URL (IIS) (Denis Chenu)
#Updated translation: Swedish by c_schmitz, maxzomborszki
#Updated translation: Spanish (Spain) by aesteban, c_schmitz, ireneoh, jmlopez, valdomir
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, markusfluer
#Updated translation: German (Informal) by assistedmindfulness, c_schmitz, holch, p_teichmann, richterd
#Updated translation: French (France) by Amaury VAN ESPEN, arnaud21, b00z00, c_schmitz, DenisChenu, DenisChenu_TEST, GuillaumeZ6, nmenard, riqcles, twilllig


Changes from 6.0.3 (build 230424) to 6.0.4 (build 230427) April 25, 2023
-Fixed issue: Error on database upgrade (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: German by c_schmitz


Changes from 6.0.2 (build 230417) to 6.0.3 (build 230424) April 24, 2023
-Fixed issue: Pagination not working issue for clsgrid tables (#3063) (jack-han-115)
-Fixed issue CR-1086: adjusted xml_path in db for imageselect questions (#3052) (Tim Willig)
-Fixed issue #18756: Unable to set non-integer values for initial slider value (#3058) (Denis Chenu)
-Fixed issue #18750: Incomplete translation of admin homepage buttons (Carsten Schmitz)
-Fixed issue #18749: Tooltips text display errors in French (Carsten Schmitz)
-Fixed issue #18739: ComfortUpdate notification not being shown (#3047) (Gabriel Jenik)
-Fixed issue #18719: custom admin theme failing if new logo files are not set in the theme (Patrick Teichmann)
-Fixed issue #18703: Upload files show error if not seen (using index) (#3015) (Denis Chenu)
-Fixed issue #18696: Survey titles too short when I want to copy a survey  (#3044) (Denis Chenu)
-Fixed issue #18191: Cannot use statCount in specific condition (#3056) (Denis Chenu)
-Fixed issue #14108: No error proper error message when LDAP login fails due to case-sensitivity (#2692) (Denis Chenu)
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Mongolian by amidral
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Turkish by kayazeren
#Updated translation: German (Easy) by assistedmindfulness, holch
#Updated translation: Polish (Informal) by elissa

Changes from 6.0.1 (build 230411) to 6.0.2 (build 230417) April 17, 2023
-Fixed issue: [security] Administrator can change his own password without entering the existing one (Carsten Schmitz)
-Fixed issue #CR-1054: Vertical scrollbar appearing between accordion transitions in questioneditor (#3031) (jack-han-115)
-Fixed issue #CR-1053: Accordion for survey plugins can't be opened with the icon, update to new admin theme (#3034) (jack-han-115)
-Fixed issue #18684: Missing translation  (#3046) (Gabriel Jenik)
-Fixed issue #18633: Inherited value doesn't match any attribute option (#3001) (Gabriel Jenik)
-Fixed issue #17883: QueXML formatting cannot be changed (#3028) (Adam Zammit)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by c_schmitz, mauriciofurtado, samarta
#Updated translation: Norwegian (Bokmål) by c_schmitz, pmonstad
#Updated translation: Japanese by nomoto
#Updated translation: Hungarian by kkd
#Updated translation: Czech by c_schmitz, jelen1
#Updated translation: Czech (Informal) by jelen1, slansky


Changes from 6.0.0 (build 230405) to 6.0.1 (build 230411) April 11, 2023
-Fixed issue CT-74: increased timeout for autocorrect on numerical fields (Tim Willig)
-Fixed issue #18423: SQL error when quota enabled on postgresql (#2688) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by c_schmitz
#Updated translation: Portuguese (Brazil) by holch, samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd
#Updated translation: German by p_teichmann
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky
#Updated translation: Chinese (Simplified) by c_schmitz, humandynamic


Changes from 5.6.14 (build 230403) to 6.0.0 (build 230405) April 4, 2023
+New feature: Converted the application to the Bootstrap 5 framework
+New feature: Implemented a new administration theme
+New feature: Upgraded Twig from 1.0 to 3.0
+New feature #18453: PHP 8.1 compatibility (#2878) (Gabriel Jenik)
+New feature: Add get_available_site_settings RPC method (#2579) (Edgar R. M)
+New feature #18382: Fire afterSurveyCompleted event in preview mode (Olle Haerstedt)
+New feature #16619: Allow calling get_uploaded_files() remote control function by response ID (#2363) (Gabriel Jenik)
+New feature #18178: Add Quota CRUD RPC methods (#2458) (Edgar R. M)
-Fixed issue #18243: ARIA Attribute role on array question not correct (#2888)


Changes from 5.6.13 (build 230327) to 5.6.14 (build 230403) April 3, 2023
+New feature #18197: Allow Google Analytics 4 tracking (#2907) (Gabriel Jenik)
-Fixed issue: Prevent "Division by zero" in statistics (Tim Willig)
-Fixed issue: [security] Removed vulnerable example files (Carsten Schmitz)
-Fixed issue: PCLZip error on last step of ComfortUpdate when trying to update from version 3 to latest version (Carsten Schmitz)
-Fixed issue CT-55: Multiple responses participants (Previous session is set to be finished) (#3024) (Tim Willig)
-Fixed issue CT-53: Graphs not displayed in public statistics (#3023) (Tim Willig)
-Fixed issue #18698: Vulnerable javascript dependency used in adminsidepanel.js in limesurvey/limesurvey (#3017) (Gabriel Jenik)
-Fixed issue #18679 API Access to Question Type Array Dual Scale merge scales if answer code is not unique. (#3025) (Gabriel Jenik)
-Fixed issue #18381: PluginSetting type date must be saved as a common datetime string (#2753) (Denis Chenu)
-Fixed issue #18324: mandSoft POST parameter may be passed to bypass mandatory questions (#2825) (Denis Chenu)
-Fixed issue #18184: cpd_importParticipants with encryption turned on, fails to save the participant encrypted in CPDB, causing 500 error to CPDB (#2464) (Gabriel Jenik)
-Fixed issue #18180: Calling set_participant_properties with an invalid token id throws an internal server error (#2465) (Gabriel Jenik)
-Fixed issue #18071: Importing Question through Remote Control may fail if the imported question already exists (#3016) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.6.12 (build 230327) to 5.6.13 (build 230327) March 27, 2023


Changes from 5.6.11 (build 230320) to 5.6.12 (build 230327) March 27, 2023
-Fixed issue: [security] XSS issue in notification email address (Carsten Schmitz)
-Fixed issue: [security] Issue in CSV user export (Carsten Schmitz)
-Fixed issue #18674: Simple user can update javascript when scripts are disabled (Denis Chenu)
-Fixed issue #18663: SQL error when adding survey participants along w… (#2959) (Denis Chenu)
-Fixed issue #18657: Encrypted token attributes are shown encrypted when piped into a question body (#2948) (Gabriel Jenik)
-Fixed issue #18655: Data loss if field in response table it missing. (#2998) (Gabriel Jenik)
-Fixed issue #18655: Data loss if field in response table it missing (#2956) (Gabriel Jenik)
-Fixed issue #18653: getSuperAdmin return simple user (#2968) (Denis Chenu)
-Fixed issue #18630: Survey list showing wrong icon for surveys. (#2960) (Gabriel Jenik)
-Fixed issue #18504: Date Calendar Selection Question (#2899) (Gabriel Jenik)
-Fixed issue #18318: Empty line at the end of csv export (#2942) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by ireneoh


Changes from 5.6.10 (build 230313) to 5.6.11 (build 230320) March 20, 2023
-Fixed issue #18620: Column relevance disabling not working as expected (#2905) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by c_schmitz, lfanfoni
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.6.9 (build 230306) to 5.6.10 (build 230313) March 13, 2023
-Fixed issue #18644: YII_DEBUG was not used inside KCFinder (#2934) (Gabriel Jenik)
-Fixed issue #18631: Order of answer options done on the base language are not reflected on secondary languages. (#2926) (Gabriel Jenik)
-Fixed issue #18476: CPDB - Add attribute modal - delete language does not work (#2941) (Gabriel Jenik)
-Fixed issue #18336: Placeholder fields VALIDFROM and VALIDUNTIL not listed at email templates (#2813) (Gabriel Jenik)
#Updated translation: Polish by 2BITS_PL
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Italian by c_schmitz, lfanfoni
#Updated translation: Italian (Informal) by lfanfoni


Changes from 5.6.8 (build 230227) to 5.6.9 (build 230306) March 6, 2023
-Fixed issue: Unable to run integrity check on databases with a big number of surveys (Carsten Schmitz)
-Fixed issue: High memory usage when exporting participants (Carsten Schmitz)
-Fixed issue: Error when calculating quartiles on encrypted question (Carsten Schmitz)
-Fixed issue #CT-44: Exporting survey participants exceeds PHP memory limit (Patrick Teichmann)
-Fixed issue #18662: Update DB from 491 break on home page (#2953) (Denis Chenu)
-Fixed issue #18658: Upload file question type not accepting certain file names (#2952) (Gabriel Jenik)
-Fixed issue #18655: Unnoticed data loss if field in response table it missing (#2946) (Gabriel Jenik)
-Fixed issue #18407: On-page conditions not working when pre-filling question with equation on the same page (#2921) (Denis Chenu)
#Updated translation: Valencian by vbraque
#Updated translation: Russian by vipgroup
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by p_teichmann
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Basque by c_schmitz


Changes from 5.6.7 (build 230222) to 5.6.8 (build 230227) February 27, 2023
-Fixed issue #18628: Answer code updates on base language are not reflected on secondary languages (#2906) (Gabriel Jenik)
-Fixed issue #18625: Cannot copy a survey when using a survey alias (#2927) (Gabriel Jenik)
-Fixed issue #18619: QuestionGroup->getGroupDescription() fails (#2890) (Gabriel Jenik)
-Fixed issue #18541: Data entry screen incorrectly assigns 0 value to empty multiflex array checkbox values (master) (Adam Zammit)
-Fixed issue #18527: Can't validate phone number using regex if phone number starts with + (#2900) (Gabriel Jenik)
#Updated translation: Ukrainian by c_schmitz
#Updated translation: Malay by c_schmitz
#Updated translation: English by lpomfret
#Updated translation: Czech by jelen1


Changes from 5.6.6 (build 230220) to 5.6.7 (build 230222) February 20, 2023
-Fixed issue for #18438: Prevent translation of empty string (Tim Willig)


Changes from 5.6.5 (build 230214) to 5.6.6 (build 230220) February 20, 2023
-Fixed issue: [security] Minor XSS vulnerability when editing a question group (Carsten Schmitz)
-Fixed issue: [security] Minor XSS vulnerability when editing a question (Carsten Schmitz)
-Fixed issue: [security] Minor XSS vulnerability in general survey settings (Carsten Schmitz)
-Fixed issue #18577: [security] Update Moment.js (#2830) (Gabriel Jenik)
-Fixed issue #18559: Potential 500 error with LimeMailer and PHP8 (#2799) (Denis Chenu)
-Fixed issue #18438: Wrong text in inherit-button (#2893) (Gabriel Jenik)
-Fixed issue #17784: [security] Update CkEditor to 4.20.2 (Carsten Schmitz)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd
#Updated translation: German by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.6.4 (build 230206) to 5.6.5 (build 230214) February 14, 2023
-Fixed issue #CT-32: Viewing a response is not possible if the original access code (token) entry doesn't exist anymore (Patrick Teichmann)
-Fixed issue #18625: Cannot copy a survey when using a survey alias (#2894) (Gabriel Jenik)
-Fixed issue #18599: Placeholders {GID} and {SGQ} not replaced for "script" (#2855) (Denis Chenu)
-Fixed issue #18590: Filenames containing an apostrophe (') cause uploaded file-list to unlist upon Resume later or Next then Previous (#2862) (Gabriel Jenik)
-Fixed issue #18587: Question type button not visible after having chosen the type (#2881) (Gabriel Jenik)
-Fixed issue #18542: Plugins: PasswordRequirement plugin is not working properly (#2847) (Gabriel Jenik)
-Fixed issue #18521: Checkbox issue in the permission modal (#2870) (Gabriel Jenik)
-Fixed issue #18501: Answers with 0 as value was not saved if encrypted (#2738) (Denis Chenu)
-Fixed issue #18428: QuestionTheme settings are shown on Core theme settings (#2869) (Gabriel Jenik)
-Fixed issue #17486: Current Page Values not saved if saving pressing Enter (#2889) (Gabriel Jenik)
#Updated translation: Tagalog by c_schmitz
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Malay by astrasia, c_schmitz
#Updated translation: Japanese by d_inoue
#Updated translation: Italian (Informal) by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by boheean
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Bengali by PawelAtroszko


Changes from 5.6.3 (build 230130) to 5.6.4 (build 230206) February 6, 2023
-Fixed issue: Notice when trying to submit a new key (Carsten Schmitz)
-Fixed issue: Invalid URL in public statistics (Carsten Schmitz)
-Fixed issue [security] #18514: No CSRF control when delete token table (#2750) (Denis Chenu)
-Fixed issue #18594: Slider: Min and max values not checked if nothing selected (#2858) (Gabriel Jenik)
-Fixed issue #18579: Question theme are not shown in Survey Logic file (#2863) (Gabriel Jenik)
-Fixed issue #18572: The 'duration' type field has an invalid value for 'name' (#2859) (Gabriel Jenik)
-Fixed issue #18555: Wrong escaping in Mandatory setting help (#2860) (Gabriel Jenik)
-Fixed issue #17486: Current Page Values not saved if saving pressing Enter (lapiudevgit)
#Updated translation: Welsh by c_schmitz, ChrisWilliams, NortonT
#Updated translation: Vietnamese by c_schmitz
#Updated translation: Urdu by PawelAtroszko
#Updated translation: Turkish by c_schmitz
#Updated translation: Thai by c_schmitz
#Updated translation: Swedish by c_schmitz
#Updated translation: Spanish (Spain) by c_schmitz
#Updated translation: Spanish (Mexican) by c_schmitz, segui
#Updated translation: Slovak by jelen1
#Updated translation: Russian by c_schmitz
#Updated translation: Romanian by c_schmitz, support_cxomni
#Updated translation: Portuguese (Portugal) by c_schmitz
#Updated translation: Portuguese (Brazil) by c_schmitz, rafaelmaia, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by c_schmitz
#Updated translation: Mongolian by c_schmitz
#Updated translation: Maltese by c_schmitz
#Updated translation: Korean by c_schmitz
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by c_schmitz
#Updated translation: Italian (Informal) by c_schmitz
#Updated translation: Indonesian by c_schmitz
#Updated translation: Hungarian by quasar_
#Updated translation: Hungarian by c_schmitz
#Updated translation: Hindi by c_schmitz, KapilSabarwal
#Updated translation: Greek by baltzis, george01, lenasterg
#Updated translation: German by vkm2020
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by zer0flash
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by c_schmitz, Han
#Updated translation: Dutch by c_schmitz
#Updated translation: Dutch (Informal) by c_schmitz, Han
#Updated translation: Danish by c_schmitz, PawelAtroszko
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by c_schmitz
#Updated translation: Chinese (Taiwan) (Traditional) by c_schmitz
#Updated translation: Chinese (Simplified) by c_schmitz
#Updated translation: Armenian by PawelAtroszko
#Updated translation: Arabic by c_schmitz


Changes from 5.6.2 (build 230125) to 5.6.3 (build 230130) January 30, 2023
-Fixed issue #18582: RemoteControl invite_participants unexpectedly stops after first failure (#2866) (Gabriel Jenik)
-Fixed issue #18578: Internal server error (HTTP 500) in RemoteControl get_participant_properties for removed participant (#2827) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Malay by PawelAtroszko
#Updated translation: Japanese by d_inoue
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: French (France) by b00z00, DenisChenu
#Updated translation: French (France) by DenisChenu
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.6.1 (build 230123) to 5.6.2 (build 230125) January 24, 2023
-Fixed issue: KCFinder stops working after updating with ComfortUpdate (Carsten Schmitz)
#Updated translation: French (France) by DenisChenu


Changes from 5.6.0 (build 230116) to 5.6.1 (build 230123) January 23, 2023
-Fixed issue #18592: When creating a survey Default group may not be the ones preselected (#2849) (Gabriel Jenik)
-Fixed issue #18585: Click again on link by email submit again the survey (Denis Chenu)
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 5.5.2 (build 230109) to 5.6.0 (build 230116) January 16, 2023
+New feature #7641: Options to use Y/N conversion in RemoteControl API export (#2843) (Carsten Schmitz)
-Fixed issue #18544: Update Theme Options: Survey Group permissions are not checked correctly (#2795) (Gabriel Jenik)
-Fixed issue #18517: Survey editing : Survey creation date is wrong (#2821) (Gabriel Jenik)
-Fixed issue #18498: Questions with custom themes not shown on question list (#2744) (Gabriel Jenik)
#Updated translation: Vietnamese by c_schmitz
#Updated translation: Ukrainian by c_schmitz
#Updated translation: Turkish by c_schmitz
#Updated translation: Thai by c_schmitz
#Updated translation: Swedish by c_schmitz
#Updated translation: Spanish (Spain) by c_schmitz
#Updated translation: Spanish (Mexican) by c_schmitz
#Updated translation: Spanish (Argentina) (Informal) by c_schmitz
#Updated translation: Slovenian by c_schmitz
#Updated translation: Slovak by jelen1
#Updated translation: Russian by c_schmitz
#Updated translation: Romanian by c_schmitz
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Brazil) by c_schmitz
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Nynorsk) by c_schmitz
#Updated translation: Norwegian (Bokmål) by c_schmitz
#Updated translation: Mongolian by c_schmitz
#Updated translation: Lithuanian by c_schmitz
#Updated translation: Latvian by c_schmitz
#Updated translation: Korean by c_schmitz
#Updated translation: Japanese by d_inoue
#Updated translation: Italian by c_schmitz
#Updated translation: Italian (Informal) by c_schmitz
#Updated translation: Indonesian by c_schmitz
#Updated translation: Hungarian by c_schmitz
#Updated translation: Hindi by c_schmitz
#Updated translation: Greek by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Estonian by c_schmitz
#Updated translation: Dutch by c_schmitz, Han
#Updated translation: Dutch (Informal) by c_schmitz, Han
#Updated translation: Danish by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by c_schmitz
#Updated translation: Chinese (Simplified) by c_schmitz
#Updated translation: Catalan by qualitatuvic
#Updated translation: Bulgarian by c_schmitz, DCLXVI, llamaloverbg, peterx, simid, tnovakova, tsb03varna
#Updated translation: Arabic by c_schmitz
#Updated translation: Afrikaans by c_schmitz


Changes from 5.5.1 (build 230103) to 5.5.2 (build 230109) January 9, 2023
-Fixed issue CR-797: Only check versions from CU server once per day (Olle Haerstedt)
-Fixed issue #18569: Survey editing:  typo in error message (#2822) (Gabriel Jenik)
-Fixed issue #18546: Menu System: Setting a past survey start date leads to showing current date as end date at survey overview (#2800) (Gabriel Jenik)
-Fixed issue #18543: Question Type "Array (texts)" crashes when in combination with "array filter", "Array filter style": disabled and "show totals" (#2793) (Gabriel Jenik)
-Fixed issue #18542: Plugins: PasswordRequirement plugin is not working properly (#2823) (Gabriel Jenik)
-Fixed issue #18516: Create Survey button allows multiple clicking and may create multiple copies (#2812) (Gabriel Jenik)
-Fixed issue #18507: {ANSWERTABLE} not working in basic admin notification (#2794) (Gabriel Jenik)
-Fixed issue #18502: STATA export of simple array question fails (#2792) (Gabriel Jenik)
-Fixed issue #18491: Theme editor : List of fonts and colors should be sorted alphabetically (#2820) (Gabriel Jenik)
-Fixed issue #18481: Panel Configuration : Insert new box without position (#2818) (Gabriel Jenik)
#Updated translation: Welsh by ChrisWilliams
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hebrew by idan1798
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.5.0 (build 221219) to 5.5.1 (build 230103) January 3, 2023
-Fixed issue #18564: Fixed JS part for copy functionality (#2805) (Borys)
-Fixed issue #18503: Label sets: When adding a label set e.g. at the edit responses screen, the loaded label sets can not be searched (#2796) (Gabriel Jenik)
-Fixed issue #18471: Data Entry: Data entry with multiple languages does not work (#2797) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by c_schmitz, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by aschwey, DenisChenu
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Chinese (Simplified) by duestin, FangZhijian, humandynamic, xiongrui, zengqing, zhanginshanghai, Zoctan


Changes from 5.4.15 (build 221212) to 5.5.0 (build 221219) December 19, 2022
+New feature #8436: Enable / disable users and fields to manage users (#2636) (Gabriel Jenik)
+New feature #8239: Allow for user friendly survey URLS (#2218) (Gabriel Jenik)
+New feature #18375: [security] Some plugin settings need encryption (#2645) (Gabriel Jenik)
+New feature #18204: Extend form via plugin (Olle Haerstedt)
-Fixed issue: Return JSON instead of string from actionCheckQuestionValidateTitle (Olle Haerstedt)
-Fixed issue: Also allow to compare with null in list_participants (Olle Haerstedt)
-Fixed issue [security] #18553: SQL injection on surveygroup update (#2790) (Denis Chenu)
-Fixed issue #18449: Impossible to add participant after correcting an e-mail address error (#2748) (Gabriel Jenik)
-Fixed issue #18415: Copy Survey: New Title shouldn't be mandatory (#2709) (Gabriel Jenik)
-Fixed issue #18373: Saving statistics exports to excel fails (#2656) (Gabriel Jenik)
-Fixed issue #18310: Inconsistent GUI: Sort alphabetically vs. random (#2666) (Gabriel Jenik)
-Fixed issue #18250: admin css hide logic file part (#2761) (Gabriel Jenik)
#Updated translation: Ukrainian by apache_borys
#Updated translation: Slovak by jelen1
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky
#Updated translation: Catalan by qualitatuvic
#Updated translation: Bosnian by PawelAtroszko
#Updated translation: Azerbaijani by PawelAtroszko


Changes from 5.4.14 (build 221205) to 5.4.15 (build 221212) December 12, 2022
-Fixed issue #14310: Google Analytics functionality doesn't work (#2762) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.4.13 (build 221128) to 5.4.14 (build 221205) December 5, 2022
-Fixed issue #18337: Placeholders VALIDFROM and VALIDUNTIL at email templates do not use localized dates (#2591) (Gabriel Jenik)
-Fixed issue #18250: Admin CSS hide logic file part (#2657) (Gabriel Jenik)
-Fixed issue #17897: Build of statistics fails with DivisionByZero (#2704) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: French (France) by DenisChenu
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Arabic by c_schmitz, DeveloperChris, LucaAzzalini, malbariqi, MotasemHanani, Muhammad_Hosny, mviper28, samiubuntu, shidhani, yabdali, ysaad


Changes from 5.4.12 (build 221121) to 5.4.13 (build 221128) November 28, 2022
-Fixed issue: gid suffix was missing in aRDP_regexpStaticAttribute array (Tim Willig)
-Fixed issue #18463: List of uploaded files should be sorted alphabetically (#2722) (Gabriel Jenik)
-Fixed issue #18461: Survey groups at survey list screen should be listed alphabetically (#2724) (Gabriel Jenik)
-Fixed issue #18424: Typo in debug message (#2705) (Gabriel Jenik)
-Fixed issue #18395: Access to limereplacementfields didn't check read permission on survey (#2655) (Gabriel Jenik)
-Fixed issue #17648: Email received by participant is empty (#2691) (Denis Chenu)
#Updated translation: Portuguese (Brazil) by rafaelmaia
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Luxembourgish by Mazi
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by b00z00, DenisChenu, Nickko, sim.eesp
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Chinese (Simplified) by hdaphq, humandynamic, xiongrui, zengqing, zhanginshanghai, Zoctan
#Updated translation: Azerbaijani by Heyder


Changes from 5.4.11 (build 221114) to 5.4.12 (build 221121) November 21, 2022
-Fixed issue: Placeholder fields still inserting outdated INSERTANS: placeholder (Carsten Schmitz)
-Fixed issue: ComfortUpdate should use SSL by default (Carsten Schmitz)
-Fixed issue #18488: Conditions are not properly highlighted if they have additional spaces (#2733) (Denis Chenu)
-Fixed issue #18422: Remove Google font usage (#2689) (Gabriel Jenik)
#Updated translation: Valencian by joamuran, vbraque
#Updated translation: Thai by tomzt
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd


Changes from 5.4.10 (build 221107) to 5.4.11 (build 221114) November 14, 2022
-Fixed issue: Survey gets into a state where it seems to be active but isn't - to fix this run integrity check (Carsten Schmitz)
-Fixed issue: Start boxes having invalid links on small screens (Carsten Schmitz)
-Fixed issue: Division by zero on survey preview when no answer options exist (Carsten Schmitz)
-Fixed issue #15195: Expiration date can be set before start date (#2714) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.4.9 (build 221101) to 5.4.10 (build 221107) November 7, 2022
-Fixed issue #18451: Plugin uploading omit translation files (Bartosz Marganiec)
-Fixed issue #18338: For participants, expiration date can be set before start date (#2679) (Gabriel Jenik)
-Fixed issue #16187: No proper error message when copying survey and ID already exists (#2663) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by nomoto
#Updated translation: Finnish by Jmantysalo


Changes from 5.4.8 (build 221024) to 5.4.9 (build 221101) November 1, 2022
-Fixed issue: No proper error message in ComfortUpdate shown when files could not be deleted (Carsten Schmitz)
-Fixed issue: If a file/directory could not be deleted during ComfortUpdate the file/dirname would not be shown (Carsten Schmitz)
-Fixed issue: HTML tags are not allowed for admins in participant attributes (#2627) (Denis Chenu)
-Fixed issue: Cannot import old response table (Carsten Schmitz)
-Fixed issue #18430: Unable to ComfortUpdate from 5.4.7 (Olle Haerstedt)
-Fixed issue #18430: Unable to ComfortUpdate from 5.4.7 (Carsten Schmitz)
-Fixed issue #18427: LDAP plugin error when try to create new user on PHP8.1 (#2685) (Denis Chenu)
-Fixed issue #18414: Missing translations (#2678) (Gabriel Jenik)
-Fixed issue #18358: Statistics filter feature is not working properly (#2635) (Gabriel Jenik)
-Fixed issue #18102: Export Duplicate entries in the Excel Form (#2673) (Denis Chenu)
#Updated translation: Spanish (Spain) by aesteban, c_schmitz, Ignacio, ignaciogros, ireneoh, jmlopez, jparis, rodrirokr, segui, valdomir, xtingray
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni, lfortunato, ritapas
#Updated translation: Italian (Informal) by lfanfoni, mike73rn
#Updated translation: Hungarian by kkd
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.4.7 (build 221019) to 5.4.8 (build 221024) October 24, 2022
-Fixed issue: Cannot edit file in theme editor (Carsten Schmitz)
-Fixed issue #18413: Cannot authenticate with LDAP when using PHP 8.1 (Denis Chenu)
-Fixed issue #18403: Debug output when loading demo site (#2649) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Chinese (Simplified) by duestin, FangZhijian, xiongrui, zengqing, zhanginshanghai, Zoctan


Changes from 5.4.6 (build 221018) to 5.4.7 (build 221019) October 18, 2022
-Fixed issue: [security] Various major & minor security issues discovered by automated security tools (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa


Changes from 5.4.5 (build 221010) to 5.4.6 (build 221018) October 18, 2022
-Fixed issue #18413: Cannot authenticate with LDAP when using PHP 8.1 (Dennis1993)
-Fixed issue #18410: LDAP authentication option labelled as PluginBase (#2662) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by marcelovincenzi, samarta
#Updated translation: Portuguese (Brazil) by holch, josesiqueira, samarta, tamiel
#Updated translation: Mongolian by amidral
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by DenisChenu
#Updated translation: Finnish by Jmantysalo
#Updated translation: Chinese (Taiwan) (Traditional) by CTFang, TuTu_chen, Yeeeeeet
#Updated translation: Catalan by qualitatuvic


Changes from 5.4.4 (build 221004) to 5.4.5 (build 221010) October 10, 2022
-Fixed issue: Add bootstrap tooltip to MenuButton view (Tim Willig)
-Fixed issue #18373: Saving statistics exports to excel fails (#2634) (Gabriel Jenik)
-Fixed issue #18323: When copying a question with sub-questions, the sub-questions are not copied (#2644) (Gabriel Jenik)
-Fixed issue #18307: A comment string starting with a '<' is not saved using Multiple choice with comments (#2608) (Gabriel Jenik)
-Fixed issue #18172: MSSQL issue when import from old responses DB (#2460) (Denis Chenu)
-Fixed issue #17950: is_int(false) returns true (#2642) (Denis Chenu)
-Fixed issue #17825: Strings “LimeSurvey internal database” not available for translation in GlotPress (#2637) (Gabriel Jenik)
-Fixed issue #17654: Spurious error "Incorrect username …" in webserver Auth (#2448) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Brazil) by samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by vkm2020
#Updated translation: German (Informal) by bewi, c_schmitz, richterd
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.4.3 (build 220926) to 5.4.4 (build 221004) October 4, 2022
-Fixed issue: Wording "Generate tokens" is confusing (#2589) (Arjun Srivastava)
-Fixed issue: ComfortUpdate having a problem with bigger updates (Carsten Schmitz)
-Fixed issue #18384: Update fails on Postgres (Olle Haerstedt)
-Fixed issue #18380: Lock/unlock question organizer broken (Carsten Schmitz)
-Fixed issue #18353: Unable to upload an xml file (#2613) (Denis Chenu)
-Fixed issue #18330: SurveySetting type date doesnt show datepicker (#2632) (Denis Chenu)
-Fixed issue #18287: Question List: Filtering doesn't work on type description (#2597) (Gabriel Jenik)
-Fixed issue #17874: Upgrading from 3.x to 5.x shows confusing message (Carsten Schmitz)
-Fixed issue #18347: Unable to check extension of this file type image/svg. (Denis Chenu)
#Updated translation: Thai by tomzt
#Updated translation: Slovak by jelen1
#Updated translation: Russian by vipgroup
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.4.2 (build 220921) to 5.4.3 (build 220926) September 26, 2022
-Fixed issue: Typo in table name can cause error with faulty deployment (Olle Haerstedt)
-Fixed issue #18369: ComfortUpdate from 3.x to 5.4.x shows an error at the end (Carsten Schmitz)
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by kkd
#Updated translation: German by c_schmitz, huibutz
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 5.4.1 (build 220919) to 5.4.2 (build 220921) September 20, 2022
-Fixed issue [security] #18355: User can grant more permissions to any user than he has himself (#2624) (Denis Chenu)
-Fixed issue: User can delete any permission to other user. (Denis Chenu)
-Fixed issue #18361: Admin can set email/password for any other non-super admin (Olle Haerstedt)
#Updated translation: Japanese by nomoto


Changes from 5.4.0 (build 220913) to 5.4.1 (build 220919) September 19, 2022
-Fixed issue: User creation email was sent by current admin, not by siteadmin (Carsten Schmitz)
-Fixed issue #18351: Extra token placeholder show as invalid in expression (#2600) (Denis Chenu)
-Fixed issue #18247: PHP version 8 and remote control, error in bigdata.php (#2520) (Gabriel Jenik)
-Fixed issue #18240: QuestioinTheme browserdetect, Show Platform information didn't work (#2595) (Gabriel Jenik)
-Fixed issue #17870: Default value with line feed broke Expression Script (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by c_schmitz, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: French (France) by arnaud21, b00z00, DenisChenu, francois-charles.hebert, Qat, riqcles
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.3.32 (build 220817) to 5.4.0 (build 220913) September 13, 2022
+New feature #18282: Possibility to resend failed admin notification emails(#2539) (Patrick Teichmann)
+New feature #17835: Add custom token attributes to Response details screen (#2316) (Gabriel Jenik)
-Fixed issue: Missing getIconClass in admin plugin menu (Olle Haerstedt)
-Fixed issue: Captcha not shown eventhough activated in survey settings (Carsten Schmitz)
-Fixed issue #18316: User role cannot be deleted with action button (#2577) (Gabriel Jenik)
-Fixed issue #18305: Deleting a user that owns survey participans causes error on view CPDB (#2567) (Gabriel Jenik)
-Fixed issue #18301: Mass action drop-up menu looks like overflow hidden in question list (#2574) (Gabriel Jenik)
-Fixed issue #18286: Filter by group name in Group List, does not work (#2576) (Gabriel Jenik)
-Fixed issue #18242: Quick translation: end note not shown (#2556) (Gabriel Jenik)
-Fixed issue #18203: Return arrays instead of strings from update_response (#2483) (Edgar R. M)
-Fixed issue #18183: Date filter at statistics is not applied correctly (#2521) (Gabriel Jenik)
-Fixed issue #18168: Big number of spelling errors (Fix for 2FA gridview) (Tim Willig)
-Fixed issue #18168: Big number of spelling errors (Carsten Schmitz)
-Fixed issue #18145: Data integrity: Cannot press button when only participant list is selected (#2533) (Denis Chenu)
-Fixed issue #18134: Present subquestions/answer options in random order has no clue about current state (#2566) (Gabriel Jenik)
-Fixed issue #18133: Set 'Other' state has no clue about current state (#2568) (Gabriel Jenik)
-Fixed issue #15195: Expiration date can be set before start date (#2575) (Gabriel Jenik)
-Fixed issue #18242: Quick translation: end note not shown (Gabriel Jenik)
#Updated translation: Valencian by c_schmitz, joamuran, valdomir, vbraque
#Updated translation: Ukrainian by support_cxomni
#Updated translation: Turkish by kayazeren
#Updated translation: Thai by tomzt
#Updated translation: Swedish by c_schmitz, maxzomborszki
#Updated translation: Slovak by jelen1
#Updated translation: Slovak by dusanm, jelen1
#Updated translation: Slovak by c_schmitz, jelen1, sweetakasha
#Updated translation: Russian by kvolk2lim, vipgroup, watslaw
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Portugal) by c_schmitz, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: Japanese by d_inoue
#Updated translation: Japanese by c_schmitz, d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz, sschmidt
#Updated translation: German by c_schmitz, das-g.
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by actxcellence, c_schmitz, HonkXL
#Updated translation: Georgian by c_schmitz, gtchumburidze
#Updated translation: Galician by Calidonia
#Updated translation: French (France) by arnaud21, arnaudj, b00z00, DenisChenu, francois-charles.hebert, GuillaumeZ6, Xave
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by c_schmitz, Han, markusfluer
#Updated translation: Dutch by Han, kpadm
#Updated translation: Dutch (Informal) by c_schmitz, Han, markusfluer
#Updated translation: Dutch (Informal) by c_schmitz, Han
#Updated translation: Czech by jelen1, VBraun
#Updated translation: Czech by jelen1
#Updated translation: Czech by c_schmitz, jelen1, VBraun
#Updated translation: Czech (Informal) by jelen1, slansky, VBraun
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.31 (build 220815) to 5.3.32 (build 220817) August 17, 2022
-Fixed issue: Cannot load previously saved response to resume, instead the message "There is no matching saved response" is shown after entering identifier and password (Carsten Schmitz)
-Fixed issue #18314: Save-button under Survey settings does not work (Olle Haerstedt)
-Fixed issue #16795: Typo in default text for confirmation email (in English) (#2573) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Japanese by nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.3.30 (build 220808) to 5.3.31 (build 220815) August 15, 2022
-Fixed issue #15195: Expiration date can be set before start date (#2558) (Gabriel Jenik)
#Updated translation: Turkish by kayazeren
#Updated translation: Swedish by maxzomborszki
#Updated translation: Portuguese (Portugal) by jbfloripa, marciojv, samarta
#Updated translation: Portuguese (Brazil) by femariso, josesiqueira, marcelovincenzi, reimorster
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Croatian by rovinj


Changes from 5.3.29 (build 220801) to 5.3.30 (build 220808) August 8, 2022
-Fixed issue: Missing 'Soft' mandatory in question summary (Olle Haerstedt)
-Fixed issue: Include bootstrap-rtl for admin themes (Olle Haerstedt)
-Fixed issue #18299: Simple statistics, "Text Display" questions are shown (#2557) (Gabriel Jenik)
-Fixed issue #18298: Saving in question organizer always prompts (#2559) (Gabriel Jenik)
-Fixed issue #18297: Survey permissions menu does not work (Denis Chenu)
-Fixed issue #18288: Can't assign groups to surveys (#2549) (Denis Chenu)
-Fixed issue #18280: Conditions Designer Crash with Database Error (#2548) (Denis Chenu)
-Fixed issue #18271: Blank page after clicking "Close" (#2547) (Gabriel Jenik)
-Fixed issue #18270: Language switch is not repopulated correctly after change question type (#2546) (Gabriel Jenik)
-Fixed issue #18261: Simple statistics, 'Array (5 point choice)' dont show subquestions (#2554) (Gabriel Jenik)
-Fixed issue #18259: Add surveyId to select box (#2519) (Marko Bischof)
-Fixed issue #18249: INSERTANS correction broken when import (#2524) (Gabriel Jenik)
-Fixed issue #18199: Top menu language changer didn't appear for register (#2523) (Gabriel Jenik)
-Fixed issue #18194: Link after import survey goes to subquestion edit (#2522) (Gabriel Jenik)
-Fixed issue #18162: Design options: missing translation / icon (#2552) (Gabriel Jenik)
-Fixed issue #17872: Answerfilters reset after pagination changed (#2437) (Gabriel Jenik)
-Fixed issue #17745: Incomplete instructions to export response data to SPSS using Python (#2555) (Gabriel Jenik)
-Fixed issue #17488: Cannot view survey after updating to version 3.27.9 with custom twig extension (breaks survey) (#2518) (Gabriel Jenik)
-Fixed issue #17135: Activating public statistics option causes json to display (#2545) (Gabriel Jenik)
-Fixed issue #17067: Subquestion Relevance in array by column does not work (#2553) (Gabriel Jenik)
#Updated translation: Turkish by kayazeren
#Updated translation: Thai by tomzt
#Updated translation: Swedish by maxzomborszki
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Russian by kvolk2lim, vipgroup, watslaw
#Updated translation: Romanian by cdorin
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Lithuanian by simasj
#Updated translation: Japanese by d_inoue, yuasaron
#Updated translation: Hungarian by kkd
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 5.3.28 (build 220727) to 5.3.29 (build 220801) August 1, 2022
-Fixed issue #18284: Function editlocalsettings seems gone in master branch (#2550) (Gabriel Jenik)
-Fixed issue #18196: Property "Question.same_script" is not defined. (#2469) (Denis Chenu)
-Fixed issue #18006: Unable to use statCountIf to have a "unicity" control (#2319) (Denis Chenu)


Changes from 5.3.27 (build 220725) to 5.3.28 (build 220727) July 27, 2022
-Fixed issue : Invalid var in 1st page (Denis Chenu)
-Fixed issue #18276: Changed HTML in arrays causing issues with JavaScript and CSS. (Olle Haerstedt)
-Fixed issue #18224: Can't set Survey Permissions for User Group when usercontrolSameGroupPolicy is false (skwzrd)
-Fixed issue #18212: Edit label sets - cannot drag&drop (#2514) (Gabriel Jenik)
-Fixed issue #18128: Broken javascript on welcome page (#2381) (Denis Chenu)
-Fixed issue #18119: Batch Edit: Dates are saved as Y/N (#2492) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Japanese by d_inoue
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.3.26 (build 220720) to 5.3.27 (build 220725) July 25, 2022
-Fixed issue: When browsing responses the message "Showing filtered results" appears even though they are not filtered (Carsten Schmitz)
-Fixed issue #18243: ARIA Attribute role on Array question not correct. (#2512) (Denis Chenu)
-Fixed issue #18155: Translation missing in question editor (Gabriel Jenik)
-Fixed issue #17625: Untranslated texts (Carsten Schmitz)
-Fixed issue #17458: Check integrty broke fpor subquestion with only number (#2313) (Denis Chenu)
#Updated translation: Swedish by maxzomborszki
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.25 (build 220718) to 5.3.26 (build 220720) July 18, 2022
-Fixed issue: Multiple choice questions turned into image select (Carsten Schmitz)
-Fixed issue #18255: use findAll() instead of findAllByAttributes() (#2517) (Marko Bischof)
#Updated translation: Ukrainian by Oksana
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Mongolian by amidral
#Updated translation: Lithuanian by simasj
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by kkd
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Georgian by llasha, riversampling1
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Chinese (Simplified) by zengqing, Zoctan
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.24 (build 220711) to 5.3.25 (build 220718) July 18, 2022
-Fixed issue: Error when trying to export participants from CPDB (Carsten Schmitz)
-Fixed issue #18239: "Theme options for this survey group" gridview filter not working (Gabriel Jenik)
-Fixed issue #18141: changing display mode from extended to compact in survey responses windows causes freeze (Gabriel Jenik)
-Fixed issue #18117: Error in captcha challenge image generation (#2516) (Adam Zammit)
-Fixed issue #17671: Grammar Correct: User management -> Selected user(s) (Gabriel Jenik)
-Fixed issue #16328: invite_participants exits on first error (#2508) (Gabriel Jenik)


Changes from 5.3.23 (build 220705) to 5.3.24 (build 220711) July 11, 2022
-Fixed issue: Missing minimum value restriction for login retries/ban time (Carsten Schmitz)
-Fixed issue: Better control on archive export (Gabriel Jenik)
-Fixed issue #18235: No control on response and token export on survey archive export (Gabriel Jenik)
-Fixed issue #18220: Question image theme doesn't seem to work (#2497) (Gabriel Jenik)
-Fixed issue #18085: Renamed custom theme not updated in global survey settings (#2436) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd


Changes from 5.3.22 (build 220628) to 5.3.23 (build 220705) July 5, 2022
-Fixed issue: Some minor performance fix (Carsten Schmitz)
-Fixed issue: Applying original theme option on survey theme import did not work (Carsten Schmitz)
-Fixed issue [security] #18042: Path-relative stylesheet import (PRSSI) vulnerability (#2374) (Gabriel Jenik)
-Fixed issue #18209: Missing RemoteControl function to get the field mapping (#2479) (Gabriel Jenik)
-Fixed issue #18201: Unable to import LSA file with MSSQL and debug set (#2473) (Denis Chenu)
-Fixed issue #18189: Fonts showing differently on mobile Vs desktop (#2488) (Gabriel Jenik)
-Fixed issue #18146: Unable to use "other" as subquestion code (#2443) (Denis Chenu)
-Fixed issue #18136: Core plugin PasswordRequirement shows duplicate setting fields (#2452) (Denis Chenu)
-Fixed issue #18116: Ability to disable animation layer regarding saving in header section (#2462) (Gabriel Jenik)
-Fixed issue #18092: File upload show title/comment=off not yet fully respected (#2427) (Gabriel Jenik)
-Fixed issue #18073: Can't change reminder / invitation date (#2420) (Gabriel Jenik)
-Fixed issue #17952: Command action potentially try to open unneeded session (#2293) (Denis Chenu)
-Fixed issue #17938: Deleting first question group jumps to system frontpage (#2413) (Gabriel Jenik)
-Fixed issue #17881: Question code / ID on quick translation screen showing question text not ID making it impossible to translate surveys (#2357) (Gabriel Jenik)
-Fixed issue #17836: Adding a "smiley" to a question creates an image that does not survive upgrades (Carsten Schmitz)
-Fixed issue #17655: Launch survey via token link : unclear icon (#2449) (Denis Chenu)
#Updated translation: Zulu by erik.lamontagne
#Updated translation: Thai by tomzt
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni, ritapas
#Updated translation: Italian (Informal) by lfanfoni, ritapas
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by arnaud21, aschwey, b00z00, c_schmitz, DenisChenu, jayce, JMI, Xave
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Deutsch -AT by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Chinese (Simplified) by duestin, FangZhijian, johnxan, zengqing, zhanginshanghai


Changes from 5.3.21 (build 220620) to 5.3.22 (build 220628) June 27, 2022
-Fixed issue: Class CHtml not found after user deletion (Carsten Schmitz)
-Fixed issue #18185: Error message "No scope _renderErrorString" when trying to update (Carsten Schmitz)
-Fixed issue #18171: Timings are not saved on MSSQL DB (#2477) (Denis Chenu)
-Fixed issue #18153: 'Export this question to PDF' button in View Statistics - HTML does nothing (#2457) (Gabriel Jenik)
-Fixed issue #18108: Unable to save existing question with button (#2440) (Denis Chenu)
-Fixed issue #18101: Spinning hexagon continues to spin although file is correctly downloaded (#2454) (Gabriel Jenik)
-Fixed issue #18094: Broken view in uploader (#2438) (Gabriel Jenik)
-Fixed issue #17804: InputOnDemand is not loading all prior rows when navigating back (#2475) (Gabriel Jenik)
-Fixed issue #17700: Custom logo disappears in extended themes (#2459) (Gabriel Jenik)


Changes from 5.3.20 (build 220615) to 5.3.21 (build 220620) June 20, 2022
-Fixed issue #18175: html editor iframe did not take whole available place (#2463) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by jelen1
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.19 (build 220607) to 5.3.20 (build 220615) June 15, 2022
-Fixed issue: Plugin calling readConfigFile() in init() caused inf loop (Tim Willig)
-Fixed issue #18135: Cant get all question attributes with API (Postman) (#2445) (Gabriel Jenik)
-Fixed issue #17976: Bad place for pencil in edit question (#2455) (Gabriel Jenik)
-Fixed issue #17740: Script : Set for all languages didn't work (#2228) (Gabriel Jenik)
#Updated translation: Slovak by c_schmitz, jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Indonesian by ysulistya
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Chinese (Simplified) by FangZhijian


Changes from 5.3.18 (build 220530) to 5.3.19 (build 220607) June 7, 2022
-Fixed issue: Question organizer not working (Carsten Schmitz)
-Fixed issue: #18029 - Removed html tags in emails for v5 (#2446) (François Charles Hébert)
-Fixed issue #18158: Property "CDbCriteria.qid" is not defined status returned by delete_question (#2444) (Edgar R. M)
-Fixed issue #18129: Check of json data for upload question (#2433) (Denis Chenu)
-Fixed issue #18114: Permission will now be checked for user when opening list questions by link/url (#2423) (Patricia Stell)
-Fixed issue #18110: Unable to get empty help in question attributes (#2421) (Denis Chenu)
-Fixed issue #18026: Session expire message when submit button is clicked twice (#2337) (Gabriel Jenik)
-Fixed issue #17837: Directly show edit mode: some quirks (#2441) (Gabriel Jenik)
-Fixed issue #14909: Improve language consistency (Carsten Schmitz)
#Updated translation: Valencian by joamuran, vbraque
#Updated translation: Turkish by kayazeren
#Updated translation: Thai by tomzt
#Updated translation: Slovak by c_schmitz, dusanm, jelen1, sweetakasha
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: French (France) by arnaud21, b00z00, BenoitBouvarel, c_schmitz, DenisChenu, janolap1, Qat, ulysse68, Xave
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Chinese (Simplified) by duestin, FangZhijian, zengqing, zhanginshanghai


Changes from 5.3.17 (build 220525) to 5.3.18 (build 220530) May 30, 2022
-Fixed issue #18160: [security] Update jquery-ui to 1.13.1 (Carsten Schmitz)
-Fixed issue #18150: Survey not properly resuming and showing blank page (#2442) (Gabriel Jenik)
-Fixed issue #18086: Custom 'other' label text not applied to Bootstrap button layout (Gabriel Jenik)
-Fixed issue #18060: 'Save as default values' question setting not working properly (#2386) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by c_schmitz, marcelovincenzi, samarta
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Finnish by jeskiv, Jmantysalo
#Updated translation: Croatian by rovinj


Changes from 5.3.16 (build 220523) to 5.3.17 (build 220525) May 25, 2022
-Fixed issue: Export responses does not work on MSSQL (Carsten Schmitz)
-Fixed issue: Cannot import a survey archive with timings on MSSQL (Carsten Schmitz)
#Updated translation: Swedish by joho1968, maxzomborszki
#Updated translation: Spanish (Spain) by aesteban, albertodominguez, Ignacio, ireneoh
#Updated translation: Slovak by c_schmitz, jelen1
#Updated translation: Mongolian by amidral
#Updated translation: Maltese by gabrieljenik
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.3.15 (build 220519) to 5.3.16 (build 220523) May 23, 2022
-Fixed issue: Invalid session key error message when listing groups with RemoteControl (#2376) (hanszoons)
-Fixed issue #18113: [security] Any admin user can read any question attributes (Patricia Stell)
-Fixed issue #18100: Custom question attributes not available in some twig files (#2418) (Gabriel Jenik)
-Fixed issue #18064:  'Notification & data' dialog does not load when debug  mode is active (#2412) (Gabriel Jenik)
-Fixed issue #18045: User details last login is not shown completed (#2402) (Gabriel Jenik)
-Fixed issue #18039: Survey participant menu entry not shown even though participant survey permission was given (#2414) (Gabriel Jenik)
-Fixed issue #18031: Question editing broke with PHP warning with deleted questionthemes (#2425) (Denis Chenu)
-Fixed issue #18020: Notification emails are sent in the base language (#2364) (Gabriel Jenik)
-Fixed issue #17994: Comments at question type "List with comments" are missing at print answer overview (#2362) (Gabriel Jenik)
-Fixed issue #17987: Quota url needs to be decoded (#2396) (Denis Chenu)
-Fixed issue #17980: Text import crashing with just exported survey  (#2378) (Denis Chenu)
-Fixed issue #17978: Public stat show all response and not only submitted (#2389) (Gabriel Jenik)
-Fixed issue #17852: SPSS data file doesn't include participants records (#2383) (Gabriel Jenik)
-Fixed issue #17709: GUI setting for DB session lifetime does not apply (#2416) (Denis Chenu)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto


Changes from 5.3.14 (build 220516) to 5.3.15 (build 220519) May 19, 2022
-Fixed issue #18127: Unable to view questions using answer options when using MSSQL (Carsten Schmitz)
-Fixed issue #18076: Input on demand question type not working when setting multiple rows (#2408) (Gabriel Jenik)
-Fixed issue #17962: Export fails when called from a Cron process or console application (#2419) (Gabriel Jenik)
-Fixed issue #17900: Response date is incorrect when there is a mis-match in date format (#2361) (Gabriel Jenik)
-Fixed issue #17889: Setting to correct server time not taken into account when sending email invitations (#2401) (Gabriel Jenik)
-Fixed issue #16154: Not all files imported with custom question theme (#2409) (Gabriel Jenik)
-Fixed issue #14909: Improve language consistency (Carsten Schmitz)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by c_schmitz, jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: French (France) by DenisChenu, Xave
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.3.13 (build 220509) to 5.3.14 (build 220516) May 16, 2022
-Fixed issue: Wrong link to survey in storage overview and in permission error in email templates (Carsten Schmitz)
-Fixed issue: "View summary of all available fields" JS was broken (Tim Willig)
-Fixed issue #18097: Data policy checkbox has confusing location (Carsten Schmitz)
-Fixed issue #18091: Default location for map integration in the short text question type is not working (Carsten Schmitz)
-Fixed issue #18087: Focus is jumping in the survey structure (#2407) (Gabriel Jenik)
-Fixed issue #18041: [security] KCFInder using old JQuery/jQuery UI version (#2373) (Gabriel Jenik)
-Fixed issue #18027: Unable to create a label set (#2347) (Gabriel Jenik)
-Fixed issue #17916: Sorting of answer options in statistics screen (Carsten Schmitz)
-Fixed issue #17678: VV export didn't shown sub question (#2283) (Denis Chenu)
#Updated translation: Swedish by maxzomborszki
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by c_schmitz, jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Hungarian by kkd
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.12 (build 220502) to 5.3.13 (build 220509) May 9, 2022
-Fixed issue: beforeActivate plugin event doesn't happen (#2406) (Denis Chenu)
-Fixed issue #18066: Method upload_file does not honor $FileName argument in response (Edgar Ramírez)
-Fixed issue #18063: Expression manager show false error when editing question (#2388) (Denis Chenu)
-Fixed issue #18061: Import users via JSON always shows "Wrong definition!" (#2400) (Denis Chenu)
-Fixed issue #18031: Broken theme broke with 500 error (#2390)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by c_schmitz, dusanm, jelen1, sweetakasha
#Updated translation: Romansh by fhgraubuenden
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Lithuanian by simasj
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by kkd
#Updated translation: French (France) by DenisChenu, frederic93190
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic
#Updated translation: Bulgarian by deananiev


Changes from 5.3.11 (build 220425) to 5.3.12 (build 220502) May 2, 2022
+New feature #18017: Have a solution to force expression as static (#2327) (Denis Chenu)
-Fixed issue: Kurdish (Kurmanji) is shown as RTL language but it is LTR (Carsten Schmitz)
-Fixed issue #18056: On the data entry screen, questions are scattered- in random order (#2375) (Gabriel Jenik)
-Fixed issue #18050: Admin notification email sent out evem when disabled (#2370) (Gabriel Jenik)
-Fixed issue #18048: Error message when managing ComfortUpdate key and key is expired (Carsten Schmitz)
-Fixed issue #18047: Conditional filters attachments for confirmation mail doesn't work (#2367) (Denis Chenu)
-Fixed issue #18036: Database error when renumbering a scenario (#2354) (Gabriel Jenik)
-Fixed issue #18035: Conditions does not work for all in one surveys  (#2355) (Denis Chenu)
-Fixed issue #18019: 500 error in question edition (bad code on question) (#2343) (Gabriel Jenik)
-Fixed issue #17984: Using RemoteControl method list_questions does not return subquestions (#2345) (Gabriel Jenik)
-Fixed issue #17972: events are dispatched if the plugin is deactivated (#2334) (Denis Chenu)
-Fixed issue #17955: newtest/Y in URL is not clearing session (#2295) (Denis Chenu)
-Fixed issue #17869: User list in Survey group permission management is unclear (#2227) (Denis Chenu)
-Fixed issue #17864: Regenerate questions codes returns CDbCommand failed to execute the SQL statement: Incorrect syntax near the keyword 'group' (#2344) (Gabriel Jenik)
-Fixed issue #17862: Invalid url in admin (usage of HTTP_HOST) (#2282) (Gabriel Jenik)
-Fixed issue #17811: Theme options for logo and background images are not saved (#2336) (Gabriel Jenik)
-Fixed issue #17739: list_surveys JSON-RPC API method does not obey  if set (#2346) (Gabriel Jenik)
-Fixed issue #17174: Array dual scale doesn't show previously selected value when come back to same page (#2371) (Gabriel Jenik)
-Fixed issue #14123: Slider left/right labels not displayed correctly on iPad (#2369) (Gabriel Jenik)
#Updated translation: Thai by tomzt
#Updated translation: Swedish by joho1968, maxzomborszki
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by c_schmitz, dusanm, jelen1, klingja, sweetakasha
#Updated translation: Russian by kvolk2lim, vipgroup
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Brazil) by samarta, tamiel
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Kyrgyz by kmaksat
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Japanese by d_inoue
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Hungarian by c_schmitz, kkd, pivostar
#Updated translation: Hindi by ajparag, c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by AlainR, aschwey, b00z00, c_schmitz, DenisChenu, eddylackmann, janolap1, riqcles
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by rovinj


Changes from 5.3.10 (build 220419) to 5.3.11 (build 220425) April 25, 2022
-Fixed issue: [security] Minor XSS issue in plugin overview - reported by Podalirius (podalirius.net/en/) (Carsten Schmitz)
-Fixed issue: Creation date not properly shown in user list (Carsten Schmitz)
#Updated translation: Slovenian by c_schmitz, dusan
#Updated translation: Slovak by c_schmitz, jelen1
#Updated translation: Russian by kvolk2lim, vipgroup
#Updated translation: Japanese by d_inoue
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.9 (build 220411) to 5.3.10 (build 220419) April 19, 2022
-Fixed issue #17902: Question theme error: Missing metadata (Type: M) (#2317) (Gabriel Jenik)
#Updated translation: Turkish by kayazeren
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Slovak by c_schmitz, dusanm, jelen1, sweetakasha, wargo
#Updated translation: Russian by imnetxiin, likeleto, MINForm, TristisOris, vipgroup
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Lithuanian by simasj
#Updated translation: Kyrgyz by kmaksat
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Chinese (Taiwan) (Traditional) by CTFang, imacat, sylsylsylvie, TuTu_chen, Yeeeeeet


Changes from 5.3.8 (build 220404) to 5.3.9 (build 220411) April 11, 2022
-Fixed issue #18018: Static string variable can break expression (#2328) (Denis Chenu)
-Fixed issue #18012: Usage of static suffix in condition can broke JS (Denis Chenu)
-Fixed issue #18008: Broken condition using self.sgqa (static) (#2326) (Denis Chenu)
-Fixed issue #17989: Check integrity delete all existing condition (#2325) (Denis Chenu)
-Fixed issue #17968: conditions designer does not show the right questions to select (#2332) (Gabriel Jenik)
-Fixed issue #17929: Bad code can be entered and saved in answer code (#2331) (Denis Chenu)
-Fixed issue #17895: Error in multiple-numeric "Equals sum value" setting (#2329) (Denis Chenu)
-Fixed issue #17882: Base language for new surveys is English instead of default language (#2333) (Gabriel Jenik)
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Thai by tomzt
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Spanish (Chile) by ireneoh
#Updated translation: Slovenian by Aambro, c_schmitz, dusan, lado, parsifal, tejac
#Updated translation: Slovak by jelen1
#Updated translation: Romanian by c_schmitz, cdorin, filipguttman
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Brazil) by tamiel
#Updated translation: Portuguese (Brazil) by femariso
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Lithuanian by simasj
#Updated translation: Lithuanian by c_schmitz, rolasj, simasj
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Japanese by d_inoue
#Updated translation: Hungarian by tdombos
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by AlainR, aschwey, b00z00, DenisChenu, dregad, eddylackmann, frederic93190
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.3.7 (build 220328) to 5.3.8 (build 220404) April 4, 2022
-Fixed issue [security] : Missing password policy when saving a survey (#2285) (Denis Chenu)
-Fixed issue #17982: Malformed DSN when using MySQL socket and DB name during installation (#2311) (Valerio Bozzolan)
-Fixed issue #17974: Text input with numbers only are not filtered (#2308) (Denis Chenu)
-Fixed issue #17973: Error 404 for statisctics_user/action (#2310) (Gabriel Jenik)
-Fixed issue #17966: twig processString assumes wrong question Id (#2315) (Denis Chenu)
-Fixed issue #17963: Numbers on text question does not detect white space (#2306) (Denis Chenu)
-Fixed issue #17846: Expression manager on file upload question type don't work on same page (#2298) (Gabriel Jenik)
-Fixed issue #17602: Errors while installing 5.1 with MySQL 8 and InnoDB (#2182) (Gabriel Jenik)
-Fixed issue #15057: Translation screen not working correctly when there are long question text (#2297) (Gabriel Jenik)
#Updated translation: Slovak by c_schmitz, dusanm, jelen1, sweetakasha
#Updated translation: Japanese by d_inoue
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni


Changes from 5.3.6 (build 220321) to 5.3.7 (build 220328) March 28, 2022
#Updated translation: Valencian by joamuran, vbraque
#Updated translation: Slovak by jelen1, myrdyn
#Updated translation: Slovak by c_schmitz, jelen1, sweetakasha
#Updated translation: Romansh by htwchur
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa, stcknstck
#Updated translation: Italian by lfanfoni, lfortunato, luciano.parrilla, usastice
#Updated translation: Italian (Informal) by lfanfoni, luciano.parrilla
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Catalan by qualitatuvic
#Updated translation: Albanian by ardian_klgj, eniisula


Changes from 5.3.5 (build 220314) to 5.3.6 (build 220321) March 21, 2022
-Fixed issue #17964: View saved but not submitted responses don't work (#2299) (Gabriel Jenik)
-Fixed issue #17940: Array filter in combination with 'equals sum value' feature does not sum up values correctly (#2288) (Gabriel Jenik)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.4 (build 220309) to 5.3.5 (build 220314) March 14, 2022
-Fixed issue: Downloading a single file was not possible if file path is symlinked (Carsten Schmitz)
-Fixed issue: Database exception when running survey and db update has not been done yet… (#2289) (Patricia Stell)
-Fixed issue #17942: Question cannot be deleted if another deleted question had a condition pending on it (Carsten Schmitz)
-Fixed issue #17922: ComfortUpdate deletes essential files (Carsten Schmitz)
-Fixed issue #17906: Label set doesn't load (#2287) (Gabriel Jenik)
-Fixed issue #17374: aSurveyInfo.datasecurity_notice_label do not return only the label (#2281) (Denis Chenu)
-Fixed issue #17321: Array question are not split up on mobile devices when using vanilla theme (Gabriel Jenik)
#Updated translation: Spanish (Spain) by ireneoh
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Japanese by nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.3 (build 220307) to 5.3.4 (build 220309) March 8, 2022
-Fixed issue: Font is looking different for various question types in statistics response filter (#2085) (Gabriel Jenik)
-Fixed issue: Duplicate ComfortUpdate checker plugin (#2276) (Tim Willig)
-Fixed issue #17935: See only general settings on global and group survey settings (Olle Haerstedt)
-Fixed issue #17927: Error on database update when using Postgres (Carsten Schmitz)
-Fixed issue #17926: No quotas adjustable (#2280) (Gabriel Jenik)
-Fixed issue #17873: Remote Control `delete_language` fails to remove language (#2235) (Edgar Ramírez)
-Fixed issue #17844: Deleting or adding in the middle of a loaded label set not possible (#2279) (Gabriel Jenik)
-Fixed issue #17677: Valid TSV file can not be used in VV import (#2273) (Denis Chenu)
#Updated translation: Spanish (Spain) by DarioRoig, Ignacio, ignaciogros, ireneoh, segui
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.2 (build 220302) to 5.3.3 (build 220307) March 7, 2022
-Fixed issue #17773: Code name change while we updated from Edit Question screen (encuestabizdevgit)
#Updated translation: Spanish (Spain) by aesteban, c_schmitz, DarioRoig, Ignacio, ignaciogros, ireneoh, segui, valdomir, xtingray
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.3.1 (build 220301) to 5.3.2 (build 220302) March 2, 2022
-Fixed issue: Error on updating database (Carsten Schmitz)
-Fixed issue #17922: ComfortUpdate deletes essential files (Carsten Schmitz)
-Fixed issue #17830: LS Expression in Bootstrapbuttons answer not working (#2263) (Gabriel Jenik)


Changes from 5.3.0 (build 220228) to 5.3.1 (build 220301) March 1, 2022
-Fixed issue #17917: A non-recoverable error happened during the update when using MSSQL (#2275) (Denis Chenu)
-Fixed issue #17915: Error accessing general settings (Olle Haerstedt)


Changes from 5.2.14 (build 220214) to 5.3.0 (build 220228) February 28, 2022
+New feature #17640: Question theme - bootstrap styling of dropdown boxes (#2064) (Adam Zammit)
+New feature #17520: Auto-create LDAP users without bind DN (Martin Kofahl)
+New feature #17477: Make it possible to use answer option text in expression script. (#2155) (Denis Chenu)
+New feature #15750: Send emails only to participants with incomplete responses (#2162) (Gabriel Jenik)
+New feature #14782: Possibility to override single translations by database (#2213) (Denis Chenu)
-Fixed issue: [security] Update packages and document package building process for js packages (#2250) (Jessica Höck)
-Fixed issue: Wrong language description for Valencian (Carsten Schmitz)
-Fixed issue: Upgrade JavaScript packages to a newer version (Jessica Höck)
-Fixed issue: Survey participant data with quotes is not properly exported to CSV (#2072) (Vilius Šumskas)
-Fixed issue: Statistics form looking garbled when using Portuguese (#2260) (Tim Willig)
-Fixed issue: Purging obsolete directory files not working after storage calculation (Carsten Schmitz)
-Fixed issue: On installation InnoDB is used instead of MyISAM for database tables (Carsten Schmitz)
-Fixed issue: Notice when showing statistics (Frithjof)
-Fixed issue: Not all response columns begin exported if PHP setting max_input_vars is too low (Carsten Schmitz)
-Fixed issue: Missing validation for start language in data entry (Carsten Schmitz)
-Fixed issue: Close button not working after import tokens from LDAP (Mantis Development)
-Fixed issue #T1358: Label Sets: Export multiple label sets - Export Button disabled state (#2123) (Jessica Höck)
-Fixed issue #T1055: Optimization open/closed-access mode and survey activation screens (#2138) (Jessica Höck)
-Fixed issue #17912: Sporadic "There are empty question groups in this survey " error (#2270) (Mark Hanna)
-Fixed issue #17903: Incorrect IP address used when having multiple forward from proxies (Tassoman)
-Fixed issue #17901: When using RemoteControl and uploading a 'lsa' file, the survey name parameter was not used (Gabriel Cavalari)
-Fixed issue #17848: Strings appearing always in english (#2261) (Gabriel Jenik)
-Fixed issue #17838: Add javascript in script tab only works for superadmin (#2266) (Gabriel Jenik)
-Fixed issue #17834: When editing the assessment message, the previously inputted text disappears (#2256) (Gabriel Jenik)
-Fixed issue #17831: Database error when upgrading from 2.0.6 to 5.2.9 when using MSSQL (Carsten Schmitz)
-Fixed issue #17798: Set authwebserver as default didn't deactivate AuthDB usage (#2210) (Gabriel Jenik)
-Fixed issue #17787: open_base_dir + debug can throw error when load some question type. (#2175) (Denis Chenu)
-Fixed issue #17762: vulnerable verson of jQuery used in devbridge-autocomplete (#2160) (Denis Chenu)
-Fixed issue #17762: vulnerable verson of jQuery included in qtip2 (#2161) (Denis Chenu)
-Fixed issue #17685: When adding a new participant, user is able to Save without adding any information and a blank record is save (#2194) (Gabriel Jenik)
-Fixed issue #17647: Strange sort order of question groups in statistics (Steffen Moser)
-Fixed issue #17492: Refactor updatedb helper into multiple command classes (#2163) (Olle Härstedt)
-Fixed issue #17322: [security] Separate settings for administration & participants for handling failed login attempts (#2251) (Patricia Stell)
-Fixed issue #12105: Scroll bar partially broken at browse response screen (#2262) (Gabriel Jenik)
#Updated translation: Valencian by vbraque
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Portugal) by algarvio, c_schmitz, samarta
#Updated translation: Portuguese (Brazil) by c_schmitz
#Updated translation: Japanese by nomoto
#Updated translation: German by c_schmitz
#Updated translation: German by actxcellence, Basil, c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo, tigger
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.2.13 (build 220207) to 5.2.14 (build 220214) February 14, 2022
-Fixed issue: [security] Possible XSS in file uploader (Carsten Schmitz)
-Fixed issue: [security] Missing brute-force protection when loading a survey (Carsten Schmitz)
-Fixed issue #17884: Reflected Cross-site scripting (XSS) on CRSF value (#2245) (Denis Chenu)
-Fixed issue #17879: Remote Control delete_question error message is too generic (Edgar Ramírez)
-Fixed issue #17875: list_participants API call ignoring the iStart parameter (rouuuge)
-Fixed issue #17833: Multiple choice: 'Text input box size' has no effect. (#2223) (Gabriel Jenik)
-Fixed issue #17770: New Version: Error with answer codes (#2222) (Gabriel Jenik)
-Fixed issue #16230: Reload survey (token answer persistence) don't really reload  (#2211) (Denis Chenu)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Brazil) by c13c83, lucaspcs, paulobartos
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: French (France) by DenisChenu
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic


Changes from 5.2.12 (build 220131) to 5.2.13 (build 220207) February 7, 2022
-Fixed issue: [security] Possible XSS in file upload question type (Carsten Schmitz)
-Fixed issue: Title & comment not shown for file upload question when navigating back and forth (Carsten Schmitz)
-Fixed issue: File upload question type preview not working (Carsten Schmitz)
-Fixed issue: File upload question type popup not showing correct title (Carsten Schmitz)
-Fixed issue: Downloading a single file from response does not work on Winwdows (Carsten Schmitz)
-Fixed issue: Deleting a single file from response does not work (Carsten Schmitz)
-Fixed issue #17781: After creating a user, the modal for setting permission is too narrow (#2221) (Gabriel Jenik)
-Fixed issue #17718: In file upload question type any file with non-alphanumeric multi-byte characters may not properly show (Carsten Schmitz)
#Updated translation: Turkish by kayazeren
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by d_inoue, nomoto
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.2.11 (build 220124) to 5.2.12 (build 220131) January 31, 2022
-Fixed issue: Password complexity for suggested passwords being too low (Carsten Schmitz)
-Fixed issue #17851: Placeholder {name.NAOK} gets replaced with survey title (#2219) (Denis Chenu)
-Fixed issue #17776: New security settings (#2198) (Gabriel Jenik)
-Fixed issue #17518: Non-ascii characters in email addresses (#2193) (Gabriel Jenik)
-Fixed issue #16423: PasswordRequirement settings saved but not loaded (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Iloko by c_schmitz
#Updated translation: Hungarian by anikoken, arubicsek, debugz, dorion, kkd, vargazsoltivan
#Updated translation: Hiligaynon by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Cebuano by c_schmitz
#Updated translation: Catalan by qualitatuvic


Changes from 5.2.10 (build 220118) to 5.2.11 (build 220124) January 24, 2022
-Fixed issue: SQL error when trying to import duplicate survey language settings (Carsten Schmitz)
-Fixed issue: If no language is set the email body might be empty for invitations/reminders (Carsten Schmitz)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Finnish by Jmantysalo, tigger
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic


Changes from 5.2.9 (build 220110) to 5.2.10 (build 220118) January 18, 2022
-Fixed issue: No sql exception when gid parameter is empty on load view for question group (#2200) (Ahmed Galad's)
-Fixed issue #17831: Database error when upgrading from 2.0.6 to 5.2.9 when using MSSQL (Carsten Schmitz)
-Fixed issue #17815: Error 404 when we press the close button (#2204) (Gabriel Jenik)
-Fixed issue #17802: Error shown when try to load a saved survey (#2197) (Gabriel Jenik)
-Fixed issue #17801: No way to go to submit button in create group or question form with keyboard (#2195) (Gabriel Jenik)
-Fixed issue #17791: 'Condition' vs. 'Relevance equation' (#2199) (Gabriel Jenik)
-Fixed issue #17774: Dual scale answer texts are not exported correctly when using full text option (#2190) (Gabriel Jenik)
-Fixed issue #17720: Wrong statistics with Other answers in single choice questions (#2203) (Gabriel Jenik)
-Fixed issue #17618: Conversion failed when converting the nvarchar value 'NaN' to data type int (#2166) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky


Changes from 5.2.8 (build 220103) to 5.2.9 (build 220110) January 10, 2022
-Fixed issue: Deactivate / Stop Survey Message Change (#2174) (Jessica Höck)
-Fixed issue #17751: Date stamped throw php notice when data edit and debug (#2189) (Denis Chenu)
#Updated translation: Turkish by canbekcan, cetinkaya, kayazeren
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Portugal) by c_schmitz, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Norwegian (Bokmål) by peterhol, pmonstad
#Updated translation: Finnish by c_schmitz, Jmantysalo
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by coeneisma, Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by c_schmitz, jelen1, VBraun
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by rovinj


Changes from 5.2.7 (build 211221) to 5.2.8 (build 220103) January 3, 2022
-Fixed issue [security] #17800: Non filtred HTML shown for Question Attribute (#2185) (Denis Chenu)
-Fixed issue [security] #17795: XSS in token browse (#2187) (Denis Chenu)
-Fixed issue #17790: KCFinder Image Browse Server not working due to incorrect cookieDomain (#2176) (Denis Chenu)
-Fixed issue #17765: The order of subquestions is not correct when exporting to printable survey (Carsten Schmitz)
-Fixed issue #17765: The order of subquestions is not correct when exporting to QueMXL/QueMXL PDF (Carsten Schmitz)
-Fixed issue #17725: Unclear error message (#2171) (Gabriel Jenik)
-Fixed issue #17711: Cannot export selected responses (only range) (#2179) (Gabriel Jenik)
-Fixed issue #17799: Language attribute are not shown in question summary (Denis Chenu)


Changes from 5.2.6 (build 211213) to 5.2.7 (build 211221) December 21, 2021
-Fixed issue: Error shown when re-sending login data (Carsten Schmitz)
-Fixed issue #17732: Direct access to response browsing break (#2167) (Gabriel Jenik)
-Fixed issue #13660: Core question types & themes are not translated in question selector (#2181) (Carsten Schmitz)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Inuktitut by c_schmitz
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Informal) by actxcellence, c_schmitz
#Updated translation: French (France) by AlainR, Antonin36, eddylackmann, sim.eesp
#Updated translation: Finnish by c_schmitz, Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Chinese (Hong Kong) (Traditional) by dominiclo
#Updated translation: Catalan by qualitatuvic


Changes from 5.2.5 (build 211207) to 5.2.6 (build 211213) December 13, 2021
-Fixed issue: Resend Login Data Popup Wording / Grammar Change (#2173) (Jessica Höck)
-Fixed issue: Error on unknown fields in survey_language_settings when importing survey from Cloud hosting (Carsten Schmitz)
-Fixed issue: Browse button in statistics not working (Carsten Schmitz)
-Fixed issue #17594: Token language does not work in upper case (Carsten Schmitz)
-Fixed issue #17140: Wrong message for Superadmin for outdated survey URL (Carsten Schmitz)
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Croatian by rovinj


Changes from 5.2.4 (build 211129) to 5.2.5 (build 211207) December 7, 2021
-Fixed issue: Standard deviation in statistics not working if data had no value (Carsten Schmitz)
-Fixed issue: One-click fixing of duplicate question codes not working on survey activation (Carsten Schmitz)
-Fixed issue: Missing loader image if LimeSurvey is installed in a subdirectory (Carsten Schmitz)
-Fixed issue: Cannot export only complete entries in VVExport (Carsten Schmitz)
-Fixed issue #17777: PGSQL CDbCommand issue in statistics (Denis Chenu)
-Fixed issue #17765: The order of the answer options not correct when exporting to printable survey or queXML (#2165) (Carsten Schmitz)
-Fixed issue #17646: Cannot import version 3 lsq file in to LS5 (#2168) (Gabriel Jenik)
#Updated translation: Slovak by jelen1
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Portugal) by femariso, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1, uradonline
#Updated translation: Czech (Informal) by jelen1


Changes from 5.2.3 (build 211122) to 5.2.4 (build 211129) November 29, 2021
-Fixed issue: SQL error on token import (depending on MySQL server configuration) when important invalid entries (Carsten Schmitz)
-Fixed issue: If selecting InnoDB database for MySQL not all tables were created in InnoDB format (Carsten Schmitz)
-Fixed issue: If admin email is too long the default settings for survey groups cannot properly created on upgrade (Carsten Schmitz)
-Fixed issue #17755: remotecontrol error status inconsistent (#2154) (Florian Fleck)
-Fixed issue #17734: Relevance equation for subquestion is not saved (#2148) (Gabriel Jenik)
-Fixed issue #17698: Change of email address for survey administrator confusing (#2152) (Gabriel Jenik)
-Fixed issue #17647: Strange sort order of question groups in statistics (#2143) (Denis Chenu)
-Fixed issue #17618: Conversion failed when converting the nvarchar value 'NaN' to data type int (#2158) (Gabriel Jenik)
-Fixed issue #17602: Errors while installing when using MySQL 8 and selecting InnoDB engine (Carsten Schmitz)
-Fixed issue #17594: Token language does not work in upper case (Carsten Schmitz)
-Fixed issue #17527: Validate before using updateAll (#2086) (Gabriel Jenik)
-Fixed issue #15992: Using Expression Manager with double quotes fails for end URL field (#2147) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by c_schmitz, Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by rovinj
#Updated translation: Chinese (Taiwan) (Traditional) by CTFang


Changes from 5.2.2 (build 211115) to 5.2.3 (build 211122) November 22, 2021
-Fixed issue: Error in RemoteControl API when using using set_question_properties (#2142) (Víctor Echeverría)
-Fixed issue T155: Sometimes editing survey participants doesn't show data (#2145) (Gabriel Jenik)
-Fixed issue #17734: Unable to use quote inside relevance of subquestion (Denis Chenu)
-Fixed issue #17729: Setting default answers for single choice question type (#2146) (Denis Chenu)
-Fixed issue #17696: Mass changing expiration date fails (except for superadmin) (#2144) (Gabriel Jenik)
#Updated translation: Sinhala by sayuri
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Portugal) by c_schmitz, samarta
#Updated translation: Portuguese (Portugal) by c_schmitz, holch, samarta
#Updated translation: Portuguese (Portugal) by c_schmitz, femariso, jchina, samarta
#Updated translation: Portuguese (Portugal) by c_schmitz, femariso, fermacedo, holch, marcelovincenzi, samarta
#Updated translation: German by c_schmitz, Hyperion, RobinBur, sur5r_
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, HonkXL, RobinBur
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.2.1 (build 211111) to 5.2.2 (build 211115) November 15, 2021
-Fixed issue: Error message "Unknown column 'owner_uid' in 'field list'"  when updating from 4.x (Carsten Schmitz)
-Fixed issue: Confusing message when the ComfortUpdate server is preparing the update package (Carsten Schmitz)
-Fixed issue #L41-T1509: Numeric questions prevent statistics from generating and display false data (Patrick Teichmann)
-Fixed issue #L41-T1509: Numeric questions prevent statistics from generating and display false data (#2127) (Patrick Teichmann)
-Fixed issue #17719: Question list not updated when adding/changing questions (Olle Haerstedt)
-Fixed issue #17717: Saving survey group permissions fails with error if auditlog plugin is active (#2141) (Vitauts Stočka)
-Fixed issue #17713: broken theme name in Survey general settings (#2140) (Vitauts Stočka)
-Fixed issue #17674: Impossible to add new Menu or New Menu Entry  (#2136) (Gabriel Jenik)
-Fixed issue #17637: wrong question order (#2139) (Vitauts Stočka)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by c_schmitz, rovinj


Changes from 5.2.0 (build 211110) to 5.2.1 (build 211111) November 11, 2021
-Fixed issue: Missing database commit in update 477 (Olle Haerstedt)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo


Changes from 5.1.18 (build 211101) to 5.2.0 (build 211110) November 10, 2021
-Fixed issue: Change mail to all users send button icon (Jessica Höck)
-Fixed issue: When survey is active - the Add Group - Add Questions buttons should be shown with a disabled state + tooltip (Jessica Höck)
-Fixed issue: Upgrade fails if token attribute column does not physically exist in participant list anymore (Carsten Schmitz)
-Fixed issue: Update 402 must remove all zero dates for MySQL (Olle Haerstedt)
-Fixed issue: Surveys - Survey Groups - Edit Survey Group (Jessica Höck)
-Fixed issue: Survey list - instead of List Survey in breadcrumb (Jessica Höck)
-Fixed issue: Settings - Export / Display - Should be just name Export - applied changes in question editor (Jessica Höck)
-Fixed issue: Settings - Export / Display - Should be just name Export (Jessica Höck)
-Fixed issue: Settings - Export / Display - Renamed Modal content (Jessica Höck)
-Fixed issue: Response browsing failing when using filtered view from statistics and setting an additional filter (Carsten Schmitz)
-Fixed issue: Replaced green save and close button with green save button in copy conditions view (Jessica Höck)
-Fixed issue: Reordered buttons in condition designer view (Jessica Höck)
-Fixed issue: Removed checked icon from save button in quick add conditions modal (Jessica Höck)
-Fixed issue: Removed button and added icon to button in quick-add modal inside conditions view (Jessica Höck)
-Fixed issue: Remove zero-dates for dbversion 139, 181, 183, 253, 290, 402 (MySQL only) (Olle Haerstedt)
-Fixed issue: Plugin Settings - Save and Save & Close buttons have wrong styling (#2062) (Jessica Höck)
-Fixed issue: Order of action buttons in edit group view (Jessica Höck)
-Fixed issue: Missing white close button and save icon in edit question group view (Jessica Höck)
-Fixed issue: Missing default survey group causing problems after upgrade (Carsten Schmitz)
-Fixed issue: Missing 'delete group' for delete button (#2053) (Jessica Höck)
-Fixed issue: Lock and collapse all button should be visible when survey is active (Jessica Höck)
-Fixed issue: List Surveys - Dropdown cut off (#2057) (Jessica Höck)
-Fixed issue: Left side spacing of first tab (overview) in "Global settings" (Jessica Höck)
-Fixed issue: It's possible that a survey has no survey group in permission check (Olle Haerstedt)
-Fixed issue: Integrity check not working when using MySQL8 (Carsten Schmitz)
-Fixed issue: Home-Icon in breadcrumb navigation (Jessica Höck)
-Fixed issue: Delete Question and Delete Group should be red and placed at the bottom of dropdown from Tools (Jessica Höck)
-Fixed issue: Database error when importing participants and language string is too long (Carsten Schmitz)
-Fixed issue: Database error when deleting a participant from CPDB and connected survey participant lists (Carsten Schmitz)
-Fixed issue: Create question theme folder recursively (Olle Haerstedt)
-Fixed issue: Change in wording for tooltip for changing groups and questions when a survey is active (Jessica Höck)
-Fixed issue: Change color of buttons to red (Jessica Höck)
-Fixed issue: Breadcrumb navigation of reorder and question/question groups tab (Jessica Höck)
-Fixed issue: Breadcrumb navigation of overview tab (Jessica Höck)
-Fixed issue: Added Back Button in conditions designer view (Jessica Höck)
-Fixed issue: Add button state to delete checked items button (Jessica Höck)
-Fixed issue: Optimize titles of modals (#2039) (Jessica Höck)
-Fixed issue: 'Execute survey' should be 'Run survey' with play icon (Jessica Höck)
-Fixed issue #T1415: Save and Close (#2096) (Jessica Höck)
-Fixed issue #T1398: Send reminders -  Inputs have wrong size (#2103) (Jessica Höck)
-Fixed issue #T1383: Survey lists - Survey group modal (#2069) (Jessica Höck)
-Fixed issue #T1382: Survey lists - Survey theme modal (#2065) (Jessica Höck)
-Fixed issue #T1380: Central Participant management - Export all participants modal (#2055) (Gabriel Jenik)
-Fixed issue #T136: Error Message Needs Rewording (#2129) (Gabriel Jenik)
-Fixed issue #T1329: Action buttons on plugin detail view: settings (#2098) (Jessica Höck)
-Fixed issue #T1328: Green bar above top bar is missing in plugin detail view (#2095) (Jessica Höck)
-Fixed issue #T1264: Menu navigation issues  (#2052) (Jessica Höck)
-Fixed issue #T1055: Optimization open/closed-access mode and survey activation screens (#2097) (Jessica Höck)
-Fixed issue #17688: When importing a group with question with default value, default values are not imported (#2132) (Gabriel Jenik)
-Fixed issue #17676: Survey End URL Description gets scrambled if using HTML special chars (#2130) (Gabriel Jenik)
-Fixed issue #17665: Update leads to database error integrity constraint violation because of duplicate entry (Olle Haerstedt)
-Fixed issue #17632: Basic and detailed admin notification email fails (#2131) (Gabriel Jenik)
-Fixed issue #17628: Inconsistent error message in case of soft mandatory (encuestabizdevgit)
-Fixed issue #17525: VVImport: "Exclude record IDs" ignores existing entries while it should force "renumber" (#2115) (Denis Chenu)
-Fixed issue #17224: When entering an invalid email when create token : lost all information (encuestabizdevgit)
-Fixed issue #17223: With mandatory attribute : lost all current value when create a token (encuestabizdevgit)
-Fixed issue #14955: Question relevance is not reassessed after group is shown (#2121) (Denis Chenu)
-Fixed issue #14302: Easy way to get token in a anonymous survey (super admin) (Denis Chenu)
-Fixed issue #12349: RTL languages not displayed correctly in the admin editor (encuestabizdevgit)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz, eddylackmann, Hyperion, richterd, sur5r_
#Updated translation: Dutch (Informal) by Han


Changes from 5.1.17 (build 211025) to 5.1.18 (build 211101) November 1, 2021
-Fixed issue: Update 446 should not create a session when called from command-line (Olle Haerstedt)
-Fixed issue: Db update fails with old survey_x table (#2120) (Olle Härstedt)
-Fixed issue: Cannot update to LimeSurvey5 from older LimeSurvey versions than 3 due to error in dbupdate 180 (Carsten Schmitz)
-Fixed issue: Cannot search for parent admin in user list (Carsten Schmitz)
-Fixed issue: Cannot browse response details in statistics (#2110) (Tim Willig)
-Fixed issue #17666: Previewing a survey leads to DB error messages from log system (#2118) (Denis Chenu)
-Fixed issue #17572: When adding a new participant the buttons are not properly working (#2104) (Gabriel Jenik)
-Fixed issue #17568: database update 450 fails (Patrick Teichmann)
-Fixed issue #16480: Empty logo causes under specific circumstances loops on the welcome page (#2058) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.1.16 (build 211020) to 5.1.17 (build 211025) October 25, 2021
-Fixed issue: Simple statistics breaking if survey contains a free text question (Carsten Schmitz)
-Fixed issue: SQL error when trying to deactivate an already deactivated survey (Carsten Schmitz)
-Fixed issue: Quartiles cannot be calculated if question is encrypted (Carsten Schmitz)
-Fixed issue: Missing information in question summary if question is encrypted (Carsten Schmitz)
-Fixed issue #17641: Close button on the 'Survey participant export options' does not work (#2088) (Gabriel Jenik)
-Fixed issue #17635: In a "de-informal" survey loading a label set as answers into a "List"-type question results in error (Carsten Schmitz)
-Fixed issue #17622: Cant export "Not completed" survey participant when "Anonymized responses" is set "No" (#2080) (Olle Härstedt)
-Fixed issue #17593: Generated answer code is too long (#2059) (Gabriel Jenik)
-Fixed issue #17548: If a slider is displayed vertically the position of max value is wrong (#2081) (Gabriel Jenik)


Changes from 5.1.15 (build 211011) to 5.1.16 (build 211020) October 20, 2021
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.1.14 (build 210927) to 5.1.15 (build 211011) October 11, 2021
-Fixed issue: Error when sorting by group ID in group list (Carsten Schmitz)
-Fixed issue #T424: Confusing message on survey import (#2075) (Gabriel Jenik)
-Fixed issue #17649: White page by deleting a participant in a survey (Olle Haerstedt)
-Fixed issue #17633: Changing Array (Texts) sub questions' label at runtime, manipulates question design (#2076) (Gabriel Jenik)
-Fixed issue #17598: Save and close button on label sets list screen not working as expected (#2061) (Gabriel Jenik)
-Fixed issue #17597: Back button on themes page not working as expected (#2067) (Gabriel Jenik)
-Fixed issue #17596: Close button on global survey settings not working as expected (#2063) (Gabriel Jenik)
-Fixed issue #17569: Unable to edit answer in single choice question after activate survey (#2054) (Gabriel Jenik)
-Fixed issue #17554: If a user has more than one email associated the methods mail_registered_participants and invite_participants fail (#2041) (Gabriel Jenik)
-Fixed issue #17549: Hint for page break (#2066) (Gabriel Jenik)
-Fixed issue #17526: Filter html_entity_decode at save (#2017) (Gabriel Jenik)
-Fixed issue #17504: Responses Batch deletion modal only opens the first time (#2046) (Gabriel Jenik)
-Fixed issue #17421: When upgrading from LS3 to LS5, plugin Manager can't be used if non-compatible plugins are found (Olle Haerstedt)
-Fixed issue #17416: Lost of Total and Remaining in multi numeric (#2077) (Gabriel Jenik)
-Fixed issue #17317: Missing green bar breadcrumbs when importing zip file resources (#2074) (Gabriel Jenik)
-Fixed issue #15608: No success message when deleting single custom attributes from CPDB (#2068) (Gabriel Jenik)
-Fixed issue #13601: {TIME} placeholder not working (#2060) (Gabriel Jenik)
#Updated translation: Xhosa by c_schmitz, erik.lamontagne
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Slovak by jelen1, jlcavazza
#Updated translation: Sinhala by sayuri
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Brazil) by c_schmitz, educaticteced
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by actxcellence, c_schmitz, Hyperion, lsurvey20, RobinBur
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Chinese (Hong Kong) (Traditional) by c_schmitz
#Updated translation: Bulgarian by peterx
#Updated translation: Azerbaijani by abdul42


Changes from 5.1.13 (build 210923) to 5.1.14 (build 210927) September 27, 2021
-Fixed issue #T1228: Close button does not work when attempting to abort importing participants from CSV file (#2051) (Gabriel Jenik)
-Fixed issue #17611: Updating from 2.05 or earlier throws error "Undefined function getDBConnectionStringProperty()" (Carsten Schmitz)
-Fixed issue #17608: Remove orphan labels before adding table unique constraint (Olle Haerstedt)
-Fixed issue #17592: Database update 450 fails (Patrick Teichmann)
-Fixed issue #17592: Call to a member function getColumn() on string when updating using MSSQL (Carsten Schmitz)
-Fixed issue #17557: Allowed image extensions are not properly shown in administration (Carsten Schmitz)
#Updated translation: Portuguese (Portugal) by samarta, tamiel
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 5.1.12 (build 210922) to 5.1.13 (build 210923) September 21, 2021
-Fixed issue #17608: Label sets have no language column in latest dbversion (Olle Haerstedt)
-Fixed issue #17528: Back-button on survey group permission fails (#2043) (Gabriel Jenik)
-Fixed issue #17512: Survey Logic File Syntax Error Summary Displays Incorrect Error Count (#2035) (Gabriel Jenik)
-Fixed issue #16792: Delete permission on Survey : no CRSF control (#2029) (Gabriel Jenik)
#Updated translation: Japanese by nomoto
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.1.11 (build 210920) to 5.1.12 (build 210922) September 20, 2021
-Fixed issue: Remove lime_ prefix from db update (Olle Haerstedt)
-Fixed issue #17606: Single data set summary is missing "last page" detail (Carsten Schmitz)
#Updated translation: Thai by adzpire, tomzt
#Updated translation: Portuguese (Portugal) by algarvio, effgarces, femariso, lucaspcs, marcelovincenzi, mauriciofurtado, samarta
#Updated translation: Japanese by nomoto
#Updated translation: Italian by lfanfoni, ritapas
#Updated translation: Italian (Informal) by lfanfoni, ritapas
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.1.10 (build 210913) to 5.1.11 (build 210920) September 20, 2021
-Fixed issue: Prevent failed saving when users enters too many characters for survey title in quick translation (Carsten Schmitz)
-Fixed issue: "List question groups" menu item not properly working after update (Carsten Schmitz)
-Fixed issue #17590: Role reseted after checkintegrity (#2036) (Gabriel Jenik)
-Fixed issue #17509: when exporting/importing surveys as "Tab-separated-values" encryption settings are lost (Patrick Teichmann)
-Fixed issue #17454: Unable to remove a user with survey permissions with friendly url enabled (#2037) (Gabriel Jenik)
-Fixed issue #14370: QueXML export (Print answers) of a ranking question showing name of available options instead of "Rank #" (#2033) (Adam Zammit)


Changes from 5.1.9 (build 210912) to 5.1.10 (build 210913) September 9, 2021
-Fixed issue: Remove prefix from database update (Olle Haerstedt)
-Fixed issue #17578: PSPP reports warnings when opening SPSS SAV file using Export to SAV (#2034) (Adam Zammit)


Changes from 5.1.8 (build 210910) to 5.1.9 (build 210912) September 8, 2021
-Fixed issue: Answer text missing in ranking question when printing response (Carsten Schmitz)
-Fixed issue: Remove url_encode for end URL (Olle Haerstedt)
#Updated translation: German by c_schmitz, DanielZ
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by jmontane, qualitatuvic


Changes from 5.1.7 (build 210908) to 5.1.8 (build 210910) September 7, 2021
Fixed issue #17576: Fixed wrong string in condition for update 450

Changes from 5.1.6 (build 210906) to 5.1.7 (build 210908) September 7, 2021
-Fixed issue #17568: Fixed "Invalid argument supplied for foreach" during update
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1, slansky

Changes from 5.1.5 (build 210830) to 5.1.6 (build 210906) September 6, 2021
-Fixed issue #17573: No confirmation email is sent if email is encrypted (Carsten Schmitz)
-Fixed issue #17563: When editing 'reminder sent' and set to yes, 'Completed' is automatically set to yes (Carsten Schmitz)
-Fixed issue #17522: SQL error when exporting responses (Olle Haerstedt)
-Fixed issue #17481: Error adding a large number of answer options (#2026) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.1.4 (build 210824) to 5.1.5 (build 210830) August 30, 2021
-Fixed issue #17538: Incorrect attribute applied to custom question theme style tag (Carsten Schmitz)
-Fixed issue #17535: Login with LDAP not working (Patrick Teichmann)
-Fixed issue #17535: Error when logging in with LDAP (#2019) (wolbernd)
-Fixed issue #17532: Panel Integration URL-Parameters not changeable (Patrick Teichmann)
-Fixed issue #17453: Strings not available for translation in GlotPress (#2010) (Gabriel Jenik)
-Fixed issue #17430: Untranslatable hint texts (#2018) (Gabriel Jenik)
-Fixed issue #17391: exporting responses as vv-file does not decrypt values (Patrick Teichmann)
-Fixed issue #17271: Print statistics are totally broken (near empty) (#1882) (Denis Chenu)
#Updated translation: Portuguese (Portugal) by cmonteiro, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Czech by jelen1, slansky
#Updated translation: Czech (Informal) by jelen1


Changes from 5.1.3 (build 210817) to 5.1.4 (build 210824) August 23, 2021
-Fixed issue: Fatal error when using unary operator on empty string (Carsten Schmitz)
-Fixed issue [security]: Disallow XML upload in survey resources (Mika Kulmala and Ville Kapanen at F-Secure) (Olle Haerstedt)
-Fixed issue [security]: Add missing url_encode filter to URL in Twig template (Mika Kulmala and Ville Kapanen at F-Secure) (Olle Haerstedt)
-Fixed issue #17521: HTML is not escaped in timer messages (Gabriel Jenik)
-Fixed issue #17519: LDAP not working when using URI with port (Carsten Schmitz)
-Fixed issue #17517: Doctype, title and other details seem to be filtered at email sending (Carsten Schmitz)
-Fixed issue #17495: Error when importing a question fails (#2013) (Gabriel Jenik)
-Fixed issue #17379: Question types can be uninstalled (#1939) (Gabriel Jenik)
-Fixed issue #17334: Soft mandantory question work only with popup (#1998) (Gabriel Jenik)
-Fixed issue #17333: Soft mandatory show as mandatory : produces an incomprehensible form (#1997) (Gabriel Jenik)
-Fixed issue #16720: Old/invalid question codes adjusted during LSS import do not get replaced (#2011) (Gabriel Jenik)
#Updated translation: Turkish by kayazeren
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Portuguese (Portugal) by effgarces, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: German by c_schmitz, Hyperion
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han


Changes from 5.1.2 (build 210813) to 5.1.3 (build 210817) August 16, 2021
-Fixed issue #17508: Links at ExpressionEngine descriptions not opening in new window/tab (Carsten Schmitz)
-Fixed issue #17409: Exporting responses with big data sets and activated encryption will timeout php memory limit, even with high settings (512M) (Patrick Teichmann)
-Fixed issue #17501: TSV export of survey with empty subquestion text has word "array" inserted instead (Carsten Schmitz)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.1.1 (build 210812) to 5.1.2 (build 210813) August 12, 2021


Changes from 5.1.0 (build 210811) to 5.1.1 (build 210812) August 12, 2021
-Fixed issue: Error while upgrading the database (Carsten Schmitz)
-Fixed issue: ComfortUpdate not working when one of the files to back up has 0 size (Carsten Schmitz)
-Fixed issue #17506: Error while upgrading a database when using MSSQL (Carsten Schmitz)


Changes from 5.0.13 (build 210804) to 5.1.0 (build 210811) August 11, 2021
+New feature: Add RPC function to delete a response using its ID (#1928) (arnaudbore)
+New feature #17226: Ability to export to SPSS .sav format (#1877) (Adam Zammit)
-Fixed issue: Wrong save button icon in edit label sets view. (Jessica Höck)
-Fixed issue: Create Survey button is missing in survcey list (Carsten Schmitz)
-Fixed issue #17484: After installing plugins through web interface, some files are missing (#1992) (Gabriel Jenik)
-Fixed issue #17457: Close button on the survey groups creation screen takes you to the wrong screen (Gabriel Jenik)
-Fixed issue #17457: Close button on the survey groups creation screen takes you to the wrong screen (#1979) (Gabriel Jenik)
-Fixed issue #17422: Survey Deletion view/read permission seems to be granted (#1959) (Denis Chenu)
-Fixed issue #17376: Remove duplicate of pclzip (Olle Haerstedt)
-Fixed issue #17350b: Update fails on pgsql and mssql after 17350 (#1999) (Gabriel Jenik)
-Fixed issue #17339: Administrator email address given during installation process not used in backend (#1991) (Gabriel Jenik)
-Fixed issue #17285: "Resume later" not working after "Load unfinished survey" (#1995) (Gabriel Jenik)
-Fixed issue #14726: LanguageSelector national language (Olle Haerstedt)
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1


Changes from 5.0.12 (build 210729) to 5.0.13 (build 210804) August 3, 2021
-Fixed issue #17480: Unable to reload with token + persistence + allow edit (#1986) (Denis Chenu)
#Updated translation: Turkish by kayazeren
#Updated translation: Portuguese (Portugal) by cassiofs, femariso, holch, jbfloripa, marcelovincenzi, marciojv, mauriciofurtado, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Japanese by nomoto
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: German by c_schmitz, RobinBur
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Croatian by rovinj


Changes from 5.0.11 (build 210727) to 5.0.12 (build 210729) July 29, 2021
-Fixed issue: Security issues found by Michael Mazzolini (Olle Haerstedt)
-Fixed issue #17460: Themes permission action button is shown now (Patricia Stelling)
-Fixed issue #17423: Fix database custom port not being used (#1980) (grayot)
-Fixed issue #17410: String "Label for 'Other:' option" showing entities (#1975) (Gabriel Jenik)


Changes from 5.0.10 (build 210723) to 5.0.11 (build 210727) July 27, 2021
-Fixed issue #17470 [security]: Arbitrary file read in participant functionality (Olle Haerstedt, Michael Mazzolini)
-Fixed issue #17469 [security]: SQL injection in Participants (editShareInfo) (Olle Haerstedt, Michael Mazzolini)
-Fixed issue #17467 [security]: SQL Injection in Survey data entries (Olle Haerstedt, Michael Mazzolini)
-Fixed issue #17443 [security]: Update encryption to use XSalsa20-Poly1305 algorithm (Patrick Teichmann)
-Fixed issue #17436: When editing 'General Settings' site name and pressing 'enter', a layover appears and screen freezes (#1978) (Gabriel Jenik)
-Fixed issue #17427: Bug in 'Answer options' - 'Quick add' (encuestabizdevgit)
-Fixed issue #17425: Misuse of progress bar (#1958) (Denis Chenu)
-Fixed issue #17363: Privacy policy error message not displayed (#1938) (Denis Chenu)
-Fixed issue #17269: Canceling activation of survey gives error (#1974) (Gabriel Jenik)


Changes from 5.0.9 (build 210722) to 5.0.10 (build 210723) July 21, 2021
-Fixed issue: Show save and save-and-close button in edit question view (Olle Haerstedt)


Changes from 5.0.8 (build 210712) to 5.0.9 (build 210722) July 21, 2021
-Fixed issue: User clicks on Theme options icon and is redirected to a blank page (#1950) (Gabriel Jenik)
-Fixed issue: Tables - User Group List - Move action buttons to the left and add balloon tooltips (Jessica Höck)
-Fixed issue: Settings screen often flips to structure tab (#1954) (Gabriel Jenik)
-Fixed issue: Separator showing in Chrome when clicking Back (Gabriel Jenik)
-Fixed issue: Page Header and Topbar - My Account (Jessica Höck)
-Fixed issue: On Survey List page when clicking on the action icon 'Add new question' the users gets a 404 (#1955) (Gabriel Jenik)
-Fixed issue: Move Install & Upload Button to FullPageBar (left side) (Jessica Höck)
-Fixed issue: Javascript bug when using Condition Editor and then navigating back to Question Summary and EDITING a question (#1961) (Gabriel Jenik)
-Fixed issue: Hovering over disabled button (uninstall default theme) and also added icons to buttons in themes (Jessica Höck)
-Fixed issue: Homepage settings give 500 error when you click on reset to default boxes (#1947) (Gabriel Jenik)
-Fixed issue: Seperator - Chrome - When on back screens (#1956) (Gabriel Jenik)
-Fixed issue #17451: Upload File link after session expire leads to a message unclear to users (Denis Chenu)
-Fixed issue #17381: Missing evaluation of EM in CSS script field (#1945) (Gabriel Jenik)
-Fixed issue #17378: Missing button: can not set permissions for survey group (encuestabizdevgit)
-Fixed issue #17330: Ranking question mandatory validation is confusing (#1966) (Gabriel Jenik)
-Fixed issue #17062: Restore-button, no error message if no old token table selected (#1940) (Gabriel Jenik)
-Fixed issue #17046: When copying question cannot update text and help (#1923) (Gabriel Jenik)
-Fixed issue #16843: Label set permission check was too tight (Carsten Schmitz)
-Fixed issue #15663: Resources Manager does not import subfolders from zip file (Patrick Teichmann)


Changes from 5.0.7 (build 210628) to 5.0.8 (build 210712) July 12, 2021
+New feature: Hide question attributes with setting the hidden option to '1' in the xml file (Patrick Teichmann)
-Fixed issue: Warning message on condition editor is showing if relevance is 1, but should not (Carsten Schmitz)
-Fixed issue #17386: Missing curly brackets for expression input field(#1944) (Gabriel Jenik)
-Fixed issue #17361: Upgrade from 3.14.6 to version 5.0.3 fails (Olle Haerstedt)
-Fixed issue #17357: Database upgrade from 3.27.2 to latest 5.0.3 fails (missing default value) (Olle Haerstedt)
-Fixed issue #17356: Error [SQL Server]IDENTITY_INSERT is already ON for table 'limesurvey_quota_languagesettings' when using quotas and MSSQL (Carsten Schmitz)
-Fixed issue #14726: LanguageSelector national language (Olle Haerstedt)
#Updated translation: Turkish by kayazeren
#Updated translation: Portuguese (Portugal) by cassiofs, femariso, fermacedo, holch, lucaspcs, marciojv, mauriciofurtado, samarta, tamiel
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by c_schmitz, jelen1
#Updated translation: Czech (Informal) by jelen1, slansky
#Updated translation: Croatian by rovinj
#Updated translation: Catalan by qualitatuvic
#Updated translation: Azerbaijani by c_schmitz


Changes from 5.0.6 (build 210625) to 5.0.7 (build 210628) June 28, 2021
-Fixed issue #17394: Sharing a participant does not work in CPDB (Carsten Schmitz)
-Fixed issue #17389: Giving Surveys in group permission didn't work (#1934) (Denis Chenu)
#Updated translation: Portuguese (Portugal) by mauriciofurtado, jjesusfilho, femariso, marciojv, fermacedo, holch, educaticteced, marcelovincenzi, cassiofs, samarta
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Catalan by qualitatuvic


Changes from 5.0.5 (build 210621) to 5.0.6 (build 210625) June 24, 2021
-Fixed issue: [security] Resuming a survey may load wrong data (Patrick Teichmann)
-Fixed issue #17385: Ranking answer language issue (Olle Haerstedt)
-Fixed issue #17372: Importing LSQ fails with files generated from LSv4+ (Olle Haerstedt)
#Updated translation: Sami by c_schmitz
#Updated translation: Sakha by c_schmitz
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: German by c_schmitz
#Updated translation: German by RobinBur, c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: Azerbaijani by c_schmitz


Changes from 5.0.4 (build 210614) to 5.0.5 (build 210621) June 21, 2021
-Fixed issue #17371: Only a maximum of 100 characters can be entered in the heading for the question groups (Olle Haerstedt)
-Fixed issue #17368: Failed Login Attempt locks out all users when behind nginx proxy (Olle Haerstedt)
-Fixed issue #17366: Dual Matrix - Dynamic generation of row labels is broken (Olle Haerstedt)
-Fixed issue #17360: Cannot save display theme option button size for bootstrap button question type (#1921) (Gabriel Jenik)
-Fixed issue #17351: Also check that GD implement jpeg support (#1918) (Gabriel Jenik)
-Fixed issue #17276: 500: Internal Server Error - Call to a member function format() on bool (#1916) (Gabriel Jenik)
-Fixed issue #17038: templateurl placeholder not being replaced (#1925) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by marcelovincenzi, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Finnish by Jmantysalo


Changes from 5.0.3 (build 210609) to 5.0.4 (build 210614) June 14, 2021
-Fixed issue: Renamed Config menu entries (Jessica Höck)
-Fixed issue: Page Header and TopBar: Surveys - Create Survey (Jessica Höck)
-Fixed issue: Page Header and TopBar: Settings - Global (Jessica Höck)
-Fixed issue: Page Header and TopBar: Create/edit user roles (Jessica Höck)
-Fixed issue: Page Header and TopBar: Central participant management (Jessica Höck)
-Fixed issue #17347: 'Class Twig_Environment not found' when uploading an image (#1913) (Gabriel Jenik)
-Fixed issue #17309: Date question always shows error when using AR language - can't proceed at survey (#1887) (Gabriel Jenik)
-Fixed issue #17303: ZipArchive error when exporting theme and debug mode is avtive (Carsten Schmitz)
-Fixed issue #17297: Importing question group does not work (#1914) (Gabriel Jenik)
-Fixed issue #17250: Unable to upload image with extension in uppercase in Theme option (#1884) (Gabriel Jenik)
-Fixed issue #17201: Easier switch between customized condition and condition designer (#1874) (Gabriel Jenik)
-Fixed issue #16834: When importing a theme bigger in size than the allowed PHP.ini settings, there is no proper description of the error (#1861) (Gabriel Jenik)
-Fixed issue #12349: RTL languages not dispayed correctly in the admin editor (#1879) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by nostradumusfdx, holch, femariso, GabrielLF, lucaspcs, marcelovincenzi, cassiofs, josesiqueira, samarta
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Italian by lfanfoni, ritapas
#Updated translation: Italian (Informal) by lfanfoni, ritapas
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 5.0.2 (build 210607) to 5.0.3 (build 210609) June 8, 2021
#Updated translation: Turkish by bulent, kayazeren
#Updated translation: Portuguese (Portugal) by c_schmitz, victorgoncalves, thiagosmartins, holch, paulohpmoraes, mauriciofurtado, femariso, marciojv, fermacedo, GabrielLF, lucaspcs, samarta, marcelovincenzi, cassiofs
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: German (Informal) by c_schmitz
#Updated translation: German (Easy) by c_schmitz
#Updated translation: French (France) by DenisChenu
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1
#Updated translation: Catalan by qualitatuvic


Changes from 5.0.1 (build 210532) to 5.0.2 (build 210607) June 7, 2021
-Fixed issue: Page Header (Jessica Höck)
-Fixed issue: Database error when editing a quota and text is too long (Gabriel Jenik)
-Fixed issue: Adjusted Save and Close Button in Create or Import new Label Set(s) view (Jessica Höck)
-Fixed issue: Added Shadow and Adjusted Action Bar in Themes view (Jessica Höck)
-Fixed issue #17353: Argument 1 must be at least CRYPTO_SIGN_BYTES long (Olle Haerstedt)
-Fixed issue #17345: Personal Settings: Default Question Type is not saved as expected. (#1909) (Gabriel Jenik)
-Fixed issue #17337: Setting mandatory state on multiple questions leads to exception (#1904) (Gabriel Jenik)
-Fixed issue #17298: queXML PDF Export: 500: Internal Server Error (#1905) (Adam Zammit)
-Fixed issue #17239: Error : Unable to find template "./subviews/content/.twig" (with PHP8) (#1907) (Gabriel Jenik)
-Fixed issue #14039: Captcha prevent panel integration. GET URL parameter not captured (#1896) (Gabriel Jenik)


Changes from 5.0.0 (build 210526) to 5.0.1 (build 210532) May 31, 2021
-Fixed issue #17341: Typo in question class for dual scale array (Carsten Schmitz)
-Fixed issue #17327: Untranslatable help text in SPSS export (Olle Haerstedt)
-Fixed issue #17312: Question type can be be updated after activation (selector simple) (Patricia Stelling)
-Fixed issue #17306: Some update theme can break page in 3.26.4 (#1892) (Gabriel Jenik)


Changes from 4.6.3 (build 210518) to 5.0.0 (build 210526) May 25, 2021
+New feature #17301: Allow whitelisting IP addresses in global settings (#1889) (Gabriel Jenik)
+New feature #17301: Allow whitelisting IP addresses in global settings (#1889) (Carsten Schmitz)
-Fixed issue: The interface for copying participants from CPDB to survey did not display default names for custom attributes (Patrick Teichmann)
-Fixed issue: If the CPDB had custom attributes and error would be displayed while trying access it (Patrick Teichmann)
-Fixed issue: Deprecated zip functions in PHP8 (Carsten Schmitz)
-Fixed issue #17309: Date question always shows error when using AR language - can't proceed at survey (#1887) (Gabriel Jenik)
-Fixed issue #17303: ZipArchive error when exporting theme and debug mode is avtive (Carsten Schmitz)
-Fixed issue #17302: Question validation tip is now saved and shown correctly (Patricia Stelling)
-Fixed issue #17250: Unable to upload image with extension in uppercase in Theme option (#1884) (Gabriel Jenik)
-Fixed issue #17236: PHP 8 not supported (Carsten Schmitz)
-Fixed issue #17201: Easier switch between customized condition and condition designer (#1874) (Gabriel Jenik)
-Fixed issue #17195: When attaching PDF to email invitation, full path  is kept as value of a hidden input (#1816) (Gabriel Jenik)
-Fixed issue #16941: Too big file to upload, no error message (#1783) (Gabriel Jenik)
-Fixed issue #16834: When importing a theme bigger in size than the allowed PHP.ini settings, there is no proper description of the error (#1861) (Gabriel Jenik)
-Fixed issue #15670, #16330: loaded survey responses are not being decrypted (Patrick Teichmann)
-Fixed issue #12349: RTL languages not dispayed correctly in the admin editor (#1879) (Gabriel Jenik)
#Updated translation: Portuguese (Portugal) by c_schmitz, mauriciofurtado, fermacedo, femariso, holch, GabrielLF, marcelovincenzi, cassiofs, samarta
#Updated translation: German by c_schmitz
#Updated translation: Finnish by Jmantysalo
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Czech by jelen1
#Updated translation: Czech (Informal) by jelen1


Changes from 4.6.2 (build 210512) to 4.6.3 (build 210518) May 17, 2021
-Fixed issue: some question general settings are wrongly set to disabled when the survey was not active (Patrick Teichmann)
-Fixed issue #17121: Custom question preview image not shown (#1875) (Gabriel Jenik)
